**************************************************.
* Ajout des dciles et quintiles                 *.
**************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

WEIGHT
  BY coef_per .

RANK
  VARIABLES=dep_pc  (A) BY milieu  /NTILES (5) /PRINT=NO
  /TIES=MEAN .
RANK
  VARIABLES=dep_pc  (A) /NTILES (5) /PRINT=NO
  /TIES=MEAN .
RANK
  VARIABLES=dep_pc  (A) BY milieu  /NTILES (10) /PRINT=NO
  /TIES=MEAN .
RANK
  VARIABLES=dep_pc  (A) /NTILES (10) /PRINT=NO
  /TIES=MEAN .

COMPUTE quint_ur = ndep_pc.
COMPUTE quint_na = nti001.
COMPUTE dec_ur = nti002.
COMPUTE dec_nat = nti003.
EXECUTE.

VARIABLE LABELS 
   quint_ur  'Quintile de population (U/R)'
  /quint_na  'Quintile de population (nat.)'
  /dec_ur    'Dcile de population (U/R)'
  /dec_nat   'Dcile de population (nat.)'.
 
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'
   /drop ndep_pc nti001 nti002 nti003
   /COMPRESSED.

*TABLEAUX DE CONTROLE *.
***********************.

TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=quint_ur + $t000002  BY milieu > (STATISTICS) + $t000001
  /STATISTICS
  count( quint_ur( F5.0 ))
  cpct( quint_ur( PCT5.1 ) 'Col %':milieu ) /TITLE  'Quintiles de population'+
 ' (U/R) selon la dpense pc'.

TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000001 "Total"
  /TABLE=quint_na + $t000003  BY milieu > (STATISTICS) + $t000001
  /STATISTICS
  count( quint_na( F5.0 ))
  cpct( quint_na( PCT5.1 ) 'Col %':milieu ) /TITLE  'Quintiles de population'+
 ' (nat.) selon la dpense pc'.

TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total" $t000001 "Total"
  /TABLE=dec_ur + $t000004  BY milieu > (STATISTICS) + $t000001
  /STATISTICS
  count( dec_ur( F5.0 ))
  cpct( dec_ur( PCT5.1 ) 'Col %':milieu ) /TITLE  'Dciles de population (u'+
 '/r) selon la dpense pc'.

TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000005 "Total" $t000001 "Total"
  /TABLE=dec_nat + $t000005  BY milieu > (STATISTICS) + $t000001
  /STATISTICS
  count( dec_nat( F5.0 ))
  cpct( dec_nat( PCT5.1 ) 'Col %':milieu ) /TITLE  'Dciles de population'+
 ' (nat.) selon la dpense pc'.
