********************************************************.
* Programme destin  la construction d'une variable   *.
* unique d'identification du mnage.                   *.
* Cette variable est ajoute  tous les fichiers.      *.
*                                                      *.
* Pour les fichiers contenant des donnes relatives    *.
* aux individus, on renomera aussi la variable qui     *.
* contient le numero d'ordre individuel en IDInd.      *.
* La variable IDInd permettra la fusion de ces         *.
* fichiers                                             *.
*                                                      *.
* Le programmme est galement utilis pour ajouter     *.
* la variable "coef_pop" (coefficient de pondration)  *.
*  tous les fichiers de donnes.                      *.
********************************************************.
 

********   PREMIERE PARTIE (1/2) DU PROGRAMME   ********.
* Pour le questionnaire mnage, sections 1  13.       *.
* Seconde partie: Ajout IdMen Coefpond Part 2.sps      *.
*======================================================*.


********************************************************.
*  CALCUL DE L'IDENTIFIANT UNIQUE DES MENAGES (IDMEN)  *.
*  PAR ATTRIBUTION D'UN NUMERO D'ORDRE SEQUENTIEL      *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\CoefPond.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
AGGREGATE
  /OUTFILE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
  /BREAK=milieu province nup numenage
  /numord_1 = MEAN(numordre)
  /coef_pop = SUM(coefpond)
  /typville = MEAN(typville).
GET
  FILE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'.
EXECUTE .
IF (milieu=1 & province=1 & nup=101 & numenage=1) IdMen = 1 .
EXECUTE .
IF (missing(idmen)) IdMen = Lag(IdMen)+1 .
EXECUTE .
SAVE OUTFILE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
   / drop numord_1/COMPRESSED.




********************************************************.
*  AJOUT DES VARIABLES IDMEN, IDIND ET coef_pop DANS   *.
*  LES FICHIERS DE DONNEES                             *.
********************************************************.


********************************************************.
*  COEFPOND (COEFFICIENTS DE PONDERATION)              *.
********************************************************.
GET
  FILE='C:\_Maroc\Data\Spss\Annuel\Coefpond.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\Coefpond.sav'
   /COMPRESSED.


********************************************************.
********************************************************.
*                QUESTIONNAIRE MENAGE                  *.
********************************************************.
********************************************************.

********************************************************.
*  _C011 SECTION 1A : CARACTERISTIQUES DEMOGRAPHIQUES  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_011.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c011q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_011.sav'
   /COMPRESSED.

********************************************************.
*  _C012 SECTION 1B : RENSEIGNEMENTS SUR LE PERE       *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_012.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c012q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_012.sav'
   /COMPRESSED.


********************************************************.
*  _C013 SECTION 1C : RENSEIGNEMENTS SUR LA MERE       *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_013.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c013q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_013.sav'
   /COMPRESSED.


********************************************************.
*  _C021 SECTION 2 : CONDITIONS D'HABITATION           *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_021.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_021.sav'
   /COMPRESSED.


********************************************************.
*  _C031 SECTION 3 : ENERGIE                           *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_031.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_031.sav'
   /COMPRESSED.


********************************************************.
*  _C041 SECTION 4A : FREQ. ENSEIGNEMENT GENERAL       *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_041.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c041q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_041.sav'
   /COMPRESSED.

********************************************************.
*  _C042 SECTION 4B : CARACT. ENSEIGNEMENT GENERAL     *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_042.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c042q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_042.sav'
   /COMPRESSED.

********************************************************.
*  _C043 SECTION 4C : FORMATION PROFESSIONNELLE        *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_043.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c043q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_043.sav'
   /COMPRESSED.

********************************************************.
*  _C044 SECTION 4D : DEPENSES ENSEIGNEMENT/FORMATION  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_044.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c044q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_044.sav'
   /COMPRESSED.

********************************************************.
*  _C441 SECTION xx :                                  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_441.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c441q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_441.sav'
   /COMPRESSED.

********************************************************.
*  _C045 SECTION 4E : FREQ. M'SID/ENS.RELIGIEUX        *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_045.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c045q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_045.sav'
   /COMPRESSED.

********************************************************.
*  _C046 SECTION 4F : ACTIVITES EDUCATIVES             *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_046.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c046q2=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_046.sav'
   /COMPRESSED.

********************************************************.
*  _C047 SECTION 4G : ALPHABETISATION/CONN. LANGUES    *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_047.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c047q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_047.sav'
   /COMPRESSED.

********************************************************.
*  _C048 SECTION 4H : ENSEIGNEMENT ENFANTS HORS MENAGE *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_048.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_048.sav'
   /COMPRESSED.

********************************************************.
*  _C050 SECTION 5A : DEMANDE DES SOINS DE SANTE       *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_050.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c050q2=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_050.sav'
   /COMPRESSED.

********************************************************.
*  _C051 SECTION 5B : COUVERTURE SOCIALE               *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_051.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c051q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_051.sav'
   /COMPRESSED.

********************************************************.
*  _C052 SECTION 5C : VACCINATION ENFANTS < 24 MOIS    *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_052.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c052q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_052.sav'
   /COMPRESSED.

********************************************************.
*  _C053 SECTION 5D : CONSULTATION DES MEDECINS        *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_053.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c053q3=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_053.sav'
   /COMPRESSED.

********************************************************.
*  _C054 SECTION 5E : ACQUISITION PLANTES OFFICINALES  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_054.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c054q3=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_054.sav'
   /COMPRESSED.

********************************************************.
*  _C055 SECTION 5F : ACQUISITION MEDICAMENTS          *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_055.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c055q3=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_055.sav'
   /COMPRESSED.

********************************************************.
*  _C056 SECTION 5G : ANALYSES MEDICALES/RADIOLOGIE    *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_056.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c056q3=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_056.sav'
   /COMPRESSED.

********************************************************.
*  _C057 SECTION 5H : HOSPITALISATION                  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_057.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c057q3=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_057.sav'
   /COMPRESSED.

********************************************************.
*  _C058 SECTION 5I : CONSULTATIONS PARAMEDICALES      *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_058.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c058q3=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_058.sav'
   /COMPRESSED.

********************************************************.
*  _C059 SECTION 5J : CONSULTATIONS GUERISSEURS TRAD.  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_059.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c059q3=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_059.sav'
   /COMPRESSED.

********************************************************.
*  _C060 SECTION 5K : SOINS DENTAIRES                  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_060.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c060q3=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_060.sav'
   /COMPRESSED.

********************************************************.
*  _C061 SECTION 6A : TYPE D'ACTIVITE                  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_061.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c061q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_061.sav'
   /COMPRESSED.

********************************************************.
*  _C611 SECTION 6A :                                  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_611.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c611q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_611.sav'
   /COMPRESSED.

********************************************************.
*  _C062 SECTION 6B : CARACTERISTIQUES DES INACTIFS    *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_062.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c062q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_062.sav'
   /COMPRESSED.

********************************************************.
*  _C063 SECTION 6C : CARACTERISTIQUES DES CHOMEURS    *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_063.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c063q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_063.sav'
   /COMPRESSED.

********************************************************.
*  _C064 SECTION 6D : CARACT.PROF ET ECO. DES ACTIFS   *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_064.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c064q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_064.sav'
   /COMPRESSED.

********************************************************.
*  _C065 SECTION 6E : TRAVAIL AU COURS 12 DERN. MOIS   *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_065.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c065q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_065.sav'
   /COMPRESSED.

********************************************************.
*  _C066 SECTION 6F : REVENUS SALARIAUX                *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_066.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c066q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_066.sav'
   /COMPRESSED.

********************************************************.
*  _C661 SECTION 6F :                                  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_661.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c661q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_661.sav'
   /COMPRESSED.

********************************************************.
*  _C071 SECTION 7 : INVENTAIRE DES BIENS DURABLES     *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_071.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_071.sav'
   /COMPRESSED.

********************************************************.
*  _C081 SECTION 8A : VEHICULES                        *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_081.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_081.sav'
   /COMPRESSED.

********************************************************.
*  _C811 SECTION 8A :                                  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_811.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_811.sav'
   /COMPRESSED.

********************************************************.
*  _C082 SECTION 8B : MOTOCYCLES                       *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_082.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_082.sav'
   /COMPRESSED.

********************************************************.
*  _C083 SECTION 8C : BICYCLETTES                      *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_083.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_083.sav'
   /COMPRESSED.

********************************************************.
*  _C091 SECTION 9 : MIGRATION                         *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_091.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c091q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_091.sav'
   /COMPRESSED.

********************************************************.
*  _C101 SECTION 10A : FECONDITE                       *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_101.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c101q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_101.sav'
   /COMPRESSED.

********************************************************.
*  _C102 SECTION 10B : SANTE DE LA MERE ET DE L-ENFANT *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_102.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c102q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_102.sav'
   /COMPRESSED.

********************************************************.
*  _C103 SECTION 10C : NUTRITION ENFANTS < 24 MOIS     *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_103.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c103q1=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_103.sav'
   /COMPRESSED.

********************************************************.
*  _C111 SECTION 11A : EMPRUNTS POUR USAGE DOMESTIQUE  *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_111.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c111q21=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_111.sav'
   /COMPRESSED.

********************************************************.
*  _C112 SECTION 11B : PRETS                           *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_112.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c112q21=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_112.sav'
   /COMPRESSED.

********************************************************.
*  _C121 SECTION 12A : TRANSFERTS RECUS EN ESPECES     *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_121.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c121q2=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_121.sav'
   /COMPRESSED.

********************************************************.
*  _C122 SECTION 12B : TRANSFERTS RECUS EN NATURE      *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_122.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c122q2=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_122.sav'
   /COMPRESSED.

********************************************************.
*  _C123 SECTION 12C : TRANSFERTS VERSES EN ESPECES    *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_123.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c123q2=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_123.sav'
   /COMPRESSED.

********************************************************.
*  _C124 SECTION 12D: TRANSFERTS VERSES EN NATURE      *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_124.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c124q2=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_124.sav'
   /COMPRESSED.

********************************************************.
*  _C131 SECTION 13A : IDENTIF. DES ENTR. NON CONST.   *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_131.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
RENAME VARIABLES (c131q3=IDInd).
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_131.sav'
   /COMPRESSED.

********************************************************.
*  _C132 SECTION 13B :                                 *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_132.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_132.sav'
   /COMPRESSED.

********************************************************.
*  _C133 SECTION 13C : RECETTES DES ENTREPRISES        *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_133.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_133.sav'
   /COMPRESSED.

********************************************************.
*  _C134 SECTION 13D : CONDITION EMPLOI DES SALARIES   *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_134.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_134.sav'
   /COMPRESSED.

********************************************************.
*  _C135 SECTION 13E : ACQUISITIONS 12 DERN. MOIS      *.
********************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\QP98_135.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\QP98_135.sav'
   /COMPRESSED.


