**************************************************.
* Calcul des P0, P1 et P2                        *.
**************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

IF (milieu=1 and dep_pc<2881) pauv_bas = 1 .
IF (milieu=1 and dep_pc>=2881) pauv_bas = 2 .
IF (milieu=2 and dep_pc<2553) pauv_bas = 1 .
IF (milieu=2 and dep_pc>=2553) pauv_bas = 2 .
IF (milieu=1 and dep_pc<3922) pauv_ele = 1 .
IF (milieu=1 and dep_pc>=3922) pauv_ele = 2 .
IF (milieu=2 and dep_pc<3037) pauv_ele = 1 .
IF (milieu=2 and dep_pc>=3037) pauv_ele = 2 .
EXECUTE .

VARIABLE LABELS
    pauv_bas  'Pauvre selon seuil bas ?'
   /pauv_ele  'Pauvre selon seuil lev ?'.

VALUE LABELS
    pauv_bas   1  'Pauvre'
               2  'Non pauvre'
   /pauv_ele   1  'Pauvre'
               2  'Non pauvre'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'
   /COMPRESSED.

WEIGHT
  BY coef_per .

* TABLEAUX SUR LES P0 *.
***********************.

TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=pauv_bas + $t000001  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( pauv_bas( F5.0 ))
  cpct( pauv_bas( PCT5.1 ) 'Col %':milieu ) /TITLE  'Poverty incidence (P0) -'+
 ' Ligne basse'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=pauv_ele + $t000003  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Col %':milieu ) /TITLE  'Poverty incidence (P0) -'+
 ' Ligne haute'.

* CALCULS ET TABLEAUX SUR LES P1 et P2  *.
*****************************************.
IF (pauv_bas=1 and milieu = 1) dif_b = (2881 - dep_pc)/2881 .
IF (pauv_bas=1 and milieu = 2) dif_b = (2552 - dep_pc)/2552 .
IF (pauv_ele=1 and milieu = 1) dif_e = (3920 - dep_pc)/3920 .
IF (pauv_ele=1 and milieu = 2) dif_e = (3035 - dep_pc)/3035 .
EXECUTE .

COMPUTE dif_b2 = dif_b ** 2.
COMPUTE dif_e2 = dif_e ** 2.
EXECUTE.

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=milieu
  /pop = N(idmen) /sum_db = SUM(dif_b)  /sum_de = SUM(dif_e)
  /sum_db2 = SUM(dif_b2) /sum_de2 = SUM(dif_e2).
 
GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE P1b = (sum_db/pop)*100 .
COMPUTE P2b = (sum_db2/pop)*100 .
COMPUTE P1e = (sum_de/pop)*100 .
COMPUTE P2e = (sum_de2/pop)*100 .
EXECUTE .

VARIABLE LABELS
  P1b 'P1 pour le seuil bas (%)'
  P2b 'P2 pour le seuil bas (%)'
  P1e 'P1 pour le seuil lev (%)'
  P2e 'P2 pour le seuil lev (%)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= p1b p2b p1e p2e
  /GBASE=CASES
  /TABLE=milieu  BY p1b + p2b + p1e + p2e
  /STATISTICS
  /TITLE  'Poverty gaps (P1 and P2)'.

