********************************************************.
* Programme destin  l'importation du fichier de      *.
* donnes des dpenses agrges de ARIEL vers SPSS.    *. 
********************************************************.

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\CM-dep.out' FIXED RECORDS=1 TABLE /1 milieu 
  1-1 province 2-3 nup 4-7 numenage 8-9 typevil 15-15 sexe 16-16 sitprof 18-18 
  age 19-20 etatmat 22-22 typeact 24-24 tauxalph 43-45 taille 46-47 taimenag 50-50
  enf_L15 51-52 adu_M14 53-54 eq_adult 70-74 nivscol 84-84 men_OK 94-94 
  dep_tot 104-112 dep_alim 113-121 dep_tab 122-130 dep_ast 131-139 dep_hab 140-148
  dep_log 149-157 dep_eqm 158-166 dep_hyg 167-175 dep_tran 176-184 dep_lois 185-193 
  dep_abs 194-202 dep_ncom 212-220 coef_ext 221-226 coef_per 227-232 quintile 385-387
  coef_ali 360-366 pauv_sb 381-381 pauv_se 382-382 pauv_s91 383-383.
EXECUTE.

* On s'assure que la dpense totale = la somme des composantes *.
*--------------------------------------------------------------*.
COMPUTE dep_tot = dep_alim + dep_hab + dep_log + dep_eqm + dep_hyg + dep_tran +
  dep_lois + dep_abs + dep_ncom .
EXECUTE .

* Calcul de la dpense per capita *.
*---------------------------------*.
COMPUTE dep_pc = dep_tot/taille .
EXECUTE .

* Labellisation des variables *.
*-----------------------------*.
VARIABLE LABELS
   	milieu    'Milieu'
	/province 'Province/prfecture'
 	/nup      'No unit primaire'
	/numenage ''
	/typevil  ''
	/sexe     'Sexe du CM'
	/sitprof  'Sit.profess.CM'
	/age      'Age du CM'
	/etatmat  'Etat matr.du CM'
	/typeact  ''
	/tauxalph 'Taux alphab.'
	/taille   'Taille du mnage'
	/taimenag ''
      /enf_L15  'Nb enfants < 15 ans'
      /adu_M14  'Nb adultes >= 15 ans'
	/nivscol  'Niveau scolaire CM'
      /men_OK   'Dpense alimentaire OK'
      /eq_adult 'Nb quivalents adultes'
	/dep_tot  'Dpense totale'
	/dep_alim 'Dpense aliment.+ tabac'
      /dep_tab  'Dpense tabac'
	/dep_ast  'Dpense aliment.sans tabac'
	/dep_hab  'Dpense habillement'
	/dep_log  'Dpense logement/nergie'
	/dep_eqm  'Dpense q. mnager'
	/dep_hyg  'Dpense hygine/sant'
	/dep_tran 'Dpense transport/communic.'
	/dep_lois 'Dpense loisirs/culture'
	/dep_abs  'Dpense autres biens/services'
	/dep_ncom 'Dpense non-consom.'
      /dep_pc   'Dpense totale per capita'
      /coef_ext 'Coefficient du mnage'
      /coef_per 'Coefficient individu'
      /quintile 'Quintile de population'
      /coef_ali 'Part alimentaire'
      /pauv_sb  'Pauvre selon seuil bas'
      /pauv_se  'Pauvre selon seuil lev'
      /pauv_sb  'Pauvre selon seuil 91 act.'.

VALUE LABELS 
	milieu 
		1  'Urbain' 
		2  'Rural'
	/province 
 		1 'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
	/nivscol 
 		1  'Sans niveau'
		2  'Fondamental'
   		3  'Secondaire'
		4  'Suprieur'
		5  'Systme paral.'
      /sitprof
		1  'Salari'
		2  'Indpendant'
		3  'Employeur'
		4  'Autre'
		5  'Inactif'.

SAVE OUTFILE='S:\Databank\_Maroc\Data98\New_Spss\Dep_cat.sav'
   /COMPRESSED.

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
GET
  FILE='S:\Databank\_Maroc\Data98\Old_Spss\CoefPond.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
AGGREGATE
  /OUTFILE='S:\Databank\_Maroc\Work\IDMen.SAV'
  /BREAK=milieu province nup numenage
  /numord_1 = MEAN(numordre).
GET
  FILE='S:\Databank\_Maroc\Work\IDMen.SAV'.
EXECUTE .
IF (milieu=1 & province=1 & nup=101 & numenage=1) IdMen = 1 .
EXECUTE .
IF (missing(idmen)) IdMen = Lag(IdMen)+1 .
EXECUTE .
SAVE OUTFILE='S:\Databank\_Maroc\Work\IDMen.SAV'
   / drop numord_1/COMPRESSED.

GET
  FILE='S:\Databank\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.
SAVE OUTFILE='S:\Databank\_Maroc\Data98\New_Spss\Dep_cat.sav'
   /COMPRESSED.

