********************************************************.
* Programme destin  l'importation du fichier de      *.
* donnes sur l'habitat de ARIEL vers SPSS.            *. 
********************************************************.

*****************.
* SECTION 5A    *.
*****************.
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\santh1.out' FIXED RECORDS=1 TABLE /1
  milieu 1-1  
  rectype 2-4 identif 45-53 sexe 63-63 etatmat 64-64 typville 65-65 age 83-84
  IdInd 5-6 c050q3 7-7 c050q4 8-10 c050q5 11-13 c050q6 14-14
  c050q7 15-15 c050q8 16-16 c050q9 17-17 c050q10 18-18 
  c050q111 19-21 c050q112 22-24 c050q121 25-25 c050q122 26-27 c050q13 28-29.
EXECUTE.
SAVE OUTFILE='S:\Databank\_Maroc\Data98\New_Spss\Np98_050.sav'
   /COMPRESSED.

STRING idtr (A9).
COMPUTE idtr = string(identif,N9) .
EXECUTE .
STRING mili (A1).
COMPUTE mili = SUBSTR(idtr,1) .
STRING prov (A2).
COMPUTE prov = SUBSTR(idtr,2,2) .
STRING up (A4).
COMPUTE up = SUBSTR(idtr,4,4) .
STRING num (A2).
COMPUTE num = SUBSTR(idtr,8,2) .
EXECUTE .

COMPUTE milieu = NUMBER(mili,N1) .
COMPUTE province = NUMBER(prov,N2) .
COMPUTE nup = NUMBER(up,N4) .
COMPUTE numenage = NUMBER(num,N2) .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

VARIABLE LABELS
   	milieu   'Milieu'
	/province 'Province/prfecture'
 	/nup      'No de UP'
	/numenage 'No du mnage'
	/rectype  'Section'
	/IDInd    'No d-ordre'
	/c050q3   'Genre de maladie/blessure'
	/c050q4   'Nombre de jours malade/bless'
	/c050q5   'Nb de jours d-incapacit'
	/c050q6   'Consult ?'
	/c050q7   'Qui est consult en 1er lieu'
	/c050q8   'Lieu 1re consultation'
	/c050q9   'Type tablissement consult'
	/c050q10  'Transport vers consultation'
	/c050q111 'Distance consultation (km)'
	/c050q112 'Distance consultation (m)'
	/c050q121 'Temps vers consultation (h)'
	/c050q122 'Temps vers consultation (mn)'
	/c050q13  'Maladie diagnostique'.

VALUE LABELS
milieu 
    1  'Urbain' 
    2  'Rural'
/province 
 		1  'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
/C050Q3               
    1      'Passagre'
    2      'Chronique'
    3      'Blessure'
/C050Q6                 
    1      '1 personne'
    2      'Plusieurs persones'
    3      'Non'
/C050Q7                 
    0      'Mdecin'
    1      'Dentiste'
    2      'Pharmacien'
    3      'Sage_femme'
    4      'Infirmire'
    5      'Gurisseur'
    6      'Fquih/chouafa'
    7      'Autres'
/C050Q8               
    0      'Chez le mnage'
    1      'Dispensaire'
    2      'Centre de sant'
    3      'Hpital public'
    4      'Mdecin priv'
    5      'Mutualiste'
    6      'Gurisseur/fquih'
    7      'Pharmacie'
    8      'Autre lieu'
/C050Q9               
    1      'Public'
    2      'Semi_public'
    3      'Priv'
/C050Q10               
    1      'A pied'
    2      'Dos animal'
    3      'Charrette'
    4      'Vhicule'
    5      'Moto/bicyclette'
    6      'Autres'
/C050Q13                
    00     'Ne sait pas'
    01     'Maladie des yeux'
    02     'Oreille/nez'
    03     'Poumons/respirat.'
    04     'Coeur'
    05     'Appareil digestif'
    06     'Reins'
    07     'Appareil gnital'
    08     'Maladie peau'
    09     'Maladie du foie'
    10     'Maladie dentaire'
    11     'Maladie mentale'
    12     'Maladie diabtique'
    13     'Cancer'
    14     'Grippe, fivre'
    15     'Fracture,luxation'
    16     'Blessure'
    17     'Intoxication'
    18     'Asthme'
    19     'Maladie de la tte'
    20     'Rhumatisme'
    21     'Autres'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_050.sav'
   /drop idtr prov up num mili
   /COMPRESSED.


*****************.
* SECTION 5B    *.
*****************.
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\santh2.out' FIXED RECORDS=1 TABLE /1
  milieu 1-1 rectype 2-4 identif 31-39
  IdInd 5-6 c051q2 7-7 c051q2ag 8-8 c051q3 9-9 c051q3ag 10-10 c051q4 11-11 
  c051q5 17-17 c051q6 18-23 c051q7 24-24 c051q8 25-30 
  sexe 49-49 typville 51-51 .
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_051.sav'
   /COMPRESSED.

STRING idtr (A9).
COMPUTE idtr = string(identif,N9) .
EXECUTE .
STRING mili (A1).
COMPUTE mili = SUBSTR(idtr,1) .
STRING prov (A2).
COMPUTE prov = SUBSTR(idtr,2,2) .
STRING up (A4).
COMPUTE up = SUBSTR(idtr,4,4) .
STRING num (A2).
COMPUTE num = SUBSTR(idtr,8,2) .
EXECUTE .

COMPUTE milieu = NUMBER(mili,N1) .
COMPUTE province = NUMBER(prov,N2) .
COMPUTE nup = NUMBER(up,N4) .
COMPUTE numenage = NUMBER(num,N2) .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

VARIABLE LABELS
   	milieu   'Milieu'
	/province 'Province/prfecture'
 	/nup      'No de UP'
	/numenage 'No du mnage'
	/rectype  'Section'
	/IDInd    'No d-ordre'
	/c051q2   'Situation organisme prv.sociale'
	/c051q3   'Organisme'
	/c051q4   'Cotisations 12 derniers mois'
	/c051q5   'Situation assur. maladie prive'
	/c051q6   'Cotisations 12 derniers mois'
	/c051q7   'Situation assur.compl.dcs'
	/c051q8   'Cotisation 12 derniers mois'.

VALUE LABELS
milieu 
    1  'Urbain' 
    2  'Rural'
/province 
 		1  'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
/C051Q2               
    1      'Affili'
    2      'Bnficiaire'
    3      'Non couvert'
/C051Q3               
    1      'C.N.O.P.S'
    2      'C.N.S.S'
    3      'Rgime interne'
    4      'Autre  prciser'
/C051Q5                
    1      'Adhrent'
    2      'Membre couvert'
    3      'Membre non couvert'
/C051Q7                 
    1      'Adhrent'
    2      'Non adhrent'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_051.sav'
   /drop idtr prov up num mili
   /COMPRESSED.


*****************.
* SECTION 5C    *.
*****************.
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\santh3.out' FIXED RECORDS=1 TABLE /1
  milieu 1-1 rectype 2-4 identif 22-30
  IdInd 5-6 c052q21 7-7 c052q22 8-8 c052q23 9-9 c052q24 10-10
  c052q25 11-11 c052q26 12-12 c052q27 13-13 c052q3 14-14 c052q4 15-15
  c052q5 16-21 sexe 40-40 age 41-42 typville 43-43.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_052.sav'
   /COMPRESSED.

STRING idtr (A9).
COMPUTE idtr = string(identif,N9) .
EXECUTE .
STRING mili (A1).
COMPUTE mili = SUBSTR(idtr,1) .
STRING prov (A2).
COMPUTE prov = SUBSTR(idtr,2,2) .
STRING up (A4).
COMPUTE up = SUBSTR(idtr,4,4) .
STRING num (A2).
COMPUTE num = SUBSTR(idtr,8,2) .
EXECUTE .

COMPUTE milieu = NUMBER(mili,N1) .
COMPUTE province = NUMBER(prov,N2) .
COMPUTE nup = NUMBER(up,N4) .
COMPUTE numenage = NUMBER(num,N2) .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

VARIABLE LABELS
   	milieu   'Milieu'
	/province 'Province/prfecture'
 	/nup      'No de UP'
	/numenage 'No du mnage'
	/rectype  'Section'
	/IDInd    'No d-ordre'
	/c052q21  'Vaccin BCG'
	/c052q22  'Vaccin DTC/Polio 1'
	/c052q23  'Vaccin DTC/Polio 2'
	/c052q24  'Vaccin DTC/Polio 3'
	/c052q25  'Vaccin VDT2/(1)'
	/c052q26  'Vaccin VDT2/(2)'
	/c052q27  'Vaccin rougeole'
	/c052q3   'Lieu de vaccination'
	/c052q4   'Frais de vaccination ?'
	/c052q5   'Montant frais vaccination'.

VALUE LABELS
milieu 
    1  'Urbain' 
    2  'Rural'
/province 
 		1  'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
/C052Q21           
    1      'Oui'
    2      'Non'
    3      'Non concern'
/C052Q22             
    1      'Oui'
    2      'Non'
    3      'Non concern'
/C052Q23            
    1      'Oui'
    2      'Non'
    3      'Non concern'
/C052Q24              
    1      'Oui'
    2      'Non'
    3      'Non concern'
/C052Q25              
    1      'Oui'
    2      'Non'
    3      'Non concern'
/C052Q26               
    1      'Oui'
    2      'Non'
    3      'Non concern'
/C052Q27              
    1      'Oui'
    2      'Non'
    3      'Non concern'
/C052Q3                
    1      'Public'
    2      'Priv'
    3      'Variable'
/C052Q4                 
    1      'Oui'
    2      'Non'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_052.sav'
   /drop idtr prov up num mili
   /COMPRESSED.


*****************.
* SECTION 5D    *.
*****************.
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\santh4.out' FIXED RECORDS=1 TABLE /1
  milieu 1-1 rectype 2-4 identif 19-27
  c053q2 5-6 IdInd 7-8 c053q4 9-9 c053q5 10-10 c053q6 11-11
  c053q7 12-12 c053q8 13-18 .
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_053.sav'
   /COMPRESSED.

STRING idtr (A9).
COMPUTE idtr = string(identif,N9) .
EXECUTE .
STRING mili (A1).
COMPUTE mili = SUBSTR(idtr,1) .
STRING prov (A2).
COMPUTE prov = SUBSTR(idtr,2,2) .
STRING up (A4).
COMPUTE up = SUBSTR(idtr,4,4) .
STRING num (A2).
COMPUTE num = SUBSTR(idtr,8,2) .
EXECUTE .

COMPUTE milieu = NUMBER(mili,N1) .
COMPUTE province = NUMBER(prov,N2) .
COMPUTE nup = NUMBER(up,N4) .
COMPUTE numenage = NUMBER(num,N2) .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

VARIABLE LABELS
   	milieu   'Milieu'
	/province 'Province/prfecture'
 	/nup      'No de UP'
      /numenage 'No du mnage'
	/rectype  'Section'
	/c053q2   'No consultation'
	/IDInd    'Code ID'
	/c053q4   'Consultation relative  ?'
	/c053q5   'Qui est consult'
	/c053q6   'Lieu de consultation'
	/c053q7   'Pay pour consultation ?'
	/c053q8   'Montant pay'.

VALUE LABELS
milieu 
    1  'Urbain' 
    2  'Rural'
/province 
 		1  'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
/C053Q4              
    1      'Maladie dclare'
    2      'Autre non dclar'
    3      'Dpassant dlai'
/C053Q5                
    1      'Mdecin public'
    2      'Mdecin mutualiste'
    3      'Clinique prive'
    4      'Autres'
/C053Q6               
    1      'Dispensaire'
    2      'Hpital public'
    3      'Clinique mutualiste'
    4      'Clinique prive'
    5      'Cabinet mdecin'
    6      'A domicile'
    7      'Autres  prciser'
/C053Q7                
    1      'Oui'
    2      'Non'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_053.sav'
   /drop idtr prov up num mili
   /COMPRESSED.


*****************.
* SECTION 5E    *.
*****************.
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\santh5.out' FIXED RECORDS=1 TABLE /1
  milieu 1-1 rectype 2-4 identif 17-25
  c054q2 5-6 IdInd 7-8 c054q4 9-9 c054q5 10-10 c054q6 11-16 .
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_054.sav'
   /COMPRESSED.

STRING idtr (A9).
COMPUTE idtr = string(identif,N9) .
EXECUTE .
STRING mili (A1).
COMPUTE mili = SUBSTR(idtr,1) .
STRING prov (A2).
COMPUTE prov = SUBSTR(idtr,2,2) .
STRING up (A4).
COMPUTE up = SUBSTR(idtr,4,4) .
STRING num (A2).
COMPUTE num = SUBSTR(idtr,8,2) .
EXECUTE .

COMPUTE milieu = NUMBER(mili,N1) .
COMPUTE province = NUMBER(prov,N2) .
COMPUTE nup = NUMBER(up,N4) .
COMPUTE numenage = NUMBER(num,N2) .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

VARIABLE LABELS
   	milieu   'Milieu'
	/province 'Province/prfecture'
 	/nup      'No de UP'
	/numenage 'No du mnage'
	/rectype  'Section'
	/c054q2   'No acquisition'
	/IDInd    'Code ID'
	/c054q4   'Achat plantes relatif  ?'
	/c054q5   'Pay pour achat plantes ?'
	/c054q6   'Montant pay'.

VALUE LABELS
milieu 
    1  'Urbain' 
    2  'Rural'
/province 
 		1  'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
/C054Q4               
    1      'Maladie dclare'
    2      'Autre non dclar'
    3      'Dpassant dlai'
/C054Q5               
    1      'Oui'
    2      'Non'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_054.sav'
   /drop idtr prov up num mili
   /COMPRESSED.


*****************.
* SECTION 5F    *.
*****************.
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\santh6.out' FIXED RECORDS=1 TABLE /1
  milieu 1-1 rectype 2-3 identif 18-26 
  c055q2 5-6 IdInd 7-8 c055q4 9-9 c055q5 10-10 c055q6 11-11 c055q7 12-17 .
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_055.sav'
   /COMPRESSED.

STRING idtr (A9).
COMPUTE idtr = string(identif,N9) .
EXECUTE .
STRING mili (A1).
COMPUTE mili = SUBSTR(idtr,1) .
STRING prov (A2).
COMPUTE prov = SUBSTR(idtr,2,2) .
STRING up (A4).
COMPUTE up = SUBSTR(idtr,4,4) .
STRING num (A2).
COMPUTE num = SUBSTR(idtr,8,2) .
EXECUTE .

COMPUTE milieu = NUMBER(mili,N1) .
COMPUTE province = NUMBER(prov,N2) .
COMPUTE nup = NUMBER(up,N4) .
COMPUTE numenage = NUMBER(num,N2) .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

VARIABLE LABELS
   	milieu   'Milieu'
	/province 'Province/prfecture'
 	/nup      'No de UP'
	/numenage 'No du mnage'
	/rectype  'Section'
	/c055q2   'No acquisition'
	/IDInd    'Code ID'
	/c055q4   'Achat mdicaments pour ?'
	/c055q5   'Prescription mdicale'
	/c055q6   'Mode d-acquisition'
	/c055q7   'Montant pay'.

VALUE LABELS
milieu 
    1  'Urbain' 
    2  'Rural'
/province 
 		1  'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
/C055Q4                 
    1      'Maladie dclare'
    2      'Autre non dclar'
    3      'Dpassant dlai'
/C055Q5                
    1      'Oui'
    2      'Non'
/C055Q6              
    1      'Gratuitement'
    2      'Mdecin priv'
    3      'Pays autre personne'
    4      'Autres'
    5      'Achets'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_055.sav'
   /drop idtr prov up num mili
   /COMPRESSED.

*****************.
* SECTION 5G    *.
*****************.
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\santh7.out' FIXED RECORDS=1 TABLE /1
  milieu 1-1 rectype 2-3 identif 18-26
  c056q2 5-6 IdInd 7-8 c056q4 9-9 c056q5 10-10 c056q6 11-11 c056q7 12-17 .
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_056.sav'
   /COMPRESSED.

STRING idtr (A9).
COMPUTE idtr = string(identif,N9) .
EXECUTE .
STRING mili (A1).
COMPUTE mili = SUBSTR(idtr,1) .
STRING prov (A2).
COMPUTE prov = SUBSTR(idtr,2,2) .
STRING up (A4).
COMPUTE up = SUBSTR(idtr,4,4) .
STRING num (A2).
COMPUTE num = SUBSTR(idtr,8,2) .
EXECUTE .

COMPUTE milieu = NUMBER(mili,N1) .
COMPUTE province = NUMBER(prov,N2) .
COMPUTE nup = NUMBER(up,N4) .
COMPUTE numenage = NUMBER(num,N2) .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

VARIABLE LABELS
   	milieu   'Milieu'
	/province 'Province/prfecture'
 	/nup      'No de UP'
	/numenage 'No du mnage'
	/rectype  'Section'
	/c056q2   'No analyse'
	/IDInd    'Code ID'
	/c056q4   'Analyse relative  ?'
	/c056q5   'Lieu analyse'
	/c056q6   'Pay pour analyse ?'
	/c056q7   'Montant pay'.

VALUE LABELS
milieu 
    1  'Urbain' 
    2  'Rural'
/province 
 		1  'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
/C056Q4                
    1      'Maladie dclare'
    2      'Autre non dclar'
    3      'Dpassant dlai'
/C056Q5                 
    1      'Hpital public'
    2      'Clinique mutualiste'
    3      'Clinique labo. priv'
    4      'Autres'
/C056Q6               
    1      'Oui'
    2      'Non'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_056.sav'
   /drop idtr prov up num mili
   /COMPRESSED.


*****************.
* SECTION 5H    *.
*****************.
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\santh8.out' FIXED RECORDS=1 TABLE /1
  milieu 1-1 rectype 2-4 identif 22-30
  c057q2 5-6 IdInd 7-8 c057q4 9-9 c057q5 10-10 c057q6 11-11 c057q7 12-14
  c057q8 15-15 c057q9 16-21 .
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_057.sav'
   /COMPRESSED.

STRING idtr (A9).
COMPUTE idtr = string(identif,N9) .
EXECUTE .
STRING mili (A1).
COMPUTE mili = SUBSTR(idtr,1) .
STRING prov (A2).
COMPUTE prov = SUBSTR(idtr,2,2) .
STRING up (A4).
COMPUTE up = SUBSTR(idtr,4,4) .
STRING num (A2).
COMPUTE num = SUBSTR(idtr,8,2) .
EXECUTE .

COMPUTE milieu = NUMBER(mili,N1) .
COMPUTE province = NUMBER(prov,N2) .
COMPUTE nup = NUMBER(up,N4) .
COMPUTE numenage = NUMBER(num,N2) .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

VARIABLE LABELS
   	milieu   'Milieu'
	/province 'Province/prfecture'
 	/nup      'No de UP'
	/numenage 'No du mnage'
	/rectype  'Section'
	/c057q2   'No hospitalisation'
	/IDInd    'No d-ordre'
	/c057q4   'Hospitalisation relative  ?'
	/c057q5   'Raison hospitalisation'
	/c057q6   'Lieu hospitalisation'
     	/c057q7   'Nb de nuits hospitalisation'
	/c057q8   'Pay pour hospitalisation ?'
	/c057q9   'Montant pay'.

VALUE LABELS
milieu 
    1  'Urbain' 
    2  'Rural'
/province 
 		1  'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
/C057Q4               
    1      'Maladie dclare'
    2      'Autre non dclar'
    3      'Dpassant dlai'
/C057Q5              
    1      'Opration chirurg.'
    2      'Accouchement'
    3      'Accident'
    4      'Autres'
/C057Q6               
    1      'Hpital public'
    2      'Clinique mutualiste'
    3      'Clinique prive'
    4      'Autres'
/C057Q8               
    1      'Oui'
    2      'Non'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_057.sav'
   /drop idtr prov up num mili
   /COMPRESSED.


*****************.
* SECTION 5I    *.
*****************.
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\santh9.out' FIXED RECORDS=1 TABLE /1
  milieu 1-1 rectype 2-4 identif 19-27 
  c058q2 5-6 IdInd 7-8 c058q4 9-9 c058q5 10-10 c058q6 11-11 c058q7 12-12
  c058q8 13-18 .
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_058.sav'
   /COMPRESSED.

STRING idtr (A9).
COMPUTE idtr = string(identif,N9) .
EXECUTE .
STRING mili (A1).
COMPUTE mili = SUBSTR(idtr,1) .
STRING prov (A2).
COMPUTE prov = SUBSTR(idtr,2,2) .
STRING up (A4).
COMPUTE up = SUBSTR(idtr,4,4) .
STRING num (A2).
COMPUTE num = SUBSTR(idtr,8,2) .
EXECUTE .

COMPUTE milieu = NUMBER(mili,N1) .
COMPUTE province = NUMBER(prov,N2) .
COMPUTE nup = NUMBER(up,N4) .
COMPUTE numenage = NUMBER(num,N2) .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

VARIABLE LABELS
   	milieu   'Milieu'
	/province 'Province/prfecture'
 	/nup      'No de UP'
	/numenage 'No du mnage'
	/rectype  'Section'
	/c058q2   'No traitement'
	/IDInd    'Code ID'
	/c058q4   'Consultation relative  ?'
	/c058q5   'Qui est consult'
     	/c058q6   'Lieu de consultation'
	/c058q7   'Pay pour consultation ?'
	/c058q8   'Montant pay'.

VALUE LABELS
milieu 
    1  'Urbain' 
    2  'Rural'
/province 
 		1  'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
/C058Q4                
    1      'Maladie dclare'
    2      'Autre non dclar'
    3      'Dpassant dlai'
/C058Q5               
    1      'Paramdical public'
    2      'Paramdical mutualiste'
    3      'Paramdical priv'
    4      'Autre paramdical'
    5      'Org. non gouvernem.'
/C058Q6              
    1      'Disp./centre sant'
    2      'Hpital public'
    3      'Clinique mutu./assim.'
    4      'Clinique/cabinet priv'
    5      'Autres  prciser'
/C058Q7               
    1      'Oui'
    2      'Non'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_058.sav'
   /drop idtr prov up num mili
   /COMPRESSED.


*****************.
* SECTION 5J    *.
*****************.
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\santh10.out' FIXED RECORDS=1 TABLE /1
  milieu 1-1 rectype 2-4 identif 16-24 
  c059q2 5-6 IdInd 7-8 c059q4 9-9 c059q5 10-15 .
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_059.sav'
   /COMPRESSED.

STRING idtr (A9).
COMPUTE idtr = string(identif,N9) .
EXECUTE .
STRING mili (A1).
COMPUTE mili = SUBSTR(idtr,1) .
STRING prov (A2).
COMPUTE prov = SUBSTR(idtr,2,2) .
STRING up (A4).
COMPUTE up = SUBSTR(idtr,4,4) .
STRING num (A2).
COMPUTE num = SUBSTR(idtr,8,2) .
EXECUTE .

COMPUTE milieu = NUMBER(mili,N1) .
COMPUTE province = NUMBER(prov,N2) .
COMPUTE nup = NUMBER(up,N4) .
COMPUTE numenage = NUMBER(num,N2) .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

VARIABLE LABELS
   	milieu   'Milieu'
	/province 'Province/prfecture'
 	/nup      'No de UP'
	/numenage 'No du mnage'
	/rectype  'Section'
	/c059q2   'No consultation'
	/IDInd    'Code ID'
	/c059q4   'Pay pour consultation ?'
	/c059q5   'Montant pay'.

VALUE LABELS
milieu 
    1  'Urbain' 
    2  'Rural'
/province 
 		1  'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
/C059Q4                 
    1      'Oui'
    2      'Non'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_059.sav'
   /drop idtr prov up num mili
   /COMPRESSED.


*****************.
* SECTION 5K    *.
*****************.
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='S:\Databank\_Maroc\Data98\New_Ariel\santh11.out' FIXED RECORDS=1 TABLE /1
  milieu 1-1 rectype 2-4 identif 18-26 
  c060q2 5-6 IdInd 7-8 c060q4 9-9 c060q5 10-10 c060q6 11-11 c060q7 12-17.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_060.sav'
   /COMPRESSED.

STRING idtr (A9).
COMPUTE idtr = string(identif,N9) .
EXECUTE .
STRING mili (A1).
COMPUTE mili = SUBSTR(idtr,1) .
STRING prov (A2).
COMPUTE prov = SUBSTR(idtr,2,2) .
STRING up (A4).
COMPUTE up = SUBSTR(idtr,4,4) .
STRING num (A2).
COMPUTE num = SUBSTR(idtr,8,2) .
EXECUTE .

COMPUTE milieu = NUMBER(mili,N1) .
COMPUTE province = NUMBER(prov,N2) .
COMPUTE nup = NUMBER(up,N4) .
COMPUTE numenage = NUMBER(num,N2) .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

VARIABLE LABELS
   	milieu   'Milieu'
	/province 'Province/prfecture'
 	/nup      'No de UP'
	/numenage 'No du mnage'
	/rectype  'Section'
	/coefpond 'Coefficient de pondration'
	/c060q2   'No consultation'
	/IDInd    'Code ID'
	/c060q4   'Consultation relative  ?'
	/c060q5   'Qui est consult'
	/c060q6   'Pay pour consultation ?'
	/c060q7   'Montant pay'.

VALUE LABELS
milieu 
    1  'Urbain' 
    2  'Rural'
/province 
 		1  'ued Eddahab'
		2 'Boujdor'
		3 'Laayoune'
		4 'Assa Zag'
		5 'ssemara' 
		6 'Guelmim'
		7 'Tan-Tan'
		8 'Tata'
		9 'gadir Ida Outanan'
		10 'Chtouka Ait Baha'
		11 'Inezgane Ait Melloul'
		12 'uarzazate'
		13 'Zagora'
		14 'Taroudant'
		15 'Tiznit'
		42 'Kenitra'
		43 'Sidi Kacem'
		27 'Ben Slimane'
		28 'Khouribga'
		29 'Settat'
		16 'Al Haouz'
		17 'Chichaoua'
		18 'l Kelaa Sraghna'  
		19 'Essaouira'
		20 'Marrakech Medina'
		21 'Marrakech Menara'
		22 'Sidi Youssef Ben Ali'
		58 'Berkane'
		59 'Tourirt'
		60 'Figuig'
		61 'Jerada'
		62 'Nador'
		63 'ujda Angad'
		30 'Ain Chok Hay Hassani'
		31 'Ain Sbaa Hay Mohamadi'
		32 'l Fida Derb Sultan'
		33 'Ben Msik Sidi Othmane'
		34 'Casa Anfa'
		35 'Machouar Casa'
		36 'Mohammadia'
		37 'Sidi Bernoussi Zenata'
		38 'Khemisset'
		39 'Rabat'
		40 'Sale'
		41 'Skhirat-Temara'
		25 'l Jadida'
		26 'Safi'
		23 'Azilal'
		24 'Beni Mellal'
		44 'Al Asmailia'
		45 'l Hajeb'
		46 'Errachidia'
		47 'Ifrane'
		48 'Khenifra'
		49 'Meknes El Menzeh'
		50 'Boulemana'
		51 'Fes Jdid Dar Dbigagh'
		52 'Fes Medina'
		53 'Sefrou'
		54 'Zougha My Yaacoub'
		55 'Al Hoceima'
		56 'Taounate'
		57 'Taza'
		64 'Chefchaoun'
		65 'Larache'
		66 'Tanger Assilah'
		67 'Fahs Bni Makada'
		68 'Tetouan'
/C060Q4               
    1      'Dern. maladie dclare'
    2      'Autre non dclar'
    3      'Dpassant dlai'
/C060Q5                 
    1      'Dentiste hp. public'
    2      'Dentiste mutualiste'
    3      'Dentiste priv'
    4      'Mcanicien dentiste'
    5      'Autres  prciser'
/C060Q6               
    1      'Oui'
    2      'Non'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_060.sav'
   /drop idtr prov up num mili
   /COMPRESSED.








