********************************************************.
* Programme destin  l'importation du fichier de      *.
* donnes des dpenses agrges de IMPS vers SPSS.     *. 
* SPSS, et  calculer/affecter certaines variables.    *.
********************************************************.


SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.
DATA LIST
  FILE='C:\_Maroc\Data\Ascii\Depmen.dat' FIXED RECORDS=1 TABLE /1 milieu 
  1-1 province 2-3 nup 4-7 numenage 8-9 typevil 10-10 sexe 11-11 sitprof 12-12 age
  13-14 etatmat 15-15 typeact 16-16 tauxalph 17-19 taille 20-21 taimenag 22-22
  nivscol 23-23 dep_tot 24-32 dep_alim 33-41 dep_hab 42-50 dep_hen 51-59 
  dep_eqm 60-68 dep_hyg 69-77 dep_tran 78-86 dep_lois 87-95 dep_abs 96-104 
  dep_ncom 105-113 coef_ext 114-119 coef_per 120-125 quintile 126-128 .
EXECUTE.

* On s'assure que la dpense totale = la somme des composantes *.
*--------------------------------------------------------------*.
COMPUTE dep_tot = dep_alim+dep_hab + dep_hen + dep_eqm + dep_hyg + dep_tran +
  dep_lois + dep_abs + dep_ncom .
EXECUTE .

* Calcul de la dpense per capita *.
*---------------------------------*.
COMPUTE dep_pc = dep_tot/taille .
EXECUTE .

* Ajout de l'identifiant du mnage et du coefficient de pondration *.
*-------------------------------------------------------------------*.
SORT CASES BY
  milieu (A) province (A) nup (A) numenage (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_Maroc\Data\Spss\Work\IDMen.SAV'
 /BY milieu province nup numenage.
EXECUTE.

* Labellisation des variables *.
*-----------------------------*.
VARIABLE LABELS
   	milieu    'Milieu'
	/province 'Province/prfecture'
 	/nup      'No unit primaire'
	/menage   ''
	/typevil  ''
	/sexe     'Sexe du CM'
	/sitprof  'Sit.profess.CM'
	/age      'Age du CM'
	/etatmat  'Etat matr.du CM'
	/typeact  ''
	/tauxalph 'Taux alphab.'
	/taille   'Taille du mnage'
	/taimenag ''
	/nivscol  'Niveau scol.CM'
	/dep_tot  'Dpense totale'
	/dep_alim 'Dpense alimentaire'
	/dep_hab  'Dpense habillement'
	/dep_hen  'Dpense logement/nergie'
	/dep_eqm  'Dpense q. mnager'
	/dep_hyg  'Dpense hygine/sant'
	/dep_tran 'Dpense transport/communic.'
	/dep_lois 'Dpense loisirs/culture'
	/dep_abs  'Dpense autres biens/services'
	/dep_ncom 'Autres dpenses'
      /dep_pc   'Dpense totale per capita'.

VALUE LABELS 
	milieu 
		1  'Urbain' 
		2  'Rural'
	/province 
 		1  ''.

SAVE OUTFILE='C:\_Maroc\Data\Spss\Annuel\Dep_cat.sav'
   /COMPRESSED.


