********************************************************.
* Programme destin  prparer les fichiers de donnes *.
* pour le logiciel POVCAL.                             *. 
* Ce programme fournit, par centile, le pourcentage de *.
* la population et le pourcentage de dpense, pour le  *.
* milieu urbain, rural et au niveau national.          *.
********************************************************.

*****************.
* Milieu urbain *.
*****************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
WEIGHT
  BY coef_per .
USE ALL.
COMPUTE filter_$=(milieu=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
RANK
  VARIABLES=dep_pc  (A) /NTILES (100) /PRINT=NO
  /TIES=MEAN .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
  /BREAK=ndep_pc
  /pop = N(milieu) /dep_pc = SUM(dep_pc).

DESCRIPTIVES
  VARIABLES=dep_pc
  /STATISTICS=MEAN .
* Tableau de contrle.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=ndep_pc + $t000001  BY milieu > (STATISTICS)
  /STATISTICS
  count( ndep_pc( F5.0 ))
  cpct( ndep_pc( PCT5.1 ) 'Col %':milieu ).

GET
  FILE='S:\DATABANK\_Maroc\Work\temp.sav'.
EXECUTE .
COMPUTE break = 1 .
EXECUTE .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\temp2.sav'
  /BREAK=break
  /pop_tot = SUM(pop) /dep_tot = SUM(dep_pc).
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp2.sav'
 /BY break.
EXECUTE.
NUMERIC prop_pop (F10.7).
NUMERIC prop_dep (F10.7).
COMPUTE prop_pop = (pop/pop_tot)*100 .
COMPUTE prop_dep = (dep_pc/dep_tot)*100 .
EXECUTE .

SAVE OUTFILE='S:\DATABANK\_Maroc\Work\Povcal_u.sav'
   /DROP ndep_pc pop dep_pc break pop_tot dep_tot
   /COMPRESSED.
GET
  FILE='S:\DATABANK\_Maroc\Work\Povcal_u.sav'.
WRITE OUTFILE='S:\DATABANK\_Maroc\Work\Povcal_u.dat'
  TABLE /ALL.
EXECUTE.


*****************.
* Milieu rural  *.
*****************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
WEIGHT
  BY coef_per .
USE ALL.
COMPUTE filter_$=(milieu=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
RANK
  VARIABLES=dep_pc  (A) /NTILES (100) /PRINT=NO
  /TIES=MEAN .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
  /BREAK=ndep_pc
  /pop = N(milieu) /dep_pc = SUM(dep_pc).
DESCRIPTIVES
  VARIABLES=dep_pc
  /STATISTICS=MEAN .
* Tableau de contrle.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=ndep_pc + $t000001  BY milieu > (STATISTICS)
  /STATISTICS
  count( ndep_pc( F5.0 ))
  cpct( ndep_pc( PCT5.1 ) 'Col %':milieu ).

GET
  FILE='S:\DATABANK\_Maroc\Work\temp.sav'.
EXECUTE .
COMPUTE break = 1 .
EXECUTE .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\temp2.sav'
  /BREAK=break
  /pop_tot = SUM(pop) /dep_tot = SUM(dep_pc).
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp2.sav'
 /BY break.
EXECUTE.
NUMERIC prop_pop (F10.7).
NUMERIC prop_dep (F10.7).
COMPUTE prop_pop = (pop/pop_tot)*100 .
COMPUTE prop_dep = (dep_pc/dep_tot)*100 .
EXECUTE .

SAVE OUTFILE='S:\DATABANK\_Maroc\Work\Povcal_r.sav'
   /DROP ndep_pc pop dep_pc break pop_tot dep_tot
   /COMPRESSED.
GET
  FILE='S:\DATABANK\_Maroc\Work\Povcal_r.sav'.
WRITE OUTFILE='S:\DATABANK\_Maroc\Work\Povcal_r.dat'
  TABLE /ALL.
EXECUTE.


*******************.
* Niveau national *.
*******************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
WEIGHT
  BY coef_per .
* Ajustement des dpenses en milieu rural selon la diffrence relative   *.
* entre les lignes de pauvret urbaine et rurale (3922/3037).            *.
*------------------------------------------------------------------------*.
IF (milieu=1) dep_pc2 = dep_pc .
IF (milieu=2) dep_pc2 = dep_pc*(3922/3037) .
EXECUTE .

RANK
  VARIABLES=dep_pc2  (A) /NTILES (100) /PRINT=NO
  /TIES=MEAN .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
  /BREAK=ndep_pc2
  /pop = N(milieu) /dep_pc = SUM(dep_pc2).
DESCRIPTIVES
  VARIABLES=dep_pc2
  /STATISTICS=MEAN .
* Tableau de contrle.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=ndep_pc2 + $t000002  BY milieu > (STATISTICS) + $t000001
  /STATISTICS
  count( ndep_pc2( F5.0 ))
  cpct( ndep_pc2( PCT5.1 ) 'Table %').

GET
  FILE='S:\DATABANK\_Maroc\Work\temp.sav'.
EXECUTE .
COMPUTE break = 1 .
EXECUTE .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\temp2.sav'
  /BREAK=break
  /pop_tot = SUM(pop) /dep_tot = SUM(dep_pc).
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp2.sav'
 /BY break.
EXECUTE.
NUMERIC prop_pop (F10.7).
NUMERIC prop_dep (F10.7).
COMPUTE prop_pop = (pop/pop_tot)*100 .
COMPUTE prop_dep = (dep_pc/dep_tot)*100 .
EXECUTE .

SAVE OUTFILE='S:\DATABANK\_Maroc\Work\Povcal_n.sav'
   /DROP ndep_pc2 pop dep_pc break pop_tot dep_tot
   /COMPRESSED.
GET
  FILE='S:\DATABANK\_Maroc\Work\Povcal_n.sav'.
WRITE OUTFILE='S:\DATABANK\_Maroc\Work\Povcal_n.dat'
  TABLE /ALL.
EXECUTE.

