*****************************************************************.
* Programme destin  la production de tableaux sur la structure*.
* des dpenses des mnages par quintile et dcile.              *.
*****************************************************************.

*************************************.
* Structure pour les quintiles U-R  *.
*************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\Dep_cat.sav'.
EXECUTE.

COMPUTE co_m = coef_pop/taille .
EXECUTE .

WEIGHT
  BY co_m .

AGGREGATE
  /OUTFILE='C:\_Maroc\Work\aggr.sav'
  /BREAK=milieu quin_pur
  /dep_tot = SUM(dep_tot) /dep_hab = SUM(dep_hab) /dep_hen = SUM(dep_hen)
 /dep_eqm = SUM(dep_eqm) /dep_hyg = SUM(dep_hyg) /dep_tran = SUM(dep_tran)
 /dep_lois = SUM(dep_lois) /dep_abs = SUM(dep_abs) /dep_ncom = SUM(dep_ncom)
 /dep_alim = SUM(dep_alim).

GET
  FILE='C:\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE sh_alim = (dep_alim*100)/dep_tot.
COMPUTE sh_hab = (dep_hab*100)/dep_tot.
COMPUTE sh_hen = (dep_hen*100)/dep_tot.
COMPUTE sh_eqm = (dep_eqm*100)/dep_tot.
COMPUTE sh_hyg = (dep_hyg*100)/dep_tot.
COMPUTE sh_tran = (dep_tran*100)/dep_tot.
COMPUTE sh_lois = (dep_lois*100)/dep_tot.
COMPUTE sh_abs = (dep_abs*100)/dep_tot.
COMPUTE sh_ncom = (dep_ncom*100)/dep_tot.
COMPUTE sh_tot = (dep_tot*100)/dep_tot.
EXECUTE.

VARIABLE LABELS
   	sh_tot  'Dpense totale'
	/sh_alim 'Part alimentaire'
	/sh_hab  'Part habillement'
	/sh_hen  'Part logement/nergie'
	/sh_eqm  'Part q. mnager'
	/sh_hyg  'Part hygine/sant'
	/sh_tran 'Part transport/communic.'
	/sh_lois 'Part loisirs/culture'
	/sh_abs  'Part autres biens/services'
	/sh_ncom 'Part autres dpenses'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= sh_alim sh_hen sh_hab sh_hyg sh_tran sh_lois sh_eqm sh_abs
  sh_ncom sh_tot
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=milieu > (STATISTICS) > ( sh_alim > (STATISTICS) + sh_hen >
  (STATISTICS) + sh_hab > (STATISTICS) + sh_hyg > (STATISTICS) + sh_tran >
  (STATISTICS) + sh_lois > (STATISTICS) + sh_eqm > (STATISTICS) + sh_abs >
  (STATISTICS) + sh_ncom > (STATISTICS) + sh_tot > (STATISTICS)  )  BY
  quin_pur + $t000001   /TITLE  'Structure de la dpense des mnages par'+
 ' quintile U-R'.


*************************************.
* Structure pour les dciles U-R    *.
*************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\Dep_cat.sav'.
EXECUTE.

COMPUTE co_m = coef_pop/taille .
EXECUTE .

WEIGHT
  BY co_m .

AGGREGATE
  /OUTFILE='C:\_Maroc\Work\aggr.sav'
  /BREAK=milieu deci_pur
  /dep_tot = SUM(dep_tot) /dep_hab = SUM(dep_hab) /dep_hen = SUM(dep_hen)
 /dep_eqm = SUM(dep_eqm) /dep_hyg = SUM(dep_hyg) /dep_tran = SUM(dep_tran)
 /dep_lois = SUM(dep_lois) /dep_abs = SUM(dep_abs) /dep_ncom = SUM(dep_ncom)
 /dep_alim = SUM(dep_alim).

GET
  FILE='C:\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE sh_alim = (dep_alim*100)/dep_tot.
COMPUTE sh_hab = (dep_hab*100)/dep_tot.
COMPUTE sh_hen = (dep_hen*100)/dep_tot.
COMPUTE sh_eqm = (dep_eqm*100)/dep_tot.
COMPUTE sh_hyg = (dep_hyg*100)/dep_tot.
COMPUTE sh_tran = (dep_tran*100)/dep_tot.
COMPUTE sh_lois = (dep_lois*100)/dep_tot.
COMPUTE sh_abs = (dep_abs*100)/dep_tot.
COMPUTE sh_ncom = (dep_ncom*100)/dep_tot.
COMPUTE sh_tot = (dep_tot*100)/dep_tot.
EXECUTE.

VARIABLE LABELS
   	sh_tot  'Dpense totale'
	/sh_alim 'Part alimentaire'
	/sh_hab  'Part habillement'
	/sh_hen  'Part logement/nergie'
	/sh_eqm  'Part q. mnager'
	/sh_hyg  'Part hygine/sant'
	/sh_tran 'Part transport/communic.'
	/sh_lois 'Part loisirs/culture'
	/sh_abs  'Part autres biens/services'
	/sh_ncom 'Part autres dpenses'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= sh_alim sh_hen sh_hab sh_hyg sh_tran sh_lois sh_eqm sh_abs
  sh_ncom sh_tot
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=milieu > (STATISTICS) > ( sh_alim > (STATISTICS) + sh_hen >
  (STATISTICS) + sh_hab > (STATISTICS) + sh_hyg > (STATISTICS) + sh_tran >
  (STATISTICS) + sh_lois > (STATISTICS) + sh_eqm > (STATISTICS) + sh_abs >
  (STATISTICS) + sh_ncom > (STATISTICS) + sh_tot > (STATISTICS)  )  BY
  deci_pur + $t000001   /TITLE  'Structure de la dpense des mnages par'+
 ' dcile U-R'.



*************************************.
* Structure pour les quintiles nat. *.
*************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\Dep_cat.sav'.
EXECUTE.

COMPUTE co_m = coef_pop/taille .
EXECUTE .

WEIGHT
  BY co_m .

AGGREGATE
  /OUTFILE='C:\_Maroc\Work\aggr.sav'
  /BREAK=milieu quin_pn
  /dep_tot = SUM(dep_tot) /dep_hab = SUM(dep_hab) /dep_hen = SUM(dep_hen)
 /dep_eqm = SUM(dep_eqm) /dep_hyg = SUM(dep_hyg) /dep_tran = SUM(dep_tran)
 /dep_lois = SUM(dep_lois) /dep_abs = SUM(dep_abs) /dep_ncom = SUM(dep_ncom)
 /dep_alim = SUM(dep_alim).

GET
  FILE='C:\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE sh_alim = (dep_alim*100)/dep_tot.
COMPUTE sh_hab = (dep_hab*100)/dep_tot.
COMPUTE sh_hen = (dep_hen*100)/dep_tot.
COMPUTE sh_eqm = (dep_eqm*100)/dep_tot.
COMPUTE sh_hyg = (dep_hyg*100)/dep_tot.
COMPUTE sh_tran = (dep_tran*100)/dep_tot.
COMPUTE sh_lois = (dep_lois*100)/dep_tot.
COMPUTE sh_abs = (dep_abs*100)/dep_tot.
COMPUTE sh_ncom = (dep_ncom*100)/dep_tot.
COMPUTE sh_tot = (dep_tot*100)/dep_tot.
EXECUTE.

VARIABLE LABELS
   	sh_tot  'Dpense totale'
	/sh_alim 'Part alimentaire'
	/sh_hab  'Part habillement'
	/sh_hen  'Part logement/nergie'
	/sh_eqm  'Part q. mnager'
	/sh_hyg  'Part hygine/sant'
	/sh_tran 'Part transport/communic.'
	/sh_lois 'Part loisirs/culture'
	/sh_abs  'Part autres biens/services'
	/sh_ncom 'Part autres dpenses'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= sh_alim sh_hen sh_hab sh_hyg sh_tran sh_lois sh_eqm sh_abs
  sh_ncom sh_tot
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=milieu > (STATISTICS) > ( sh_alim > (STATISTICS) + sh_hen >
  (STATISTICS) + sh_hab > (STATISTICS) + sh_hyg > (STATISTICS) + sh_tran >
  (STATISTICS) + sh_lois > (STATISTICS) + sh_eqm > (STATISTICS) + sh_abs >
  (STATISTICS) + sh_ncom > (STATISTICS) + sh_tot > (STATISTICS)  )  BY
  quin_pn + $t000001   /TITLE  'Structure de la dpense des mnages par'+
 ' quintile national'.


*************************************.
* Structure pour les dciles U-R    *.
*************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\Dep_cat.sav'.
EXECUTE.

COMPUTE co_m = coef_pop/taille .
EXECUTE .

WEIGHT
  BY co_m .

AGGREGATE
  /OUTFILE='C:\_Maroc\Work\aggr.sav'
  /BREAK=milieu deci_pn
  /dep_tot = SUM(dep_tot) /dep_hab = SUM(dep_hab) /dep_hen = SUM(dep_hen)
 /dep_eqm = SUM(dep_eqm) /dep_hyg = SUM(dep_hyg) /dep_tran = SUM(dep_tran)
 /dep_lois = SUM(dep_lois) /dep_abs = SUM(dep_abs) /dep_ncom = SUM(dep_ncom)
 /dep_alim = SUM(dep_alim).

GET
  FILE='C:\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE sh_alim = (dep_alim*100)/dep_tot.
COMPUTE sh_hab = (dep_hab*100)/dep_tot.
COMPUTE sh_hen = (dep_hen*100)/dep_tot.
COMPUTE sh_eqm = (dep_eqm*100)/dep_tot.
COMPUTE sh_hyg = (dep_hyg*100)/dep_tot.
COMPUTE sh_tran = (dep_tran*100)/dep_tot.
COMPUTE sh_lois = (dep_lois*100)/dep_tot.
COMPUTE sh_abs = (dep_abs*100)/dep_tot.
COMPUTE sh_ncom = (dep_ncom*100)/dep_tot.
COMPUTE sh_tot = (dep_tot*100)/dep_tot.
EXECUTE.

VARIABLE LABELS
   	sh_tot  'Dpense totale'
	/sh_alim 'Part alimentaire'
	/sh_hab  'Part habillement'
	/sh_hen  'Part logement/nergie'
	/sh_eqm  'Part q. mnager'
	/sh_hyg  'Part hygine/sant'
	/sh_tran 'Part transport/communic.'
	/sh_lois 'Part loisirs/culture'
	/sh_abs  'Part autres biens/services'
	/sh_ncom 'Part autres dpenses'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= sh_alim sh_hen sh_hab sh_hyg sh_tran sh_lois sh_eqm sh_abs
  sh_ncom sh_tot
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=milieu > (STATISTICS) > ( sh_alim > (STATISTICS) + sh_hen >
  (STATISTICS) + sh_hab > (STATISTICS) + sh_hyg > (STATISTICS) + sh_tran >
  (STATISTICS) + sh_lois > (STATISTICS) + sh_eqm > (STATISTICS) + sh_abs >
  (STATISTICS) + sh_ncom > (STATISTICS) + sh_tot > (STATISTICS)  )  BY
  deci_pn + $t000001   /TITLE  'Structure de la dpense des mnages par'+
 ' dcile national'.


***************************************************.
* Structure pour la population totale par milieu  *.
***************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\Dep_cat.sav'.
EXECUTE.

COMPUTE co_m = coef_pop/taille .
EXECUTE .

WEIGHT
  BY co_m .

AGGREGATE
  /OUTFILE='C:\_Maroc\Work\aggr.sav'
  /BREAK=milieu
  /dep_tot = SUM(dep_tot) /dep_hab = SUM(dep_hab) /dep_hen = SUM(dep_hen)
 /dep_eqm = SUM(dep_eqm) /dep_hyg = SUM(dep_hyg) /dep_tran = SUM(dep_tran)
 /dep_lois = SUM(dep_lois) /dep_abs = SUM(dep_abs) /dep_ncom = SUM(dep_ncom)
 /dep_alim = SUM(dep_alim).

GET
  FILE='C:\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE sh_alim = (dep_alim*100)/dep_tot.
COMPUTE sh_hab = (dep_hab*100)/dep_tot.
COMPUTE sh_hen = (dep_hen*100)/dep_tot.
COMPUTE sh_eqm = (dep_eqm*100)/dep_tot.
COMPUTE sh_hyg = (dep_hyg*100)/dep_tot.
COMPUTE sh_tran = (dep_tran*100)/dep_tot.
COMPUTE sh_lois = (dep_lois*100)/dep_tot.
COMPUTE sh_abs = (dep_abs*100)/dep_tot.
COMPUTE sh_ncom = (dep_ncom*100)/dep_tot.
COMPUTE sh_tot = (dep_tot*100)/dep_tot.
EXECUTE.

VARIABLE LABELS
   	sh_tot  'Dpense totale'
	/sh_alim 'Part alimentaire'
	/sh_hab  'Part habillement'
	/sh_hen  'Part logement/nergie'
	/sh_eqm  'Part q. mnager'
	/sh_hyg  'Part hygine/sant'
	/sh_tran 'Part transport/communic.'
	/sh_lois 'Part loisirs/culture'
	/sh_abs  'Part autres biens/services'
	/sh_ncom 'Part autres dpenses'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= sh_alim sh_hen sh_hab sh_hyg sh_tran sh_lois sh_eqm sh_abs
  sh_ncom sh_tot
  /GBASE=CASES
  /TABLE=sh_alim > (STATISTICS) + sh_hen > (STATISTICS) + sh_hab >
  (STATISTICS) + sh_hyg > (STATISTICS) + sh_tran > (STATISTICS) + sh_lois >
  (STATISTICS) + sh_eqm > (STATISTICS) + sh_abs > (STATISTICS) + sh_ncom >
  (STATISTICS) + sh_tot > (STATISTICS)  BY milieu   /TITLE  'Structure des'+
 ' dpenses des mnages par milieu de rsidence'.


***************************************************.
* Structure pour la population totale par milieu  *.
***************************************************.

GET
  FILE='C:\_Maroc\Data\Spss\Annuel\Dep_cat.sav'.
EXECUTE.

COMPUTE co_m = coef_pop/taille .
COMPUTE temp = 1.
EXECUTE .

WEIGHT
  BY co_m .

AGGREGATE
  /OUTFILE='C:\_Maroc\Work\aggr.sav'
  /BREAK=temp
  /dep_tot = SUM(dep_tot) /dep_hab = SUM(dep_hab) /dep_hen = SUM(dep_hen)
 /dep_eqm = SUM(dep_eqm) /dep_hyg = SUM(dep_hyg) /dep_tran = SUM(dep_tran)
 /dep_lois = SUM(dep_lois) /dep_abs = SUM(dep_abs) /dep_ncom = SUM(dep_ncom)
 /dep_alim = SUM(dep_alim).

GET
  FILE='C:\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE sh_alim = (dep_alim*100)/dep_tot.
COMPUTE sh_hab = (dep_hab*100)/dep_tot.
COMPUTE sh_hen = (dep_hen*100)/dep_tot.
COMPUTE sh_eqm = (dep_eqm*100)/dep_tot.
COMPUTE sh_hyg = (dep_hyg*100)/dep_tot.
COMPUTE sh_tran = (dep_tran*100)/dep_tot.
COMPUTE sh_lois = (dep_lois*100)/dep_tot.
COMPUTE sh_abs = (dep_abs*100)/dep_tot.
COMPUTE sh_ncom = (dep_ncom*100)/dep_tot.
COMPUTE sh_tot = (dep_tot*100)/dep_tot.
EXECUTE.

VARIABLE LABELS
   	sh_tot  'Dpense totale'
	/sh_alim 'Part alimentaire'
	/sh_hab  'Part habillement'
	/sh_hen  'Part logement/nergie'
	/sh_eqm  'Part q. mnager'
	/sh_hyg  'Part hygine/sant'
	/sh_tran 'Part transport/communic.'
	/sh_lois 'Part loisirs/culture'
	/sh_abs  'Part autres biens/services'
	/sh_ncom 'Part autres dpenses'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= sh_alim sh_hen sh_hab sh_eqm sh_hyg sh_tran sh_lois sh_abs
  sh_ncom sh_tot
  /GBASE=CASES
  /TABLE=sh_alim + sh_hen + sh_hab + sh_eqm + sh_hyg + sh_tran + sh_lois +
  sh_abs + sh_ncom + sh_tot  /TITLE  'Structure des'+
 ' dpenses des mnages au niveau national'.

