*********************************************************************.
* Programme de tabulation - Srie 0 : description de l'chantillon  *.
*********************************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

WEIGHT
  BY coef_per .

* TABLEAU 0.1 .
*-------------.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=province + $t000001  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( province( F5.0 ))
  unw count( province( F5.0 )) /TITLE  "Tableau 0.1 - Structure de"+
 " l'chantillon par province et milieu" '(population extrapole et nombre de'+
 ' mnages enquts)'.

* TABLEAU 0.2 .
*-------------.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=region14 + $t000001  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( region14( F5.0 ))
  unw count( region14( F5.0 )) /TITLE  "Tableau 0.2 - Structure de"+
 " l'chantillon par rgion (14) et milieu" '(population extrapole et nombre de'+
 ' mnages enquts)'.

* TABLEAU 0.2a.
*-------------.
VARIABLE LABELS typevil 'Milieu de rsidence'.
VALUE LABELS typevil
	1  'Ville >= 100000 hab.'
	2  'Ville < 100000 hab.'
	3  'Rural'.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=region14 + $t000001  BY typevil > (STATISTICS) + $t000002
  /STATISTICS
  count( region14( F5.0 ))
  unw count( region14( F5.0 )) /TITLE  "Tableau 0.2a - Structure de"+
 " l'chantillon par rgion (14) et milieu" '(population extrapole et nombre de'+
 ' mnages enquts)'.

* TABLEAU 0.3 .
*-------------.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=pauv_ele + $t000003  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( pauv_ele( F5.0 ))
  unw count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Col %':milieu ) /TITLE  "Tableau 0.3 -Rpartition"+
 " de l'chantillon selon le statut de pauvret (ligne haute)" '(population extrapole et'+
 ' nombre de mnages enquts)' /CAPTION  'Ligne de pauvret haute: Urbain = 3922 DH'+
 '/j/p  ;  Rural = 3037 DH/j/p'.

* TABLEAU 0.4 .
*-------------.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=pauv_bas + $t000003  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( pauv_bas( F5.0 ))
  unw count( pauv_bas( F5.0 ))
  cpct( pauv_bas( PCT5.1 ) 'Col %':milieu ) /TITLE  "Tableau 0.4 -Rpartition"+
 " de l'chantillon selon le statut de pauvret (ligne basse)" '(population extrapole et'+
 ' nombre de mnages enquts)' /CAPTION  'Ligne de pauvret basse: Urbain = 2881 DH'+
 '/j/p  ;  Rural = 2553 DH/j/p'.


