****************************************************************.
* Programme de tabulation des variables dmographiques.        *.
****************************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_011.sav'.
EXECUTE .

RECODE
  c011q53
  (0 thru 14=1)  (15 thru 49=2)  (50 thru 64=3)  (65 thru Highest=4)  INTO
  age_gr4 .
VARIABLE LABELS age_Gr4 'Age (4 groupes)'.
VALUE LABELS
  age_gr4 
     1  '0  14 ans'
     2  '15  49 ans'
     3  '50  64 ans'
     4  '65 ans et +'. 
EXECUTE .
RECODE
  c011q53
  (0 thru 4=1)  (5 thru 9=2)  (10 thru 14=3)  (15 thru 19=4)  (20 thru 24=5)
  (25 thru 29=6)  (30 thru 34=7)  (35 thru 39=8)  (40 thru 44=9)  (45 thru
  49=10)  (50 thru 54=11)  (55 thru 59=12)  (60 thru 64=13)  (65 thru Highest=14) 
  INTO  age_quin .
VARIABLE LABELS age_quin 'Age (groupes quinquenaux)'.
VALUE LABELS
  age_quin
   	1  '0  4 ans'
	2  '5  9 ans'
	3  '10  14 ans'
	4  '15  19 ans'  
  	5  '20  24 ans'
	6  '25  29 ans'
	7  '30  34 ans'
	8  '35  39 ans'
	9  '40  44 ans'
	10 '45  49 ans'
	11 '50  54 ans'
	12 '55  59 ans'
	13 '60  64 ans'
	14 '65 ans et +'.
EXECUTE .

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_011.sav'
   /COMPRESSED.

WEIGHT
  BY coeffin2 .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000004 "Total"
  /TABLE=age_quin + $t000003  BY pauv_ele > (STATISTICS) + $t000004
  /STATISTICS
  cpct( age_quin( PCT5.1 ) 'Col %':pauv_ele )
  count( age_quin( F5.0 )) /TITLE  'Tableau 1.4 - Structure par ges de la'+
 ' population totale, selon le statut de pauvret'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=age_quin + $t000002  BY c011q4 > (STATISTICS) + $t000001
  /STATISTICS
  count( age_quin( F5.0 ))
  cpct( age_quin( PCT5.1 ) 'Col %':c011q4 ) /TITLE  'Tableau 1.1 - Structure'+
 ' par ges et par sexe de la population totale'.

USE ALL.
COMPUTE filter_$=(milieu=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000004 "Total"
  /TABLE=age_quin + $t000003  BY pauv_ele > (STATISTICS) + $t000004
  /STATISTICS
  cpct( age_quin( PCT5.1 ) 'Col %':pauv_ele )
  count( age_quin( F5.0 )) /TITLE  'Tableau 1.5 - Structure par ges de la'+
 ' population urbaine, selon le statut de pauvret'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=age_quin + $t000002  BY c011q4 > (STATISTICS) + $t000001
  /STATISTICS
  count( age_quin( F5.0 ))
  cpct( age_quin( PCT5.1 ) 'Col %':c011q4 ) /TITLE  'Tableau 1.2 - Structure'+
 ' par ges et par sexe de la population urbaine'.

USE ALL.
COMPUTE filter_$=(milieu=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000004 "Total"
  /TABLE=age_quin + $t000003  BY pauv_ele > (STATISTICS) + $t000004
  /STATISTICS
  cpct( age_quin( PCT5.1 ) 'Col %':pauv_ele )
  count( age_quin( F5.0 )) /TITLE  'Tableau 1.6 - Structure par ges de la'+
 ' population rurale, selon le statut de pauvret'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=age_quin + $t000002  BY c011q4 > (STATISTICS) + $t000001
  /STATISTICS
  count( age_quin( F5.0 ))
  cpct( age_quin( PCT5.1 ) 'Col %':c011q4 ) /TITLE  'Tableau 1.3 - Structure'+
 ' par ges et par sexe de la population rurale'.

USE ALL.
COMPUTE filter_$=(pauv_ele=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=milieu + $t000003  BY pauv_ele > (STATISTICS)
  /STATISTICS
  count( milieu( F5.0 ))
  cpct( milieu( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  'Tableau 1.7 -'+
 ' Rpartition de la population pauvre selon le milieu de rsidence'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=age_quin + $t000002  BY c011q4 > (STATISTICS) + $t000001
  /STATISTICS
  count( age_quin( F5.0 ))
  cpct( age_quin( PCT5.1 ) 'Col %':c011q4 ) /TITLE  'Tableau 1.8 - Structure'+
 ' par ges et par sexe de la population pauvre'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total"
  /TABLE=region14 + $t000004  BY pauv_ele > (STATISTICS)
  /STATISTICS
  count( region14( F5.0 ))
  cpct( region14( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  'Tableau 1.10 -'+
 ' Rpartition de la population pauvre selon la rgion'.

USE ALL.
COMPUTE filter_$=(pauv_ele=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=age_quin + $t000002  BY c011q4 > (STATISTICS) + $t000001
  /STATISTICS
  count( age_quin( F5.0 ))
  cpct( age_quin( PCT5.1 ) 'Col %':c011q4 ) /TITLE  'Tableau 1.9 - Structure'+
 ' par ges et par sexe de la population non pauvre'.


FILTER OFF.
USE ALL.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000005 "Total" $t000006 "Total"
  /TABLE=milieu + $t000005  BY pauv_ele + $t000006
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Row %':milieu ) /TITLE  'Tableau 1.11 -Taux de'+
 ' pauvret selon le milieu de rsidence'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000006 "Total"
  /TABLE=region14 + $t000007  BY pauv_ele + $t000006
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Row %':region14 ) /TITLE  'Tableau 1.12 -Taux de'+
 ' pauvret selon la rgion'.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
WEIGHT
  BY coef_ext .
FORMAT taille (F4.1).

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= taille
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=milieu + $t000001  BY pauv_ele > (STATISTICS) > taille >
  (STATISTICS) + $t000002   /TITLE  'Tableau 1.13 - Taille moyenne du mnage'+
 ' selon le milieu de rsidence et le statut de pauvret '.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= taille
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=region14 + $t000001  BY pauv_ele > (STATISTICS) > taille >
  (STATISTICS) + $t000002   /TITLE  'Tableau 1.14 - Taille moyenne du mnage'+
 ' selon la rgion et le statut de pauvret '.

WEIGHT
  BY coef_per .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000005 "Total" $t000007 "Total"
  /TABLE=sexe + $t000005  BY pauv_ele > (STATISTICS) + $t000007
  /STATISTICS
  count( sexe( F5.0 ))
  cpct( sexe( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  'Tableau 1.15 - Rpartition'+
 ' de la population selon le statut de pauvret et le sexe du chef de'+
 ' mnage'.

RECODE
  taille
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (10 thru
  Highest=10)  INTO  taille2 .
EXECUTE .
VARIABLE LABELS
  taille2 'Taille du mnage'.
VALUE LABELS taille2
   	1  '1'
	2  '2'
	3  '3'
	4  '4'
	5  '5'
	6  '6'
	7  '7'
	8  '8'
	9  '9'
	10 '10 et +'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=taille2 > milieu + $t000003  BY pauv_ele
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Row %':taille2 milieu )
  /TITLE  'Tableau 1.16 - Rpartition'+
  ' de la population selon le statut de pauvret, le milieu de' 
  ' rsidence, et la taille du mnage'.

WEIGHT
  BY coef_ext .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000004 "Total"
  /TABLE=taille2 + $t000003  BY milieu > (STATISTICS) + $t000004
  /STATISTICS
  count( taille2( F5.0 ))
  cpct( taille2( PCT5.1 ) 'Col %':milieu ) /TITLE  'Tableau 1.17 - Rpartition'+
 ' des mnages selon la taille, par milieu de rsidence'.

WEIGHT
  BY coef_per .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000006 "Total" $t000007 "Total"
  /TABLE=dec_ur + $t000006  BY typville > (STATISTICS) + $t000007
  /STATISTICS
  count( dec_ur( F5.0 ))
  cpct( dec_ur( PCT5.1 ) 'Col %':typville ) /TITLE  'Tableau 1.18 -'+
 ' Rpartition de la population urbaine par type de ville ' 'et dcile de'+
 ' dpense (% en colonnes)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000006 "Total" $t000007 "Total"
  /TABLE=dec_ur + $t000006  BY typville > (STATISTICS) + $t000007
  /STATISTICS
  count( dec_ur( F5.0 ))
  cpct( dec_ur( PCT5.1 ) 'Row %':dec_ur ) /TITLE  'Tableau 1.19 -'+
 ' Rpartition de la population urbaine par type de ville ' 'et dcile de'+
 ' dpense (% en lignes)'.


GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

IF (milieu=1 and dep_pc<2881) pauv_bas = 1 .
IF (milieu=1 and dep_pc>=2881) pauv_bas = 2 .
IF (milieu=2 and dep_pc<2553) pauv_bas = 1 .
IF (milieu=2 and dep_pc>=2553) pauv_bas = 2 .
IF (milieu=1 and dep_pc<3922) pauv_ele = 1 .
IF (milieu=1 and dep_pc>=3922) pauv_ele = 2 .
IF (milieu=2 and dep_pc<3037) pauv_ele = 1 .
IF (milieu=2 and dep_pc>=3037) pauv_ele = 2 .
EXECUTE .

VARIABLE LABELS
    pauv_bas  'Pauvre selon seuil bas ?'
   /pauv_ele  'Pauvre selon seuil lev ?'.

VALUE LABELS
    pauv_bas   1  'Pauvre'
               2  'Non pauvre'
   /pauv_ele   1  'Pauvre'
               2  'Non pauvre'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'
   /COMPRESSED.

WEIGHT
  BY coef_per .

* TABLEAUX SUR LES P0 *.
***********************.

TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=pauv_bas + $t000001  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( pauv_bas( F5.0 ))
  cpct( pauv_bas( PCT5.1 ) 'Col %':milieu ) /TITLE  'Tableau 1.20 - '+
 'Poverty incidence (P0) - Ligne basse'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=pauv_ele + $t000003  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Col %':milieu ) /TITLE  'Tableau 1.21 - '+
 'Poverty incidence (P0) - Ligne haute'.

* CALCULS ET TABLEAUX SUR LES P1 et P2  *.
*****************************************.
IF (pauv_bas=1 and milieu = 1) dif_b = (2881 - dep_pc)/2881 .
IF (pauv_bas=1 and milieu = 2) dif_b = (2553 - dep_pc)/2553 .
IF (pauv_ele=1 and milieu = 1) dif_e = (3922 - dep_pc)/3922 .
IF (pauv_ele=1 and milieu = 2) dif_e = (3037 - dep_pc)/3037 .
EXECUTE .

COMPUTE dif_b2 = dif_b ** 2.
COMPUTE dif_e2 = dif_e ** 2.
EXECUTE.

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=milieu
  /pop = N(idmen) /sum_db = SUM(dif_b)  /sum_de = SUM(dif_e)
  /sum_db2 = SUM(dif_b2) /sum_de2 = SUM(dif_e2).
 
GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE P1b = (sum_db/pop)*100 .
COMPUTE P2b = (sum_db2/pop)*100 .
COMPUTE P1e = (sum_de/pop)*100 .
COMPUTE P2e = (sum_de2/pop)*100 .
EXECUTE .

VARIABLE LABELS
  P1b 'P1 pour le seuil bas (%)'
  P2b 'P2 pour le seuil bas (%)'
  P1e 'P1 pour le seuil lev (%)'
  P2e 'P2 pour le seuil lev (%)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= p1b p2b p1e p2e
  /GBASE=CASES
  /TABLE=milieu  BY p1b + p2b + p1e + p2e
  /STATISTICS
  /TITLE  'Tableau 1.22 - Poverty gaps (P1 and P2)'.


**********************************************.
* Calcul de P1 et P2 au niveau national       . 
**********************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

IF (milieu=1) dep_pch = dep_pc .
IF (milieu=2) dep_pch = dep_pc * (3922/3037).
IF (milieu=1) dep_pcl = dep_pc .
IF (milieu=2) dep_pcl = dep_pc * (2881/2553).

EXECUTE .

WEIGHT
  BY coef_per .

IF (pauv_ele=1) dif_h = (3922 - dep_pch)/3922 .
IF (pauv_bas=1) dif_l = (2881 - dep_pch)/2881 .
EXECUTE .

COMPUTE dif_h2 = dif_h ** 2.
COMPUTE dif_l2 = dif_l ** 2.
COMPUTE brk = 1.
EXECUTE.

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=brk
  /pop = N(idmen) /sum_dh = SUM(dif_h) /sum_dh2 = SUM(dif_h2) 
  /sum_dl = SUM(dif_l) /sum_dl2 = SUM(dif_l2).
 
GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE P1h = (sum_dh/pop)*100 .
COMPUTE P2h = (sum_dh2/pop)*100 .
COMPUTE P1l = (sum_dl/pop)*100 .
COMPUTE P2l = (sum_dl2/pop)*100 .
EXECUTE .

VARIABLE LABELS
  P1h 'P1 pour le seuil lev (%)'
  P2h 'P2 pour le seuil lev (%)'
  P1l 'P1 pour le seuil bas (%)'
  P2l 'P2 pour le seuil bas (%)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= p1h p2h
  /GBASE=CASES
  /TABLE=p1h + p2h   /TITLE  'Tableau 1.23 - P1 et P2 au niveau national (selon la ligne de'+
 ' pauvret leve)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= p1l p2l
  /GBASE=CASES
  /TABLE=p1l + p2l   /TITLE  'Tableau 1.24 - P1 et P2 au niveau national (selon la ligne de'+
 ' pauvret basse)'.

**********************************************.
*@@@@@@@@@@@@@@@@@@@@@@@@  revoir.
GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_011.sav'.
EXECUTE .

RECODE
  c011q53
  (Lowest thru 14=1)  (15 thru 64=0)  (65 thru Highest=1)  INTO  dep .
EXECUTE .
RECODE
  c011q53
  (Lowest thru 14=0)  (15 thru 64=1)  (65 thru Highest=0)  INTO  indep .
EXECUTE .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
  /BREAK=idmen
  /dep = SUM(dep) /indep = SUM(indep).
GET
  FILE='S:\DATABANK\_Maroc\Work\temp.sav'.
EXECUTE .
IF indep > 0 depratio = dep/indep .
EXECUTE .
VARIABLE LABELS depratio 'Dependency ratio' .

MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'
 /BY idmen.
EXECUTE.
WEIGHT
  BY coef_ext .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= depratio
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=dec_ur + $t000001  BY milieu > (STATISTICS) > depratio >
  (STATISTICS)    /TITLE  'Tableau xx - Rapport de dpendance selon le milieu'+
 ' de rsidence et le quintile de dpenses' /CAPTION  'Le rapport de dpendance'+
 ' est le rapport entre le nombre de membres gs de 0  14 ou 65 ans et plus'+
 ' et le nombre de membres gs de 15  64 ans. Les mnages ne comprenant pas'+
 ' de membres de 15  64 ans ne sont pas considrs.'.


GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
WEIGHT
  BY coef_ext .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=dec_nat + $t000002  BY sexe + $t000001
  /STATISTICS
  count( sexe( F5.0 ))
  cpct( sexe( PCT5.1 ) 'Row %':dec_nat )
  unw count( sexe( F5.0 )) /TITLE  'Tableau 1.25 - Rpartition des mnages'+
 ' selon le sexe du chef de mnage, par dcile de dpense'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=pauv_ele + $t000002  BY sexe + $t000001
  /STATISTICS
  count( sexe( F5.0 ))
  cpct( sexe( PCT5.1 ) 'Row %':pauv_ele )
  unw count( sexe( F5.0 )) /TITLE  'Tableau 1.26 - Rpartition des mnages'+
 ' selon le sexe du chef de mnage et le statut de pauvret'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=milieu + $t000002  BY sexe + $t000001
  /STATISTICS
  count( sexe( F5.0 ))
  cpct( sexe( PCT5.1 ) 'Row %':milieu )
  unw count( sexe( F5.0 )) /TITLE  'Tableau 1.27 - Rpartition des mnages'+
 ' selon le sexe du chef de mnage et le milieu de rsidence'.

WEIGHT
  BY coef_per .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=dec_nat + $t000003  BY nivscol + $t000002
  /STATISTICS
  count( nivscol( F5.0 ))
  cpct( nivscol( PCT5.1 ) 'Row %':dec_nat ) /TITLE  'Tableau 1.28 - Rpartition'+
 ' de la population totale selon le niveau scolaire du chef de mnage et le dcile de'+
 ' dpense (% en lignes)' /CAPTION  'Dciles de population calculs au niveau national'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=dec_nat + $t000003  BY nivscol + $t000002
  /STATISTICS
  count( nivscol( F5.0 ))
  cpct( nivscol( PCT5.1 ) 'Col %':nivscol ) /TITLE  'Tableau 1.29 - Rpartition'+
 ' de la population totale selon le niveau scolaire du chef de mnage et le dcile de'+
 ' dpense (% en lignes)' /CAPTION  'Dciles de population calculs au niveau national'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=nivscol + $t000001  BY pauv_ele + $t000002
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Row %':nivscol )  /TITLE  'Tableau 1.34 - Rpartition'+
 ' de la population totale selon le niveau scolaire du chef de mnage et le statut de'+
 ' pauvret (% en lignes)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=nivscol + $t000001  BY pauv_ele + $t000002
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Col %':pauv_ele )/TITLE  'Tableau 1.35 - Rpartition'+
 ' de la population totale selon le niveau scolaire du chef de mnage et le statut de'+
 ' pauvret (% en colonnes)'.

USE ALL.
COMPUTE filter_$=(milieu = 1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=dec_ur + $t000003  BY nivscol + $t000002
  /STATISTICS
  count( nivscol( F5.0 ))
  cpct( nivscol( PCT5.1 ) 'Row %':dec_ur ) /TITLE  'Tableau 1.30 - Rpartition'+
 ' de la population urbaine selon le niveau scolaire du chef de mnage et le dcile de'+
 ' dpense (% en lignes)' /CAPTION  'Dciles de population calculs pour le milieu urbain'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=dec_ur + $t000003  BY nivscol + $t000002
  /STATISTICS
  count( nivscol( F5.0 ))
  cpct( nivscol( PCT5.1 ) 'Col %':nivscol ) /TITLE  'Tableau 1.31 - Rpartition'+
 ' de la population urbaine selon le niveau scolaire du chef de mnage et le dcile de'+
 ' dpense (% en lignes)' /CAPTION  'Dciles de population calculs pour le milieu urbain'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=nivscol + $t000001  BY pauv_ele + $t000002
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Row %':nivscol )  /TITLE  'Tableau 1.36 - Rpartition'+
 ' de la population urbaine selon le niveau scolaire du chef de mnage et le statut de'+
 ' pauvret (% en lignes)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=nivscol + $t000001  BY pauv_ele + $t000002
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Col %':pauv_ele )/TITLE  'Tableau 1.37 - Rpartition'+
 ' de la population urbaine selon le niveau scolaire du chef de mnage et le statut de'+
 ' pauvret (% en colonnes)'.

USE ALL.
COMPUTE filter_$=(milieu = 2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=dec_ur + $t000003  BY nivscol + $t000002
  /STATISTICS
  count( nivscol( F5.0 ))
  cpct( nivscol( PCT5.1 ) 'Row %':dec_ur ) /TITLE  'Tableau 1.32 - Rpartition'+
 ' de la population rurale selon le niveau scolaire du chef de mnage et le dcile de'+
 ' dpense (% en lignes)' /CAPTION  'Dciles de population calculs pour le milieu rural'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=dec_ur + $t000003  BY nivscol + $t000002
  /STATISTICS
  count( nivscol( F5.0 ))
  cpct( nivscol( PCT5.1 ) 'Col %':nivscol ) /TITLE  'Tableau 1.33 - Rpartition'+
 ' de la population rurale selon le niveau scolaire du chef de mnage et le dcile de'+
 ' dpense (% en lignes)' /CAPTION  'Dciles de population calculs pour le milieu rural'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=nivscol + $t000001  BY pauv_ele + $t000002
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Row %':nivscol )  /TITLE  'Tableau 1.38 - Rpartition'+
 ' de la population rurale selon le niveau scolaire du chef de mnage et le statut de'+
 ' pauvret (% en lignes)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=nivscol + $t000001  BY pauv_ele + $t000002
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Col %':pauv_ele )/TITLE  'Tableau 1.39 - Rpartition'+
 ' de la population rurale selon le niveau scolaire du chef de mnage et le statut de'+
 ' pauvret (% en colonnes)'.

