***************************************************************.
* Programme de tabulation des variables sur l'agriculture     *.
***************************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_140.sav'.
EXECUTE .
WEIGHT
  OFF.
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
  /BREAK=idmen
  /Nb_parc 'Nombre de parcelles' = N(milieu).

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
WEIGHT
  OFF.
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp.sav'
 /BY idmen.
EXECUTE.
RECODE
  nb_parc  (SYSMIS=0)  .
EXECUTE .
RECODE
  nb_parc
  (0=0)  (1=1)  (2=2)  (3=3)  (4=4)  (5 thru Highest=5)  INTO  nbp .
VARIABLE LABELS nbp 'Nombre de parcelles cultives'.
VALUE LABELS nbp
	0  '0'
	1  '1'
	2  '2'
	3  '3'
	4  '4'
	5  '5 et +'.
EXECUTE .
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /COMPRESSED.

WEIGHT
  BY coef_ext .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000001 "Total"
  /TABLE=nbp + $t000003  BY milieu + $t000001
  /STATISTICS
  count( milieu( F5.0 ))
  cpct( milieu( PCT5.1 ) 'Col %':milieu ) /TITLE  'Tableau 10.1 - Nombre de'+
 ' parcelles possdes ou cultives par le mnage, par milieu de rsidence'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000004 "Total"
  /TABLE=nbp + $t000003  BY milieu > pauv_ele + $t000004
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Col %':milieu pauv_ele ) /TITLE  'Tableau 10.2 - Nombre de'+
 ' parcelles possdes ou cultives par le mnage, par statut de pauvret et milieu'+
 'de rsidence'.
