************************************************************.
* Programme de tabulation des variables sur les activits  *.
* conomiques.                                             *.
************************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
WEIGHT
  BY coef_per .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000008 "Total" $t000007 "Total"
  /TABLE=sitprof + $t000008  BY pauv_ele > (STATISTICS) + $t000007
  /STATISTICS
  count( sitprof( F5.0 ))
  cpct( sitprof( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  'Tableau 2.1 -'+
 ' Rpartition de la population selon le statut de pauvret' 'et le statut'+
 ' professionnel du chef de mnage (% en colonnes)'.

USE ALL.
COMPUTE filter_$=(milieu=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000008 "Total" $t000007 "Total"
  /TABLE=sitprof + $t000008  BY pauv_ele > (STATISTICS) + $t000007
  /STATISTICS
  count( sitprof( F5.0 ))
  cpct( sitprof( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  'Tableau 2.2 -'+
 ' Rpartition de la population urbaine selon le statut de pauvret et le statut'+
 ' professionnel du chef de mnage (% en colonnes)'.

USE ALL.
COMPUTE filter_$=(milieu=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000008 "Total" $t000007 "Total"
  /TABLE=sitprof + $t000008  BY pauv_ele > (STATISTICS) + $t000007
  /STATISTICS
  count( sitprof( F5.0 ))
  cpct( sitprof( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  'Tableau 2.3 -'+
 ' Rpartition de la population rurale selon le statut de pauvret et le statut'+
 ' professionnel du chef de mnage (% en colonnes)'.

FILTER OFF.
USE ALL.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=sitprof + $t000001  BY pauv_ele > (STATISTICS) + $t000002
  /STATISTICS
  count( sitprof( F5.0 ))
  cpct( sitprof( PCT5.1 ) 'Row %':sitprof )
  /TITLE  'Tableau 2.4 -'+
 ' Rpartition de la population selon le statut de pauvret et le statut'+
 ' professionnel du chef de mnage (% en lignes)'.

USE ALL.
COMPUTE filter_$=(milieu=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=sitprof + $t000001  BY pauv_ele > (STATISTICS) + $t000002
  /STATISTICS
  count( sitprof( F5.0 ))
  cpct( sitprof( PCT5.1 ) 'Row %':sitprof )
  /TITLE  'Tableau 2.5 -'+
 ' Rpartition de la population urbaine selon le statut de pauvret et le statut'+
 ' professionnel du chef de mnage (% en lignes)'.

USE ALL.
COMPUTE filter_$=(milieu=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=sitprof + $t000001  BY pauv_ele > (STATISTICS) + $t000002
  /STATISTICS
  count( sitprof( F5.0 ))
  cpct( sitprof( PCT5.1 ) 'Row %':sitprof )
  /TITLE  'Tableau 2.6 -'+
 ' Rpartition de la population rurale selon le statut de pauvret et le statut'+
 ' professionnel du chef de mnage (% en lignes)'.

FILTER OFF.
USE ALL.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=sitprof + $t000002  BY milieu > (STATISTICS) + $t000001
  /STATISTICS
  count( sitprof( F5.0 ))
  cpct( sitprof( PCT5.1 ) 'Col %':milieu ) /TITLE  'Tableau 2.7 - Rpartition'+
 ' de la population selon le milieu de rsidence' 'et le statut professionnel'+
 ' du chef de mnage (% en colonnes)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=sitprof + $t000002  BY milieu > (STATISTICS) + $t000001
  /STATISTICS
  count( sitprof( F5.0 ))
  cpct( sitprof( PCT5.1 ) 'Row %':sitprof ) /TITLE  'Tableau 2.8 -'+
 ' Rpartition de la population selon le milieu de rsidence' 'et le statut'+
 ' professionnel du chef de mnage (% en lignes)'.

GET
  FILE='S:\DATABANK\_Maroc\Work\brac_grp.sav'.
EXECUTE .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'
 /RENAME (coef_per milieu = d0 d1)
 /BY idmen
 /DROP= d0 d1.
EXECUTE.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000003 "Total"
  /TABLE=brac + $t000002  BY pauv_ele + $t000003
  /STATISTICS
  count( pauv_ele( F5.0 )) /TITLE  "Tableau 2.9 - Rpartition des chefs de"+
 " mnage selon l'activit et le statut de pauvret, au niveau national".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000003 "Total"
  /TABLE=milieu > ( brac + $t000002  )  BY pauv_ele + $t000003
  /STATISTICS
  count( pauv_ele( F5.0 )) /TITLE  "Tableau 2.10 - Rpartition des chefs de"+
 " mnage selon l'activit et le statut de pauvret, par milieu de"+
 " rsidence".

RECODE
  brac
  (0=0) (1 thru 9=1) (10=10)  (11=11)  (12=12)  INTO  brac2 .
VARIABLE LABELS brac2 'Activit (rsum)'.
EXECUTE .

VARIABLE LABELS brac2 'Activit'.
VALUE LABELS brac2 
 	0  'Occup - Branche 0'
	1  'Occup - Branches 1  9'
	10 'Chmeur'
	11 'Rentier/retrait'
	12 'Autres inactifs'.	

WEIGHT
  BY coef_per .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000003 "Total"
  /TABLE=brac2 + $t000002  BY pauv_ele + $t000003
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Row %':brac2 ) /TITLE  "Tableau 2.11 -"+
 " Rpartition de la population nationale selon l'activit du chef de mnage et le "+
 "statut de pauvret (% en lignes)".

USE ALL.
COMPUTE filter_$=(milieu=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000003 "Total"
  /TABLE=brac2 + $t000002  BY pauv_ele + $t000003
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Row %':brac2 ) /TITLE  "Tableau 2.12 -"+
 " Rpartition de la population urbaine selon l'activit du chef de mnage et le "+
 "statut de pauvret (% en lignes)".

USE ALL.
COMPUTE filter_$=(milieu=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000003 "Total"
  /TABLE=brac2 + $t000002  BY pauv_ele + $t000003
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Row %':brac2 ) /TITLE  "Tableau 2.13 -"+
 " Rpartition de la population rurale selon l'activit du chef de mnage et le "+
 "statut de pauvret (% en lignes)".


FILTER OFF.
USE ALL.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=brac2 + $t000001  BY pauv_ele > (STATISTICS) + $t000002
  /STATISTICS
  count( brac2( F5.0 ))
  cpct( brac2( PCT5.1 ) 'Col %':pauv_ele ) /TITLE "Tableau 2.14 - "+
 " Rpartition de la population selon l'activit du chef de mnage et le "+
 "statut de pauvret (% en colonnes)".

USE ALL.
COMPUTE filter_$=(milieu=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=brac2 + $t000001  BY pauv_ele > (STATISTICS) + $t000002
  /STATISTICS
  count( brac2( F5.0 ))
  cpct( brac2( PCT5.1 ) 'Col %':pauv_ele ) /TITLE "Tableau 2.15 - "+
 " Rpartition de la population urbaine selon l'activit du chef de mnage et le "+
 "statut de pauvret (% en colonnes)".

USE ALL.
COMPUTE filter_$=(milieu=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=brac2 + $t000001  BY pauv_ele > (STATISTICS) + $t000002
  /STATISTICS
  count( brac2( F5.0 ))
  cpct( brac2( PCT5.1 ) 'Col %':pauv_ele ) /TITLE "Tableau 2.16 - "+
 " Rpartition de la population rurale selon l'activit du chef de mnage et le "+
 "statut de pauvret (% en colonnes)".


GET
  FILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_611.sav'.
EXECUTE .
WEIGHT
  OFF.
IF (c611q17=1) occ = 1 .
IF (c611q17<>1) occ = 0 .
EXECUTE .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=idmen
  /Nb_occ = SUM(occ).
GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\aggr.sav'
 /BY idmen.
EXECUTE.
VARIABLE LABELS nb_occ 'Nb de membres occups'.

COMPUTE rapocc = nb_occ/taille .
VARIABLE LABELS rapocc 'Rapport nb. occup / taille du mnage' .
EXECUTE .
WEIGHT
  BY coef_ext .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= rapocc
  /GBASE=CASES
  /FTOTAL= $t000002 "Total"
  /TABLE=milieu + $t000002  BY rapocc > (STATISTICS)   /TITLE  'Tableau 2.17 -'+
 ' Rapport moyen entre le nombre de membres du mnage occups et la taille du'+
 ' mnage, par milieu de rsidence '.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= rapocc
  /GBASE=CASES
  /FTOTAL= $t000002 "Total"
  /TABLE=pauv_ele + $t000002  BY rapocc > (STATISTICS)   /TITLE  'Tableau 2.18 -'+
 ' Rapport moyen entre le nombre de membres du mnage occups et la taille du'+
 ' mnage, par statut de pauvret '.

USE ALL.
COMPUTE filter_$=(milieu = 1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= rapocc
  /GBASE=CASES
  /FTOTAL= $t000002 "Total"
  /TABLE=dec_ur + $t000002  BY rapocc > (STATISTICS)   /TITLE  'Tableau 2.19 -'+
 ' Rapport moyen entre le nombre de membres du mnage occups et la taille du'+
 ' mnage, par dcile de dpense en milieu urbain '.

USE ALL.
COMPUTE filter_$=(milieu = 2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= rapocc
  /GBASE=CASES
  /FTOTAL= $t000002 "Total"
  /TABLE=dec_ur + $t000002  BY rapocc > (STATISTICS)   /TITLE  'Tableau 2.20 -'+
 ' Rapport moyen entre le nombre de membres du mnage occups et la taille du'+
 ' mnage, par dcile de dpense en milieu rural '.

FILTER OFF.
USE ALL.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= nb_occ
  /GBASE=CASES
  /FTOTAL= $t000002 "Total"
  /TABLE=milieu + $t000002  BY nb_occ > (STATISTICS)   /TITLE  'Tableau 2.21 -'+
 ' Nombre moyen de membres du mnage occups, par milieu de rsidence '. 

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= nb_occ
  /GBASE=CASES
  /FTOTAL= $t000002 "Total"
  /TABLE=pauv_ele + $t000002  BY nb_occ > (STATISTICS)   /TITLE  'Tableau 2.22 -'+
 ' Nombre moyen de membres du mnage occups, par statut de pauvret '. 

USE ALL.
COMPUTE filter_$=(milieu = 1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= nb_occ
  /GBASE=CASES
  /FTOTAL= $t000002 "Total"
  /TABLE=dec_ur + $t000002  BY nb_occ > (STATISTICS)   /TITLE  'Tableau 2.23 -'+
 ' Nombre moyen de membres du mnage occups, par dcile de dpense en milieu urbain '.

USE ALL.
COMPUTE filter_$=(milieu = 2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= nb_occ
  /GBASE=CASES
  /FTOTAL= $t000002 "Total"
  /TABLE=dec_ur + $t000002  BY nb_occ > (STATISTICS)   /TITLE  'Tableau 2.24 -'+
 ' Nombre moyen de membres du mnage occups, par dcile de dpense en milieu rural '.


****************************************************************************.
* Production du fichier de travail intgr sur les activits conomiques.  *.
****************************************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_011.sav'.
EXECUTE .
WEIGHT
  OFF.
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_061.sav'
 /RENAME (milieu numenage nup province typville = d0 d1 d2 d3 d4)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp_act.sav'
   /COMPRESSED.

MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_611.sav'
 /RENAME (classif coef_pop milieu numenage numreg nup province rectype
  typville = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp_act.sav'
   /COMPRESSED.

GET
  FILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_062.sav'.
EXECUTE .
SORT CASES BY
  idmen (A) idind (A) .
IF (idmen=lag(idmen) and idind=lag(idind)) test = 1 .
EXECUTE .
IF (MISSING(test)) test = 0 .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(test = 0).
EXECUTE .
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /DROP test
   /COMPRESSED.

GET
  FILE='S:\DATABANK\_Maroc\Work\temp_act.sav'.
EXECUTE .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp.sav'
 /RENAME (classif coef_pop milieu numenage numreg nup province rectype
  typville = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp_act.sav'
   /COMPRESSED.

MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_063.sav'
 /RENAME (classif coef_pop milieu numenage numreg nup province rectype
  typville = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp_act.sav'
   /COMPRESSED.

GET
  FILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_064.sav'.
EXECUTE .
SORT CASES BY
  idmen (A) idind (A) .
IF (idmen=lag(idmen) and idind=lag(idind)) test = 1 .
EXECUTE .
IF (MISSING(test)) test = 0 .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(test = 0).
EXECUTE .
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /DROP test
   /COMPRESSED.
GET
  FILE='S:\DATABANK\_Maroc\Work\temp_act.sav'.
EXECUTE .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp.sav'
 /RENAME (classif coef_pop milieu numenage numreg nup province rectype
  typville = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp_act.sav'
   /COMPRESSED.

GET
  FILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_065.sav'.
EXECUTE .
SORT CASES BY
  idmen (A) idind (A) .
IF (idmen=lag(idmen) and idind=lag(idind)) test = 1 .
EXECUTE .
IF (MISSING(test)) test = 0 .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(test = 0).
EXECUTE .
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /DROP test
   /COMPRESSED.
GET
  FILE='S:\DATABANK\_Maroc\Work\temp_act.sav'.
EXECUTE .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp.sav'
 /RENAME (classif coef_pop milieu numenage numreg nup province rectype
  typville = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp_act.sav'
   /COMPRESSED.

GET
  FILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_066.sav'.
EXECUTE .
SORT CASES BY
  idmen (A) idind (A) .
IF (idmen=lag(idmen) and idind=lag(idind)) test = 1 .
EXECUTE .
IF (MISSING(test)) test = 0 .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(test = 0).
EXECUTE .
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /DROP test
   /COMPRESSED.
GET
  FILE='S:\DATABANK\_Maroc\Work\temp_act.sav'.
EXECUTE .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp.sav'
 /RENAME (classif coef_pop milieu numenage numreg nup province rectype
  typville = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp_act.sav'
   /COMPRESSED.

GET
  FILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_661.sav'.
EXECUTE .
SORT CASES BY
  idmen (A) idind (A) .
IF (idmen=lag(idmen) and idind=lag(idind)) test = 1 .
EXECUTE .
IF (MISSING(test)) test = 0 .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(test = 0).
EXECUTE .
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /DROP test
   /COMPRESSED.
GET
  FILE='S:\DATABANK\_Maroc\Work\temp_act.sav'.
EXECUTE .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp.sav'
 /RENAME (classif coef_pop milieu numenage numreg nup province rectype
  typville = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp_act.sav'
   /COMPRESSED.

FILTER OFF.
USE ALL.
SELECT IF(c011q53>6).
EXECUTE .
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp_act.sav'
   /COMPRESSED.

