***********************************************************.
* Programme de tabulation sur la structure des dpenses.   .
* Les tableaux sont bass sur les dpenses du mnage       .
* pondre par le coefficient d'extrapolation du mnage.   .
* (coef_ext). Les rsultats diffrent des tableaux         .
* identiques produits sur la base des dpenses per capita  .
* pondres par le coefficient d'extrapolation             .
* individuel (coef_per).                                   .
* (voir le programme Depenses ver2.sps)                    .
***********************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
WEIGHT
  BY coef_per .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=dec_ur + $t000001  BY milieu > (STATISTICS) > dep_pc > (STATISTICS)
    /TITLE  'Tableau 3.1 - Dpense per capita moyenne par milieu de rsidence'+
 ' et dcile (dciles de dpense per capita urbain/rural ; dpense annuelle en'+
 ' DH)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=dec_nat + $t000001  BY milieu > (STATISTICS) > dep_pc > (STATISTICS)
  + $t000002  
  /TITLE  'Tableau 3.2 - Dpense per capita moyenne par milieu de rsidence'+
 ' et dcile (dciles de dpense per capita national ; dpense annuelle en'+
 ' DH)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=region14 + $t000003  BY milieu > (STATISTICS) > dep_pc >
  (STATISTICS) + $t000002  
  /TITLE  'Tableau 3.3 - Dpense per capita moyenne par milieu de rsidence ' +
 ' et rgion (dpense annuelle en DH)'.


WEIGHT
  BY coef_ext .

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=milieu pauv_ele
  /dep_tot = SUM(dep_tot) /dep_tab = SUM(dep_tab) /dep_ast =
  SUM(dep_ast) /dep_hab = SUM(dep_hab) /dep_log = SUM(dep_log) /dep_eqm
  = SUM(dep_eqm) /dep_hyg = SUM(dep_hyg) /dep_tran = SUM(dep_tran)
 /dep_lois = SUM(dep_lois) /dep_abs = SUM(dep_abs) /dep_ncom =
  SUM(dep_ncom).

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE test = dep_tot-dep_tab-dep_ast-dep_hab-dep_log-dep_eqm-dep_hyg
 -dep_tran-dep_lois-dep_abs-dep_ncom .
COMPUTE pc_tot = (dep_tot/dep_tot)*100 .
COMPUTE pc_ast = (dep_ast/dep_tot)*100 .
COMPUTE pc_tab = (dep_tab/dep_tot)*100 .
COMPUTE pc_hab = (dep_hab/dep_tot)*100 .
COMPUTE pc_log = (dep_log/dep_tot)*100 .
COMPUTE pc_eqm = (dep_eqm/dep_tot)*100 .
COMPUTE pc_hyg = (dep_hyg/dep_tot)*100 .
COMPUTE pc_tran = (dep_tran/dep_tot)*100 .
COMPUTE pc_lois = (dep_lois/dep_tot)*100 .
COMPUTE pc_abs = (dep_abs/dep_tot)*100 .
COMPUTE pc_ncom = (dep_ncom/dep_tot)*100 .
EXECUTE .
VARIABLE LABELS
  pc_ast  'Alimentation'
 /pc_tab  'Tabac'
 /pc_hab  'Habillement'
 /pc_log  'Logement/nergie'
 /pc_eqm  'Equipement mnager'
 /pc_hyg  'Hygine/sant'
 /pc_tran 'Transport/communication'  
 /pc_lois 'Loisirs/culture'
 /pc_abs  'Autres biens et services'
 /pc_ncom 'Biens non destin conso.'
 /pc_tot  'Total'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= pc_ast pc_tab pc_hab pc_log pc_hyg pc_tran pc_eqm pc_lois
  pc_abs pc_ncom pc_tot
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=pc_ast > (STATISTICS) + pc_tab > (STATISTICS) + pc_hab >
  (STATISTICS) + pc_log > (STATISTICS) + pc_hyg > (STATISTICS) + pc_tran >
  (STATISTICS) + pc_eqm > (STATISTICS) + pc_lois > (STATISTICS) + pc_abs >
  (STATISTICS) + pc_ncom > (STATISTICS) + pc_tot > (STATISTICS)  BY milieu > (
  pauv_ele + $t000001  )   /TITLE  'Tableau 3.4 - Structure des dpenses des'+
 ' mnages, par milieu de rsidence et statut de pauvret'.
