***********************************************************.
* Programme de tabulation sur la structure des dpenses.   .
* Les tableaux sont bass sur les dpenses per capita      .
* pondres par le coefficient d'extrapolation individuel  .
* (coef_per). Les rsultats diffrent des tableaux         .
* identiques produits sur la base des dpenses au niveau   .
* du mnage, pondres par le coefficient d'extrapolation  .
* du mnage (coef_ext).                                    .
* (voir le programme Depenses ver1.sps)                    .
* Cette version correspond aux calculs de l'Office de la   .
* statistique du Maroc.                                    .
***********************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

COMPUTE pc_tot = dep_tot/taille .
COMPUTE pc_ast = dep_ast/taille.
COMPUTE pc_tab = dep_tab/taille .
COMPUTE pc_hab = dep_hab/taille.
COMPUTE pc_log = dep_log/taille .
COMPUTE pc_eqm = dep_eqm/taille .
COMPUTE pc_hyg = dep_hyg/taille.
COMPUTE pc_tran = dep_tran/taille .
COMPUTE pc_lois = dep_lois/taille .
COMPUTE pc_abs = dep_abs/taille.
COMPUTE pc_ncom = dep_ncom/taille .
EXECUTE .
WEIGHT
  BY coef_per .

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=milieu 
  /pc_tot = SUM(pc_tot) /pc_tab = SUM(pc_tab) /pc_ast =
  SUM(pc_ast) /pc_hab = SUM(pc_hab) /pc_log = SUM(pc_log) /pc_eqm
  = SUM(pc_eqm) /pc_hyg = SUM(pc_hyg) /pc_tran = SUM(pc_tran)
 /pc_lois = SUM(pc_lois) /pc_abs = SUM(pc_abs) /pc_ncom =
  SUM(pc_ncom).

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE tot = (pc_tot/pc_tot)*100 .
COMPUTE ast = (pc_ast/pc_tot)*100 .
COMPUTE tab = (pc_tab/pc_tot)*100 .
COMPUTE hab = (pc_hab/pc_tot)*100 .
COMPUTE log = (pc_log/pc_tot)*100 .
COMPUTE eqm = (pc_eqm/pc_tot)*100 .
COMPUTE hyg = (pc_hyg/pc_tot)*100 .
COMPUTE tran = (pc_tran/pc_tot)*100 .
COMPUTE lois = (pc_lois/pc_tot)*100 .
COMPUTE abs = (pc_abs/pc_tot)*100 .
COMPUTE ncom = (pc_ncom/pc_tot)*100 .
EXECUTE .

VARIABLE LABELS
  	 tot  'Total'
	/ast  'Alimentation'
	/tab  'Tabac'
	/hab  'Habillement'
	/log  'Logement/nergie'
	/eqm  'Equipement mnager'
	/hyg  'Hygine/sant'
	/tran 'Transport/communic.'
	/lois 'Loisirs/culture'
	/abs  'Autres biens/services'
	/ncom 'Dp. non dest. conso.'.	

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= ast tab hab log eqm hyg tran lois abs ncom tot
  /GBASE=CASES
  /TABLE=ast > (STATISTICS) + tab > (STATISTICS) + hab > (STATISTICS) + log >
  (STATISTICS) + eqm > (STATISTICS) + hyg > (STATISTICS) + tran > (STATISTICS)
  + lois > (STATISTICS) + abs > (STATISTICS) + ncom > (STATISTICS) + tot >
  (STATISTICS)  BY milieu   /TITLE  'Tableau 3.1 - Structure de la dpense des'+
 ' mnages par milieu de rsidence'.

*******************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

COMPUTE pc_tot = dep_tot/taille .
COMPUTE pc_ast = dep_ast/taille.
COMPUTE pc_tab = dep_tab/taille .
COMPUTE pc_hab = dep_hab/taille.
COMPUTE pc_log = dep_log/taille .
COMPUTE pc_eqm = dep_eqm/taille .
COMPUTE pc_hyg = dep_hyg/taille.
COMPUTE pc_tran = dep_tran/taille .
COMPUTE pc_lois = dep_lois/taille .
COMPUTE pc_abs = dep_abs/taille.
COMPUTE pc_ncom = dep_ncom/taille .
EXECUTE .
WEIGHT
  BY coef_per .

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=pauv_ele 
  /pc_tot = SUM(pc_tot) /pc_tab = SUM(pc_tab) /pc_ast =
  SUM(pc_ast) /pc_hab = SUM(pc_hab) /pc_log = SUM(pc_log) /pc_eqm
  = SUM(pc_eqm) /pc_hyg = SUM(pc_hyg) /pc_tran = SUM(pc_tran)
 /pc_lois = SUM(pc_lois) /pc_abs = SUM(pc_abs) /pc_ncom =
  SUM(pc_ncom).

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE tot = (pc_tot/pc_tot)*100 .
COMPUTE ast = (pc_ast/pc_tot)*100 .
COMPUTE tab = (pc_tab/pc_tot)*100 .
COMPUTE hab = (pc_hab/pc_tot)*100 .
COMPUTE log = (pc_log/pc_tot)*100 .
COMPUTE eqm = (pc_eqm/pc_tot)*100 .
COMPUTE hyg = (pc_hyg/pc_tot)*100 .
COMPUTE tran = (pc_tran/pc_tot)*100 .
COMPUTE lois = (pc_lois/pc_tot)*100 .
COMPUTE abs = (pc_abs/pc_tot)*100 .
COMPUTE ncom = (pc_ncom/pc_tot)*100 .
EXECUTE .

VARIABLE LABELS
  	 tot  'Total'
	/ast  'Alimentation'
	/tab  'Tabac'
	/hab  'Habillement'
	/log  'Logement/nergie'
	/eqm  'Equipement mnager'
	/hyg  'Hygine/sant'
	/tran 'Transport/communic.'
	/lois 'Loisirs/culture'
	/abs  'Autres biens/services'
	/ncom 'Dp. non dest. conso.'.	

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= ast tab hab log eqm hyg tran lois abs ncom tot
  /GBASE=CASES
  /TABLE=ast > (STATISTICS) + tab > (STATISTICS) + hab > (STATISTICS) + log >
  (STATISTICS) + eqm > (STATISTICS) + hyg > (STATISTICS) + tran > (STATISTICS)
  + lois > (STATISTICS) + abs > (STATISTICS) + ncom > (STATISTICS) + tot >
  (STATISTICS)  BY pauv_ele   /TITLE  'Tableau 3.2 - Structure de la dpense des'+
 ' mnages par statut de pauvret'.


*******************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

COMPUTE brk = 1. 
COMPUTE pc_tot = dep_tot/taille .
COMPUTE pc_ast = dep_ast/taille.
COMPUTE pc_tab = dep_tab/taille .
COMPUTE pc_hab = dep_hab/taille.
COMPUTE pc_log = dep_log/taille .
COMPUTE pc_eqm = dep_eqm/taille .
COMPUTE pc_hyg = dep_hyg/taille.
COMPUTE pc_tran = dep_tran/taille .
COMPUTE pc_lois = dep_lois/taille .
COMPUTE pc_abs = dep_abs/taille.
COMPUTE pc_ncom = dep_ncom/taille .
EXECUTE .
WEIGHT
  BY coef_per .

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=brk 
  /pc_tot = SUM(pc_tot) /pc_tab = SUM(pc_tab) /pc_ast =
  SUM(pc_ast) /pc_hab = SUM(pc_hab) /pc_log = SUM(pc_log) /pc_eqm
  = SUM(pc_eqm) /pc_hyg = SUM(pc_hyg) /pc_tran = SUM(pc_tran)
 /pc_lois = SUM(pc_lois) /pc_abs = SUM(pc_abs) /pc_ncom =
  SUM(pc_ncom).

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE tot = (pc_tot/pc_tot)*100 .
COMPUTE ast = (pc_ast/pc_tot)*100 .
COMPUTE tab = (pc_tab/pc_tot)*100 .
COMPUTE hab = (pc_hab/pc_tot)*100 .
COMPUTE log = (pc_log/pc_tot)*100 .
COMPUTE eqm = (pc_eqm/pc_tot)*100 .
COMPUTE hyg = (pc_hyg/pc_tot)*100 .
COMPUTE tran = (pc_tran/pc_tot)*100 .
COMPUTE lois = (pc_lois/pc_tot)*100 .
COMPUTE abs = (pc_abs/pc_tot)*100 .
COMPUTE ncom = (pc_ncom/pc_tot)*100 .
EXECUTE .

VARIABLE LABELS
  	 tot  'Total'
	/ast  'Alimentation'
	/tab  'Tabac'
	/hab  'Habillement'
	/log  'Logement/nergie'
	/eqm  'Equipement mnager'
	/hyg  'Hygine/sant'
	/tran 'Transport/communic.'
	/lois 'Loisirs/culture'
	/abs  'Autres biens/services'
	/ncom 'Dp. non dest. conso.'.	

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= ast tab hab log eqm hyg tran lois abs ncom tot
  /GBASE=CASES
  /TABLE=ast + tab + hab + log + eqm + hyg + tran + lois + abs + ncom + tot
  /TITLE  'Tableau 3.3 - Structure de la dpense des mnages'.
  

*******************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

COMPUTE pc_tot = dep_tot/taille .
COMPUTE pc_ast = dep_ast/taille.
COMPUTE pc_tab = dep_tab/taille .
COMPUTE pc_hab = dep_hab/taille.
COMPUTE pc_log = dep_log/taille .
COMPUTE pc_eqm = dep_eqm/taille .
COMPUTE pc_hyg = dep_hyg/taille.
COMPUTE pc_tran = dep_tran/taille .
COMPUTE pc_lois = dep_lois/taille .
COMPUTE pc_abs = dep_abs/taille.
COMPUTE pc_ncom = dep_ncom/taille .
EXECUTE .
WEIGHT
  BY coef_per .

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=milieu pauv_ele 
  /pc_tot = SUM(pc_tot) /pc_tab = SUM(pc_tab) /pc_ast =
  SUM(pc_ast) /pc_hab = SUM(pc_hab) /pc_log = SUM(pc_log) /pc_eqm
  = SUM(pc_eqm) /pc_hyg = SUM(pc_hyg) /pc_tran = SUM(pc_tran)
 /pc_lois = SUM(pc_lois) /pc_abs = SUM(pc_abs) /pc_ncom =
  SUM(pc_ncom).

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE tot = (pc_tot/pc_tot)*100 .
COMPUTE ast = (pc_ast/pc_tot)*100 .
COMPUTE tab = (pc_tab/pc_tot)*100 .
COMPUTE hab = (pc_hab/pc_tot)*100 .
COMPUTE log = (pc_log/pc_tot)*100 .
COMPUTE eqm = (pc_eqm/pc_tot)*100 .
COMPUTE hyg = (pc_hyg/pc_tot)*100 .
COMPUTE tran = (pc_tran/pc_tot)*100 .
COMPUTE lois = (pc_lois/pc_tot)*100 .
COMPUTE abs = (pc_abs/pc_tot)*100 .
COMPUTE ncom = (pc_ncom/pc_tot)*100 .
EXECUTE .

VARIABLE LABELS
  	 tot  'Total'
	/ast  'Alimentation'
	/tab  'Tabac'
	/hab  'Habillement'
	/log  'Logement/nergie'
	/eqm  'Equipement mnager'
	/hyg  'Hygine/sant'
	/tran 'Transport/communic.'
	/lois 'Loisirs/culture'
	/abs  'Autres biens/services'
	/ncom 'Dp. non dest. conso.'.	

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= ast tab hab log eqm hyg tran lois abs ncom tot
  /GBASE=CASES
  /TABLE=ast > (STATISTICS) + tab > (STATISTICS) + hab > (STATISTICS) + log >
  (STATISTICS) + eqm > (STATISTICS) + hyg > (STATISTICS) + tran > (STATISTICS)
  + lois > (STATISTICS) + abs > (STATISTICS) + ncom > (STATISTICS) + tot >
  (STATISTICS)  BY milieu > pauv_ele     
  /TITLE  'Tableau 3.4 - Structure de la dpense des mnages par statut de pauvret' +
  ' et milieu de rsidence'.


*******************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

COMPUTE pc_tot = dep_tot/taille .
COMPUTE pc_ast = dep_ast/taille.
COMPUTE pc_tab = dep_tab/taille .
COMPUTE pc_hab = dep_hab/taille.
COMPUTE pc_log = dep_log/taille .
COMPUTE pc_eqm = dep_eqm/taille .
COMPUTE pc_hyg = dep_hyg/taille.
COMPUTE pc_tran = dep_tran/taille .
COMPUTE pc_lois = dep_lois/taille .
COMPUTE pc_abs = dep_abs/taille.
COMPUTE pc_ncom = dep_ncom/taille .
EXECUTE .
WEIGHT
  BY coef_per .

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=dec_nat 
  /pc_tot = SUM(pc_tot) /pc_tab = SUM(pc_tab) /pc_ast =
  SUM(pc_ast) /pc_hab = SUM(pc_hab) /pc_log = SUM(pc_log) /pc_eqm
  = SUM(pc_eqm) /pc_hyg = SUM(pc_hyg) /pc_tran = SUM(pc_tran)
 /pc_lois = SUM(pc_lois) /pc_abs = SUM(pc_abs) /pc_ncom =
  SUM(pc_ncom).

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE tot = (pc_tot/pc_tot)*100 .
COMPUTE ast = (pc_ast/pc_tot)*100 .
COMPUTE tab = (pc_tab/pc_tot)*100 .
COMPUTE hab = (pc_hab/pc_tot)*100 .
COMPUTE log = (pc_log/pc_tot)*100 .
COMPUTE eqm = (pc_eqm/pc_tot)*100 .
COMPUTE hyg = (pc_hyg/pc_tot)*100 .
COMPUTE tran = (pc_tran/pc_tot)*100 .
COMPUTE lois = (pc_lois/pc_tot)*100 .
COMPUTE abs = (pc_abs/pc_tot)*100 .
COMPUTE ncom = (pc_ncom/pc_tot)*100 .
EXECUTE .

VARIABLE LABELS
  	 tot  'Total'
	/ast  'Alimentation'
	/tab  'Tabac'
	/hab  'Habillement'
	/log  'Logement/nergie'
	/eqm  'Equipement mnager'
	/hyg  'Hygine/sant'
	/tran 'Transport/communic.'
	/lois 'Loisirs/culture'
	/abs  'Autres biens/services'
	/ncom 'Dp. non dest. conso.'.	

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= ast tab hab log eqm hyg tran lois abs ncom tot
  /GBASE=CASES
  /TABLE=ast > (STATISTICS) + tab > (STATISTICS) + hab > (STATISTICS) + log >
  (STATISTICS) + eqm > (STATISTICS) + hyg > (STATISTICS) + tran > (STATISTICS)
  + lois > (STATISTICS) + abs > (STATISTICS) + ncom > (STATISTICS) + tot >
  (STATISTICS)  BY dec_nat   /TITLE  'Tableau 3.5 - Structure de la dpense des'+
 ' mnages par dcile de dpense' /CAPTION  'Dciles de population calculs' + 
 ' au niveau national'.


*******************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

COMPUTE pc_tot = dep_tot/taille .
COMPUTE pc_ast = dep_ast/taille.
COMPUTE pc_tab = dep_tab/taille .
COMPUTE pc_hab = dep_hab/taille.
COMPUTE pc_log = dep_log/taille .
COMPUTE pc_eqm = dep_eqm/taille .
COMPUTE pc_hyg = dep_hyg/taille.
COMPUTE pc_tran = dep_tran/taille .
COMPUTE pc_lois = dep_lois/taille .
COMPUTE pc_abs = dep_abs/taille.
COMPUTE pc_ncom = dep_ncom/taille .
EXECUTE .
WEIGHT
  BY coef_per .
USE ALL.
COMPUTE filter_$=(milieu=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=dec_ur 
  /pc_tot = SUM(pc_tot) /pc_tab = SUM(pc_tab) /pc_ast =
  SUM(pc_ast) /pc_hab = SUM(pc_hab) /pc_log = SUM(pc_log) /pc_eqm
  = SUM(pc_eqm) /pc_hyg = SUM(pc_hyg) /pc_tran = SUM(pc_tran)
 /pc_lois = SUM(pc_lois) /pc_abs = SUM(pc_abs) /pc_ncom =
  SUM(pc_ncom).

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE tot = (pc_tot/pc_tot)*100 .
COMPUTE ast = (pc_ast/pc_tot)*100 .
COMPUTE tab = (pc_tab/pc_tot)*100 .
COMPUTE hab = (pc_hab/pc_tot)*100 .
COMPUTE log = (pc_log/pc_tot)*100 .
COMPUTE eqm = (pc_eqm/pc_tot)*100 .
COMPUTE hyg = (pc_hyg/pc_tot)*100 .
COMPUTE tran = (pc_tran/pc_tot)*100 .
COMPUTE lois = (pc_lois/pc_tot)*100 .
COMPUTE abs = (pc_abs/pc_tot)*100 .
COMPUTE ncom = (pc_ncom/pc_tot)*100 .
EXECUTE .

VARIABLE LABELS
  	 tot  'Total'
	/ast  'Alimentation'
	/tab  'Tabac'
	/hab  'Habillement'
	/log  'Logement/nergie'
	/eqm  'Equipement mnager'
	/hyg  'Hygine/sant'
	/tran 'Transport/communic.'
	/lois 'Loisirs/culture'
	/abs  'Autres biens/services'
	/ncom 'Dp. non dest. conso.'.	

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= ast tab hab log eqm hyg tran lois abs ncom tot
  /GBASE=CASES
  /TABLE=ast > (STATISTICS) + tab > (STATISTICS) + hab > (STATISTICS) + log >
  (STATISTICS) + eqm > (STATISTICS) + hyg > (STATISTICS) + tran > (STATISTICS)
  + lois > (STATISTICS) + abs > (STATISTICS) + ncom > (STATISTICS) + tot >
  (STATISTICS)  BY dec_ur   /TITLE  'Tableau 3.6 - Structure de la dpense des'+
 ' mnages urbains par dcile de dpense' /CAPTION  'Dciles de population calculs' + 
 ' pour le milieu urbain uniquement'.


*******************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

COMPUTE pc_tot = dep_tot/taille .
COMPUTE pc_ast = dep_ast/taille.
COMPUTE pc_tab = dep_tab/taille .
COMPUTE pc_hab = dep_hab/taille.
COMPUTE pc_log = dep_log/taille .
COMPUTE pc_eqm = dep_eqm/taille .
COMPUTE pc_hyg = dep_hyg/taille.
COMPUTE pc_tran = dep_tran/taille .
COMPUTE pc_lois = dep_lois/taille .
COMPUTE pc_abs = dep_abs/taille.
COMPUTE pc_ncom = dep_ncom/taille .
EXECUTE .
WEIGHT
  BY coef_per .
USE ALL.
COMPUTE filter_$=(milieu=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=dec_ur 
  /pc_tot = SUM(pc_tot) /pc_tab = SUM(pc_tab) /pc_ast =
  SUM(pc_ast) /pc_hab = SUM(pc_hab) /pc_log = SUM(pc_log) /pc_eqm
  = SUM(pc_eqm) /pc_hyg = SUM(pc_hyg) /pc_tran = SUM(pc_tran)
 /pc_lois = SUM(pc_lois) /pc_abs = SUM(pc_abs) /pc_ncom =
  SUM(pc_ncom).

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE tot = (pc_tot/pc_tot)*100 .
COMPUTE ast = (pc_ast/pc_tot)*100 .
COMPUTE tab = (pc_tab/pc_tot)*100 .
COMPUTE hab = (pc_hab/pc_tot)*100 .
COMPUTE log = (pc_log/pc_tot)*100 .
COMPUTE eqm = (pc_eqm/pc_tot)*100 .
COMPUTE hyg = (pc_hyg/pc_tot)*100 .
COMPUTE tran = (pc_tran/pc_tot)*100 .
COMPUTE lois = (pc_lois/pc_tot)*100 .
COMPUTE abs = (pc_abs/pc_tot)*100 .
COMPUTE ncom = (pc_ncom/pc_tot)*100 .
EXECUTE .

VARIABLE LABELS
  	 tot  'Total'
	/ast  'Alimentation'
	/tab  'Tabac'
	/hab  'Habillement'
	/log  'Logement/nergie'
	/eqm  'Equipement mnager'
	/hyg  'Hygine/sant'
	/tran 'Transport/communic.'
	/lois 'Loisirs/culture'
	/abs  'Autres biens/services'
	/ncom 'Dp. non dest. conso.'.	

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= ast tab hab log eqm hyg tran lois abs ncom tot
  /GBASE=CASES
  /TABLE=ast > (STATISTICS) + tab > (STATISTICS) + hab > (STATISTICS) + log >
  (STATISTICS) + eqm > (STATISTICS) + hyg > (STATISTICS) + tran > (STATISTICS)
  + lois > (STATISTICS) + abs > (STATISTICS) + ncom > (STATISTICS) + tot >
  (STATISTICS)  BY dec_ur   /TITLE  'Tableau 3.7 - Structure de la dpense des'+
 ' mnages ruraux par dcile de dpense' /CAPTION  'Dciles de population calculs' + 
 ' pour le milieu rural uniquement'.



*******************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .

COMPUTE pc_tot = dep_tot/taille .
COMPUTE pc_ast = dep_ast/taille.
COMPUTE pc_tab = dep_tab/taille .
COMPUTE pc_hab = dep_hab/taille.
COMPUTE pc_log = dep_log/taille .
COMPUTE pc_eqm = dep_eqm/taille .
COMPUTE pc_hyg = dep_hyg/taille.
COMPUTE pc_tran = dep_tran/taille .
COMPUTE pc_lois = dep_lois/taille .
COMPUTE pc_abs = dep_abs/taille.
COMPUTE pc_ncom = dep_ncom/taille .
EXECUTE .
WEIGHT
  BY coef_per .

FILTER OFF.
USE ALL.
EXECUTE .

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=region14 
  /pc_tot = SUM(pc_tot) /pc_tab = SUM(pc_tab) /pc_ast =
  SUM(pc_ast) /pc_hab = SUM(pc_hab) /pc_log = SUM(pc_log) /pc_eqm
  = SUM(pc_eqm) /pc_hyg = SUM(pc_hyg) /pc_tran = SUM(pc_tran)
 /pc_lois = SUM(pc_lois) /pc_abs = SUM(pc_abs) /pc_ncom =
  SUM(pc_ncom).

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .

COMPUTE tot = (pc_tot/pc_tot)*100 .
COMPUTE ast = (pc_ast/pc_tot)*100 .
COMPUTE tab = (pc_tab/pc_tot)*100 .
COMPUTE hab = (pc_hab/pc_tot)*100 .
COMPUTE log = (pc_log/pc_tot)*100 .
COMPUTE eqm = (pc_eqm/pc_tot)*100 .
COMPUTE hyg = (pc_hyg/pc_tot)*100 .
COMPUTE tran = (pc_tran/pc_tot)*100 .
COMPUTE lois = (pc_lois/pc_tot)*100 .
COMPUTE abs = (pc_abs/pc_tot)*100 .
COMPUTE ncom = (pc_ncom/pc_tot)*100 .
EXECUTE .

VARIABLE LABELS
  	 tot  'Total'
	/ast  'Alimentation'
	/tab  'Tabac'
	/hab  'Habillement'
	/log  'Logement/nergie'
	/eqm  'Equipement mnager'
	/hyg  'Hygine/sant'
	/tran 'Transport/communic.'
	/lois 'Loisirs/culture'
	/abs  'Autres biens/services'
	/ncom 'Dp. non dest. conso.'.	

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= ast tab hab log eqm hyg tran lois abs ncom tot
  /GBASE=CASES
  /TABLE=ast > (STATISTICS) + tab > (STATISTICS) + hab > (STATISTICS) + log >
  (STATISTICS) + eqm > (STATISTICS) + hyg > (STATISTICS) + tran > (STATISTICS)
  + lois > (STATISTICS) + abs > (STATISTICS) + ncom > (STATISTICS) + tot >
  (STATISTICS)  BY region14   /TITLE  'Tableau 3.8 - Structure de la dpense des'+
 ' mnages par rgion' .


GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
WEIGHT
  BY coef_per .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=dec_nat + $t000001  BY dep_pc
  /STATISTICS
  mean( dep_pc)
  minimum( dep_pc)
  maximum( dep_pc)
  median( dep_pc) 
 /TITLE 'Tableau 3.9 - Valeurs moyenne, minimum, maximum et mdiane de la'+
 ' dpense annuelle per capita (DH), par dcile ' /CAPTION  'Dciles de population'+
 ' calculs au niveau national'.

USE ALL.
COMPUTE filter_$=(milieu=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=dec_ur + $t000001  BY dep_pc
  /STATISTICS
  mean( dep_pc)
  minimum( dep_pc)
  maximum( dep_pc)
  median( dep_pc) /TITLE  'Tableau 3.10 - Valeurs moyenne, minimum, maximum et '+
  'mdiane de la dpense annuelle per capita (DH), par dcile de la population urbaine' 
  /CAPTION  'Dciles de population calculs sparment pour le milieu urbain. Rappel: '+
  'lignes de pauvret urbaines = 3922 DH (haute) et 2881 DH (basse).'.


USE ALL.
COMPUTE filter_$=(milieu=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=dec_ur + $t000001  BY dep_pc
  /STATISTICS
  mean( dep_pc)
  minimum( dep_pc)
  maximum( dep_pc)
  median( dep_pc) /TITLE  'Tableau 3.11 - Valeurs moyenne, minimum, maximum et '+
  'mdiane de la dpense annuelle per capita (DH), par dcile de la population rurale' 
  /CAPTION  'Dciles de population calculs sparment pour le milieu rural. Rappel: '+
  'lignes de pauvret rurales = 3037 DH (haute) et 2553 DH (basse).'.


FILTER OFF.
USE ALL.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=quint_na + $t000001  BY dep_pc
  /STATISTICS
  mean( dep_pc)
  minimum( dep_pc)
  maximum( dep_pc)
  median( dep_pc) 
 /TITLE  'Tableau 3.12 - Valeurs moyenne, minimum, maximum et mdiane de la'+
 ' dpense annuelle per capita (DH), par quintile ' /CAPTION  'Quintiles de population'+
 ' calculs au niveau national'.

USE ALL.
COMPUTE filter_$=(milieu=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=quint_ur + $t000001  BY dep_pc
  /STATISTICS
  mean( dep_pc)
  minimum( dep_pc)
  maximum( dep_pc)
  median( dep_pc) /TITLE  'Tableau 3.13 - Valeurs moyenne, minimum, maximum et '+
  'mdiane de la dpense annuelle per capita (DH), par quintile de la population urbaine' 
  /CAPTION  'Quintiles de population calculs sparment pour le milieu urbain. Rappel: '+
  'lignes de pauvret urbaines = 3922 DH (haute) et 2881 DH (basse).'.

USE ALL.
COMPUTE filter_$=(milieu=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=quint_ur + $t000001  BY dep_pc
  /STATISTICS
  mean( dep_pc)
  minimum( dep_pc)
  maximum( dep_pc)
  median( dep_pc) /TITLE  'Tableau 3.14 - Valeurs moyenne, minimum, maximum et '+
  'mdiane de la dpense annuelle per capita, par quintile de la population rurale' 
  /CAPTION  'Quintiles de population calculs sparment pour le milieu rural. Rappel: '+
  'lignes de pauvret rurales = 3037 DH (haute) et 2553 DH (basse).'.


