***************************************************************.
* Programme de tabulation des variables sur le logement       *.
***************************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
WEIGHT
  OFF.

MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_021.sav'
 /RENAME (coef_ext milieu numenage nup province = d0 d1 d2 d3 d4)
 /BY idmen
 /DROP= d0 d1 d2 d3 d4.
EXECUTE.

WEIGHT
  BY coef_ext .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q01 + $t000002  BY pauv_ele + $t000001
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  'Tableau 4.1a -'+
 ' Rpartition des mnages selon le statut de pauvret et le type de logement'+
 ' occup'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000003 "Total"
  /TABLE=c021q01 + $t000002  BY milieu + $t000003
  /STATISTICS
  count( milieu( F5.0 ))
  cpct( milieu( PCT5.1 ) 'Col %':milieu ) /TITLE  'Tableau 4.2a - Rpartition'+
 ' des mnages selon le milieu de rsidence et le type de logement occup'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q10 + $t000002  BY pauv_ele > (STATISTICS) + $t000001
  /STATISTICS
  count( c021q10( F5.0 ))
  cpct( c021q10( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  "Tableau 4.3a -"+
 " Rpartition des mnages selon le statut de pauvret et le statut"+
 " d'occupation du logement".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=c021q10 + $t000001  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( c021q10( F5.0 ))
  cpct( c021q10( PCT5.1 ) 'Col %':milieu ) /TITLE  "Tableau 4.4a -"+
 " Rpartition des mnages selon le statut d'occupation du logement et le"+
 " milieu de rsidence".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q26 + $t000002  BY pauv_ele > (STATISTICS) + $t000001
  /STATISTICS
  count( c021q26( F5.0 ))
  cpct( c021q26( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  "Tableau 4.5a -"+
 " Rpartition des mnages selon le statut de pauvret et le mode d'vacuation des"+
 " eaux uses".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=c021q26 + $t000003  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( c021q26( F5.0 ))
  cpct( c021q26( PCT5.1 ) 'Col %':milieu ) /TITLE  "Tableau 4.6a -"+
 " Rpartition des mnages selon le mode d'vacuation des eaux uses et le"+
 " milieu de rsidence".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q29 + $t000002  BY pauv_ele > (STATISTICS) + $t000001
  /STATISTICS
  count( c021q29( F5.0 ))
  cpct( c021q29( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  "Tableau 4.7a -"+
 " Rpartition des mnages selon le statut de pauvret et le mode d'vacuation des"+
 " ordures".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=c021q29 + $t000003  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( c021q29( F5.0 ))
  cpct( c021q29( PCT5.1 ) 'Col %':milieu ) /TITLE  "Tableau 4.8a -"+
 " Rpartition des mnages selon le mode d'vacuation des ordures et le"+
 " milieu de rsidence".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000005 "Total"
  /TABLE=milieu > ( c021q32 + $t000007  )  BY pauv_ele > (STATISTICS) +
  $t000005
  /STATISTICS
  count( c021q32( F5.0 ))
  cpct( c021q32( PCT5.1 ) 'Subtable %':milieu pauv_ele ) /TITLE  "Tableau 4.9a"+
 " - Effectif et pourcentage des mnages raccords au rseau d'eau potable selon le "+
 "statut de pauvret et le milieu de rsidence".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000010 "Total" $t000009 "Total"
  /TABLE=region14 + $t000010  BY c021q32 + $t000009
  /STATISTICS
  count( c021q32( F5.0 ))
  cpct( c021q32( PCT5.1 ) 'Row %':region14 ) /TITLE  "Tableau 4.10a - Effectif"+
 " et pourcentage des mnages raccords au rseau d'eau potable selon la rgion"+
 " de rsidence".

USE ALL.
COMPUTE filter_$=(c021q32=2 and c021q38 >0 and c021q38 <5).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=c021q38 + $t000003  BY pauv_ele > (STATISTICS) + $t000002
  /STATISTICS
  count( c021q38( F5.0 ))
  cpct( c021q38( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  "Tableau 4.16 - Rpartition"+
 " des mnages selon la raison de non-raccordement au rseau d'eau potable, par"+
 " statut de pauvret".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total" $t000002 "Total"
  /TABLE=c021q39 + $t000004  BY pauv_ele > (STATISTICS) + $t000002
  /STATISTICS
  count( c021q39( F5.0 ))
  cpct( c021q39( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  "Tableau 4.17 - Rpartition"+
 " des mnages non-raccords au rseau d'eau potable selon la source principale"+
 " d'eau potable, par statut de pauvret".



WEIGHT
  BY coef_per .
FILTER OFF.
USE ALL.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q01 + $t000002  BY pauv_ele + $t000001
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  'Tableau 4.1b -'+
 ' Rpartition de la population selon le statut de pauvret et le type de logement'+
 ' occup'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000003 "Total"
  /TABLE=c021q01 + $t000002  BY milieu + $t000003
  /STATISTICS
  count( milieu( F5.0 ))
  cpct( milieu( PCT5.1 ) 'Col %':milieu ) /TITLE  'Tableau 4.2b - Rpartition'+
 ' de la population selon le milieu de rsidence et le type de logement occup'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q10 + $t000002  BY pauv_ele > (STATISTICS) + $t000001
  /STATISTICS
  count( c021q10( F5.0 ))
  cpct( c021q10( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  "Tableau 4.3b -"+
 " Rpartition de la population selon le statut de pauvret et le statut"+
 " d'occupation du logement".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=c021q10 + $t000001  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( c021q10( F5.0 ))
  cpct( c021q10( PCT5.1 ) 'Col %':milieu ) /TITLE  "Tableau 4.4b -"+
 " Rpartition des mnages selon le statut d'occupation du logement et le"+
 " milieu de rsidence".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q26 + $t000002  BY pauv_ele > (STATISTICS) + $t000001
  /STATISTICS
  count( c021q26( F5.0 ))
  cpct( c021q26( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  "Tableau 4.5b -"+
 " Rpartition de la population selon le statut de pauvret et le mode d'vacuation des"+
 " eaux uses".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=c021q26 + $t000003  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( c021q26( F5.0 ))
  cpct( c021q26( PCT5.1 ) 'Col %':milieu ) /TITLE  "Tableau 4.6b -"+
 " Rpartition de la population selon le mode d'vacuation des eaux uses et le"+
 " milieu de rsidence".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q29 + $t000002  BY pauv_ele > (STATISTICS) + $t000001
  /STATISTICS
  count( c021q29( F5.0 ))
  cpct( c021q29( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  "Tableau 4.7b -"+
 " Rpartition de la population selon le statut de pauvret et le mode d'vacuation des"+
 " ordures".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=c021q29 + $t000003  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( c021q29( F5.0 ))
  cpct( c021q29( PCT5.1 ) 'Col %':milieu ) /TITLE  "Tableau 4.8b -"+
 " Rpartition de la population selon le mode d'vacuation des ordures et le"+
 " milieu de rsidence".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000005 "Total"
  /TABLE=milieu > ( c021q32 + $t000007  )  BY pauv_ele > (STATISTICS) +
  $t000005
  /STATISTICS
  count( c021q32( F5.0 ))
  cpct( c021q32( PCT5.1 ) 'Subtable %':milieu pauv_ele ) /TITLE  "Tableau 4.9b"+
 " - Effectif et pourcentage de la population raccorde au rseau d'eau potable "+
 "selon le statut de pauvret et le milieu de rsidence".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000010 "Total" $t000009 "Total"
  /TABLE=region14 + $t000010  BY c021q32 + $t000009
  /STATISTICS
  count( c021q32( F5.0 ))
  cpct( c021q32( PCT5.1 ) 'Row %':region14 ) /TITLE  "Tableau 4.10b - Effectif"+
 " et pourcentage de la population raccorde au rseau d'eau potable selon la rgion"+
 " de rsidence".


* Tableaux par dciles nationaux *.

WEIGHT
  BY coef_per .
FILTER OFF.
USE ALL.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q01 + $t000002  BY dec_nat + $t000001
  /STATISTICS
   cpct( dec_nat( PCT5.1 ) 'Col %':dec_nat ) /TITLE  'Tableau 4.11a -'+
 ' Rpartition de la population selon le dcile de dpense et le type de logement'+
 ' occup' /CAPTION 'Dcile de population calcul au niveau national'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q10 + $t000002  BY dec_nat > (STATISTICS) + $t000001
  /STATISTICS
   cpct( c021q10( PCT5.1 ) 'Col %':dec_nat ) /TITLE  "Tableau 4.12a -"+
 " Rpartition de la population selon le dcile de dpense et le statut"+
 " d'occupation du logement" /CAPTION 'Dcile de population calcul au niveau national'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q26 + $t000002  BY dec_nat > (STATISTICS) + $t000001
  /STATISTICS
  cpct( c021q26( PCT5.1 ) 'Col %':dec_nat ) /TITLE  "Tableau 4.13a -"+
 " Rpartition de la population selon le dcile de dpense et le mode d'vacuation des"+
 " eaux uses" /CAPTION 'Dcile de population calcul au niveau national'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q29 + $t000002  BY dec_nat > (STATISTICS) + $t000001
  /STATISTICS
  cpct( c021q29( PCT5.1 ) 'Col %':dec_nat ) /TITLE  "Tableau 4.14a -"+
 " Rpartition de la population selon le dcile de dpense et le mode d'vacuation des"+
 " ordures" /CAPTION 'Dcile de population calcul au niveau national'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000005 "Total"
  /TABLE=c021q32 + $t000007  BY dec_nat > (STATISTICS) +
  $t000005
  /STATISTICS
  cpct( c021q32( PCT5.1 ) 'Subtable %':dec_nat ) /TITLE  "Tableau 4.15a"+
 " - Population raccorde au rseau d'eau potable selon le dcile de dpense"
 /CAPTION 'Dcile de population calcul au niveau national'.


* Tableaux par dciles urbains *.

USE ALL.
COMPUTE filter_$=(milieu=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q01 + $t000002  BY dec_ur + $t000001
  /STATISTICS
   cpct( dec_ur( PCT5.1 ) 'Col %':dec_ur ) /TITLE  'Tableau 4.11b -'+
 ' Rpartition de la population selon le dcile de dpense et le type de logement'+
 ' occup - Milieu urbain' 
 /CAPTION 'Dcile de population calcul pour la population urbaine.'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q10 + $t000002  BY dec_ur > (STATISTICS) + $t000001
  /STATISTICS
   cpct( c021q10( PCT5.1 ) 'Col %':dec_ur ) /TITLE  "Tableau 4.12b -"+
 " Rpartition de la population selon le dcile de dpense et le statut"+
 " d'occupation du logement - Milieu urbain" 
 /CAPTION 'Dcile de population calcul pour la population urbaine.'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q26 + $t000002  BY dec_ur > (STATISTICS) + $t000001
  /STATISTICS
  cpct( c021q26( PCT5.1 ) 'Col %':dec_ur ) /TITLE  "Tableau 4.13b -"+
 " Rpartition de la population selon le dcile de dpense et le mode d'vacuation des"+
 " eaux uses - Milieu urbain" 
 /CAPTION 'Dcile de population calcul pour la population urbaine.'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q29 + $t000002  BY dec_ur > (STATISTICS) + $t000001
  /STATISTICS
  cpct( c021q29( PCT5.1 ) 'Col %':dec_ur ) /TITLE  "Tableau 4.14b -"+
 " Rpartition de la population selon le dcile de dpense et le mode d'vacuation des"+
 " ordures - Milieu urbain" /CAPTION 'Dcile de population calcul pour la population urbaine.'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000005 "Total"
  /TABLE=c021q32 + $t000007  BY dec_ur > (STATISTICS) +
  $t000005
  /STATISTICS
  cpct( c021q32( PCT5.1 ) 'Subtable %':dec_ur ) /TITLE  "Tableau 4.15b"+
 " - Population raccorde au rseau d'eau potable selon le dcile de dpense - Milieu urbain"
  /CAPTION 'Dcile de population calcul pour la population urbaine.'.


* Tableaux par dciles ruraux *.

USE ALL.
COMPUTE filter_$=(milieu=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q01 + $t000002  BY dec_ur + $t000001
  /STATISTICS
   cpct( dec_ur( PCT5.1 ) 'Col %':dec_ur ) /TITLE  'Tableau 4.11c -'+
 ' Rpartition de la population selon le dcile de dpense et le type de logement'+
 ' occup - Milieu rural' 
 /CAPTION 'Dcile de population calcul pour la population rurale.'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q10 + $t000002  BY dec_ur > (STATISTICS) + $t000001
  /STATISTICS
   cpct( c021q10( PCT5.1 ) 'Col %':dec_ur ) /TITLE  "Tableau 4.12c -"+
 " Rpartition de la population selon le dcile de dpense et le statut"+
 " d'occupation du logement - Milieu rural" 
 /CAPTION 'Dcile de population calcul pour la population rurale.'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q26 + $t000002  BY dec_ur > (STATISTICS) + $t000001
  /STATISTICS
  cpct( c021q26( PCT5.1 ) 'Col %':dec_ur ) /TITLE  "Tableau 4.13c -"+
 " Rpartition de la population selon le dcile de dpense et le mode d'vacuation des"+
 " eaux uses - Milieu rural" 
 /CAPTION 'Dcile de population calcul pour la population rurale.'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=c021q29 + $t000002  BY dec_ur > (STATISTICS) + $t000001
  /STATISTICS
  cpct( c021q29( PCT5.1 ) 'Col %':dec_ur ) /TITLE  "Tableau 4.14c -"+
 " Rpartition de la population selon le dcile de dpense et le mode d'vacuation des"+
 " ordures - Milieu rural" /CAPTION 'Dcile de population calcul pour la population rurale.'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000005 "Total"
  /TABLE=c021q32 + $t000007  BY dec_ur > (STATISTICS) +
  $t000005
  /STATISTICS
  cpct( c021q32( PCT5.1 ) 'Subtable %':dec_ur ) /TITLE  "Tableau 4.15c"+
 " - Population raccorde au rseau d'eau potable selon le dcile de dpense - Milieu rural"
  /CAPTION 'Dcile de population calcul pour la population rurale.'.


