****************************************************************.
* Programme de tabulation des variables sur l'ducation.       *.
****************************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_011.sav'.
EXECUTE .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_041.sav'
 /RENAME (milieu numenage nup province typville = d0 d1 d2 d3 d4)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /COMPRESSED.

GET
  FILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_042.sav'.
EXECUTE .
SORT CASES BY
  idmen (A) idind (A) .
IF (idmen=lag(idmen) and idind=lag(idind)) test = 1 .
EXECUTE .
IF (MISSING(test)) test = 0.
EXECUTE.
FILTER OFF.
USE ALL.
SELECT IF(test=0).
EXECUTE .
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp2.sav'
   /DROP test
   /COMPRESSED.
GET
  FILE='S:\DATABANK\_Maroc\Work\temp.sav'.
EXECUTE .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp2.sav'
 /RENAME (milieu numenage nup province rectype typville = d0 d1 d2 d3 d4 d5)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /COMPRESSED.

GET
  FILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_043.sav'.
EXECUTE .
SORT CASES BY
  idmen (A) idind (A) .
IF (idmen=lag(idmen) and idind=lag(idind)) test = 1 .
EXECUTE .
IF (MISSING(test)) test = 0.
EXECUTE.
FILTER OFF.
USE ALL.
SELECT IF(test=0).
EXECUTE .
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp2.sav'
   /DROP test
   /COMPRESSED.
GET
  FILE='S:\DATABANK\_Maroc\Work\temp.sav'.
EXECUTE .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp2.sav'
 /RENAME (classif coef_pop milieu numenage numreg nup province rectype
  typville = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /COMPRESSED.

GET
  FILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_045.sav'.
EXECUTE .
SORT CASES BY
  idmen (A) idind (A) .
IF (idmen=lag(idmen) and idind=lag(idind)) test = 1 .
EXECUTE .
IF (MISSING(test)) test = 0.
EXECUTE.
FILTER OFF.
USE ALL.
SELECT IF(test=0).
EXECUTE .
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp2.sav'
   /DROP test
   /COMPRESSED.
GET
  FILE='S:\DATABANK\_Maroc\Work\temp.sav'.
EXECUTE .
MATCH FILES /FILE=*
 /FILE='S:\DATABANK\_Maroc\Work\temp2.sav'
 /RENAME (classif coef_pop milieu numenage numreg nup province rectype
  typville = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /COMPRESSED.

MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_047.sav'
 /RENAME (classif coef_pop milieu numenage numreg nup province rectype
  typville = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.

RECODE
  c011q53
  (0 thru 6=0) (7=7)  (8=8)  (9=9)  (10=10)  (11=11)  (12=12)  (13=13)  (14=14)  (15=15)
  (16=16)  (17=17)  (18=18)  (19=19)  (20 thru 24=20)  (25 thru Highest=25)  INTO  age2 .
EXECUTE .
VARIABLE LABELS age2 'Age'.
VALUE LABELS age2
	0  '0  6 ans'
	7  '7 ans'	
	8  '8 ans'
	9  '9 ans'
	10  '10 ans'
	11  '11 ans'
	12  '12 ans'
	13  '13 ans'
	14  '14 ans'
	15  '15 ans'
	16  '16 ans'
	17  '17 ans'
	18  '18 ans'
	19  '19 ans'
	20  '20  24 ans'
	25  '25 ans et +'.

SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /COMPRESSED.

WEIGHT
  BY coeffin2 .

* Missing or invalid values in c047q3 .
IF (MISSING(c047q3) and c047q2 > 2) c047q3 = 1 .
EXECUTE .
DO IF (c047q3=3) .
RECODE
  c047q3  (3=1)  .
END IF .
EXECUTE .

COMPUTE filter_$=(c011q53>= 15).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=milieu + $t000002  BY c047q3 + $t000001
  /STATISTICS
  count( c047q3( F5.0 ))
  cpct( c047q3( PCT5.1 ) 'Row %':milieu ) /TITLE  "Tableau 5.1 - Rpartition"+
 " de la population de 15 ans et plus selon l'aptitude  lire et crire, par"+
 " milieu de rsidence".
USE ALL.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=dec_nat + $t000002  BY c047q3 + $t000001
  /STATISTICS
  count( c047q3( F5.0 ))
  cpct( c047q3( PCT5.1 ) 'Row %':dec_nat ) /TITLE  "Tableau 5.2 - Rpartition"+
 " de la population de 15 ans et plus selon l'aptitude  lire et crire, par"+
 " dcile de dpense" /CAPTION 'Dciles de population au niveau national'.
USE ALL.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=dec_ur + $t000003  BY milieu > c047q3
  /STATISTICS
  count( c047q3( F5.0 ))
  cpct( c047q3( PCT5.1 ) 'Subtable %':dec_ur milieu ) /TITLE  "Tableau 5.3 -"+
 " Rpartition de la population de 15 ans et plus selon l'aptitude  lire et"+
 " crire, par milieu de rsidence et dcile de dpense"
  /CAPTION 'Dciles de population calculs sparment urbain/rural' .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=age_quin + $t000003  BY c047q3
  /STATISTICS
  count( c047q3( F5.0 ))
  cpct( c047q3( PCT5.1 ) 'Subtable %':age_quin )  /TITLE  "Tableau 5.4 -"+
 " Rpartition de la population de 15 ans et plus selon l'aptitude  lire et"+
 " crire, par groupe d'ges".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=age_quin + $t000003  BY c011q4 > c047q3
  /STATISTICS
  count( c047q3( F5.0 ))
  cpct( c047q3( PCT5.1 ) 'Subtable %':age_quin c011q4 ) /TITLE  "Tableau 5.5 -"+
 " Rpartition de la population de 15 ans et plus selon l'aptitude  lire et"+
 " crire, par sexe et groupe d'ges".

USE ALL.
COMPUTE filter_$=(age2>=7).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=age2 + $t000003  BY c041q4 + $t000002
  /STATISTICS
  count( c041q4( F5.0 ))
  cpct( c041q4( PCT5.1 ) 'Row %':age2 ) /TITLE  "Tableau 5.6 - Rpartition de"+
 " la population de 7 ans et plus selon la frquentation ou non d'un"+
 " tablissement d'enseignement gnral, par ge".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=age2 + $t000001  BY pauv_ele > ( c041q4 + $t000002  )
  /STATISTICS
  count( c041q4( F5.0 ))
  cpct( c041q4( PCT5.1 ) 'Subtable %':age2 pauv_ele )/TITLE  "Tableau 5.7 - Rpartition de"+
 " la population de 7 ans et plus selon la frquentation ou non d'un"+
 " tablissement d'enseignement gnral et le statut de pauvret, par ge".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=age2 + $t000001  BY milieu > ( c041q4 + $t000002  )
  /STATISTICS
  count( c041q4( F5.0 ))
  cpct( c041q4( PCT5.1 ) 'Subtable %':age2 milieu )/TITLE  "Tableau 5.8 - Rpartition de"+
 " la population de 7 ans et plus selon la frquentation ou non d'un"+
 " tablissement d'enseignement gnral et le milieu de rsidence, par ge".


USE ALL.
COMPUTE filter_$=(age2>=7 and c011q4=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=age2 + $t000003  BY c041q4 + $t000002
  /STATISTICS
  count( c041q4( F5.0 ))
  cpct( c041q4( PCT5.1 ) 'Row %':age2 ) /TITLE  "Tableau 5.9 - Rpartition de"+
 " la population masculine de 7 ans et plus selon la frquentation ou non d'un"+
 " tablissement d'enseignement gnral, par ge".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=age2 + $t000001  BY pauv_ele > ( c041q4 + $t000002  )
  /STATISTICS
  count( c041q4( F5.0 ))
  cpct( c041q4( PCT5.1 ) 'Subtable %':age2 pauv_ele )/TITLE  "Tableau 5.10 - Rpartition de"+
 " la population masculine de 7 ans et plus selon la frquentation ou non d'un"+
 " tablissement d'enseignement gnral et le statut de pauvret, par ge".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=age2 + $t000001  BY milieu > ( c041q4 + $t000002  )
  /STATISTICS
  count( c041q4( F5.0 ))
  cpct( c041q4( PCT5.1 ) 'Subtable %':age2 milieu )/TITLE  "Tableau 5.11 - Rpartition de"+
 " la population masculine de 7 ans et plus selon la frquentation ou non d'un"+
 " tablissement d'enseignement gnral et le milieu de rsidence, par ge".


USE ALL.
COMPUTE filter_$=(age2>=7 and c011q4=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=age2 + $t000003  BY c041q4 + $t000002
  /STATISTICS
  count( c041q4( F5.0 ))
  cpct( c041q4( PCT5.1 ) 'Row %':age2 ) /TITLE  "Tableau 5.12 - Rpartition de"+
 " la population fminine de 7 ans et plus selon la frquentation ou non d'un"+
 " tablissement d'enseignement gnral, par ge".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=age2 + $t000001  BY pauv_ele > ( c041q4 + $t000002  )
  /STATISTICS
  count( c041q4( F5.0 ))
  cpct( c041q4( PCT5.1 ) 'Subtable %':age2 pauv_ele )/TITLE  "Tableau 5.13 - Rpartition de"+
 " la population fminine de 7 ans et plus selon la frquentation ou non d'un"+
 " tablissement d'enseignement gnral et le statut de pauvret, par ge".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=age2 + $t000001  BY milieu > ( c041q4 + $t000002  )
  /STATISTICS
  count( c041q4( F5.0 ))
  cpct( c041q4( PCT5.1 ) 'Subtable %':age2 milieu )/TITLE  "Tableau 5.14 - Rpartition de"+
 " la population fminine de 7 ans et plus selon la frquentation ou non d'un"+
 " tablissement d'enseignement gnral et le milieu de rsidence, par ge".


USE ALL.
COMPUTE filter_$=(c011q53>=7 and c011q53< 15 and c041q4 = 3).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000006 "Total" $t000007 "Total"
  /TABLE=c041q6 + $t000006  BY milieu > (STATISTICS) + $t000007
  /STATISTICS
  cpct( c041q6( PCT5.1 ) 'Col %':milieu ) /TITLE  "Tableau 5.15 - Raison"+
 " principale de non-frquentation de l'cole par la population de 7  14 ans,"+
 " par milieu de rsidence" /CAPTION  "Note : concerne la population n'ayant"+
 " JAMAIS frquent un tablissement d'enseignement gnral".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000006 "Total" $t000008 "Total"
  /TABLE=c041q6 + $t000006  BY pauv_ele > (STATISTICS) + $t000008
  /STATISTICS
  cpct( c041q6( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  "Tableau 5.16 - Raison"+
 " principale de non-frquentation de l'cole par la population de 7  14 ans,"+
 " par milieu de rsidence" /CAPTION  "Note : concerne la population n'ayant"+
 " JAMAIS frquent un tablissement d'enseignement gnral".


USE ALL.
COMPUTE filter_$=(c011q53>6 and c011q53<19).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
IF (c041q4=1) scol = 1 .
IF (c041q4<>1) scol = 0 .
COMPUTE tous = 1.
COMPUTE brk = 1.
EXECUTE .
USE ALL.
COMPUTE filter_$=(c011q53>6 and c011q53<19 and scol >= 0).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr.sav'
  /BREAK=brk
  /scol = SUM(scol) /tous = SUM(tous).
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr1.sav'
  /BREAK=milieu
  /scol = SUM(scol) /tous = SUM(tous).
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr2.sav'
  /BREAK=pauv_ele
  /scol = SUM(scol) /tous = SUM(tous).
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr3.sav'
  /BREAK=region14
  /scol = SUM(scol) /tous = SUM(tous).
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr4.sav'
  /BREAK=c011q4
  /scol = SUM(scol) /tous = SUM(tous).
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr5.sav'
  /BREAK=pauv_ele c011q4
  /scol = SUM(scol) /tous = SUM(tous).
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr6.sav'
  /BREAK=milieu c011q4
  /scol = SUM(scol) /tous = SUM(tous).
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr7.sav'
  /BREAK=milieu dec_ur 
  /scol = SUM(scol) /tous = SUM(tous).
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\aggr8.sav'
  /BREAK=milieu dec_ur c011q4
  /scol = SUM(scol) /tous = SUM(tous).

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .
COMPUTE TxScol = scol/tous .
VARIABLE LABELS TxScol 'Taux de scolarisation' .
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= txscol
  /GBASE=CASES
  /TABLE=txscol  BY (STATISTICS)
  /TITLE  'Tableau 5.17 -'+
 ' Taux de scolarisation (primaire + secondaire) national'
 /CAPTION  "Le taux de scolarisation est le rapport entre la population de 7 "+
 " 18 ans frquentant un tablissement d'enseignement gnral (primaire ou"+
 " secondaire) et la population totale de cette mme tranche d'ges".

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr1.sav'.
EXECUTE .
COMPUTE TxScol = scol/tous .
VARIABLE LABELS TxScol 'Taux de scolarisation' .
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= txscol
  /GBASE=CASES
  /TABLE=milieu BY txscol > (STATISTICS)   /TITLE  'Tableau 5.18 -'+
 ' Taux de scolarisation (primaire + secondaire) par milieu de rsidence'
 /CAPTION  "Le taux de scolarisation est le rapport entre la population de 7 "+
 " 18 ans frquentant un tablissement d'enseignement gnral (primaire ou"+
 " secondaire) et la population totale de cette mme tranche d'ges".

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr2.sav'.
EXECUTE .
COMPUTE TxScol = scol/tous .
VARIABLE LABELS TxScol 'Taux de scolarisation' .
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= txscol
  /GBASE=CASES
  /TABLE=pauv_ele BY txscol > (STATISTICS)   /TITLE  'Tableau 5.19 -'+
 ' Taux de scolarisation (primaire + secondaire) selon le statut de pauvret '+
 '(ligne haute)'
 /CAPTION  "Le taux de scolarisation est le rapport entre la population de 7 "+
 " 18 ans frquentant un tablissement d'enseignement gnral (primaire ou"+
 " secondaire) et la population totale de cette mme tranche d'ges".

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr3.sav'.
EXECUTE .
COMPUTE TxScol = scol/tous .
VARIABLE LABELS TxScol 'Taux de scolarisation' .
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= txscol
  /GBASE=CASES
  /TABLE=region14 BY txscol > (STATISTICS)   /TITLE  'Tableau 5.20 -'+
 ' Taux de scolarisation (primaire + secondaire) selon la rgion '
 /CAPTION  "Le taux de scolarisation est le rapport entre la population de 7 "+
 " 18 ans frquentant un tablissement d'enseignement gnral (primaire ou"+
 " secondaire) et la population totale de cette mme tranche d'ges".

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr4.sav'.
EXECUTE .
COMPUTE TxScol = scol/tous .
VARIABLE LABELS TxScol 'Taux de scolarisation' .
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= txscol
  /GBASE=CASES
  /TABLE=c011q4 BY txscol > (STATISTICS)   /TITLE  'Tableau 5.21 -'+
 ' Taux de scolarisation (primaire + secondaire) par sexe '
 /CAPTION  "Le taux de scolarisation est le rapport entre la population de 7 "+
 " 18 ans frquentant un tablissement d'enseignement gnral (primaire ou"+
 " secondaire) et la population totale de cette mme tranche d'ges".

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr5.sav'.
EXECUTE .
COMPUTE TxScol = scol/tous .
VARIABLE LABELS TxScol 'Taux de scolarisation' .
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= txscol
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=pauv_ele  BY c011q4 > (STATISTICS) > txscol > (STATISTICS) +
  $t000003  /TITLE  'Tableau 5.22 -'+
 ' Taux de scolarisation (primaire + secondaire) par sexe et statut de pauvret '
 /CAPTION  "Le taux de scolarisation est le rapport entre la population de 7 "+
 " 18 ans frquentant un tablissement d'enseignement gnral (primaire ou"+
 " secondaire) et la population totale de cette mme tranche d'ges".

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr6.sav'.
EXECUTE .
COMPUTE TxScol = scol/tous .
VARIABLE LABELS TxScol 'Taux de scolarisation' .
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= txscol
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=milieu  BY c011q4 > (STATISTICS) > txscol > (STATISTICS) +
  $t000003  /TITLE  'Tableau 5.23 -'+
 ' Taux de scolarisation (primaire + secondaire) par sexe et milieu de rsidence '
 /CAPTION  "Le taux de scolarisation est le rapport entre la population de 7 "+
 " 18 ans frquentant un tablissement d'enseignement gnral (primaire ou"+
 " secondaire) et la population totale de cette mme tranche d'ges".

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr7.sav'.
EXECUTE .
COMPUTE TxScol = scol/tous .
VARIABLE LABELS TxScol 'Taux de scolarisation' .
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= txscol
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=milieu  BY dec_ur > (STATISTICS) > txscol > (STATISTICS) +
  $t000003  /TITLE  'Tableau 5.24 -'+
 ' Taux de scolarisation (primaire + secondaire) par milieu de rsidence'+
 ' et dcile de dpense '
 /CAPTION  "Le taux de scolarisation est le rapport entre la population de 7 "+
 " 18 ans frquentant un tablissement d'enseignement gnral (primaire ou"+
 " secondaire) et la population totale de cette mme tranche d'ges".

GET
  FILE='S:\DATABANK\_Maroc\Work\aggr8.sav'.
EXECUTE .
COMPUTE TxScol = scol/tous .
VARIABLE LABELS TxScol 'Taux de scolarisation' .
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= txscol
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=milieu > c011q4 > txscol   BY dec_ur > (STATISTICS) + $t000001 
  /TITLE  'Tableau 5.25 -'+
 ' Taux de scolarisation (primaire + secondaire) par sexe et dcile de dpense '
 /CAPTION  "Le taux de scolarisation est le rapport entre la population de 7 "+
 " 18 ans frquentant un tablissement d'enseignement gnral (primaire ou"+
 " secondaire) et la population totale de cette mme tranche d'ges".
