****************************************************************.
* Programme de tabulation des variables sur la sant.          *.
****************************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_050.sav'.
EXECUTE .

SORT CASES BY
  idmen (A) idind (A) .
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_050.sav'
   /COMPRESSED.

AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
  /BREAK=idmen idind
  /malade = SUM(c050q5).
GET
  FILE='S:\DATABANK\_Maroc\Work\temp.sav'.
EXECUTE .
RECODE
  malade  (ELSE=1)  .
EXECUTE .
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /COMPRESSED.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_011.sav'.
EXECUTE .
WEIGHT
  OFF.
SORT CASES BY
  idmen (A) idind (A) .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Work\temp.sav'
 /BY idmen idind.
EXECUTE.
WEIGHT
  BY coeffin2 .
IF MISSING(malade) malade = 2.
EXECUTE.
VARIABLE LABELS 
	malade  'Malade 4 dernires semaines ?'.
VALUE LABELS
	malade  1  'Oui'
		  2  'Non'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total" $t000003 "Total"
  /TABLE=age_quin + $t000004  BY malade > (STATISTICS) + $t000003
  /STATISTICS
  count( age_quin( F5.0 ))
  cpct( age_quin( PCT5.1 ) 'Row %':age_quin ) /TITLE  "Tableau 6.1 -"+
 " Rpartition de la population par groupe d'ges, selon la survenance ou non"+
 " d'une maladie ou blessure au cours des 4 dernires semaines".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000005 "Total" $t000003 "Total"
  /TABLE=region14 + $t000005  BY malade > (STATISTICS) + $t000003
  /STATISTICS
  count( region14( F5.0 ))
  cpct( region14( PCT5.1 ) 'Row %':region14 ) /TITLE  "Tableau 6.2 -"+
 " Rpartition de la population par rgion, selon la survenance ou non"+
 " d'une maladie ou blessure au cours des 4 dernires semaines".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000006 "Total" $t000003 "Total"
  /TABLE=milieu + $t000006  BY malade > (STATISTICS) + $t000003
  /STATISTICS
  count( milieu( F5.0 ))
  cpct( milieu( PCT5.1 ) 'Row %':milieu ) /TITLE  "Tableau 6.3 - Rpartition"+
 " de la population par milieu de rsidence, selon la survenance ou non d'une maladie"+
 " ou blessure au cours des 4 dernires semaines".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000006 "Total" $t000003 "Total"
  /TABLE=dec_nat + $t000006  BY malade > (STATISTICS) + $t000003
  /STATISTICS
  count( dec_nat( F5.0 ))
  cpct( dec_nat( PCT5.1 ) 'Row %':dec_nat ) /TITLE  "Tableau 6.4a - Rpartition"+
 " de la population totale par dcile de dpense, selon la survenance ou non d'une maladie"+
 " ou blessure au cours des 4 dernires semaines" 
 /CAPTION 'Dciles de population calculs au niveau national'.

USE ALL.
COMPUTE filter_$=(milieu=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000006 "Total" $t000003 "Total"
  /TABLE=dec_ur + $t000006  BY malade > (STATISTICS) + $t000003
  /STATISTICS
  count( dec_ur( F5.0 ))
  cpct( dec_ur( PCT5.1 ) 'Row %':dec_ur ) /TITLE  "Tableau 6.4b - Rpartition"+
 " de la population urbaine par dcile de dpense, selon la survenance ou non d'une maladie"+
 " ou blessure au cours des 4 dernires semaines" 
 /CAPTION 'Dciles de population calculs pour le milieu urbain seulement'.

USE ALL.
COMPUTE filter_$=(milieu=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000006 "Total" $t000003 "Total"
  /TABLE=dec_ur + $t000006  BY malade > (STATISTICS) + $t000003
  /STATISTICS
  count( dec_ur( F5.0 ))
  cpct( dec_ur( PCT5.1 ) 'Row %':dec_ur ) /TITLE  "Tableau 6.4c - Rpartition"+
 " de la population rurale par dcile de dpense, selon la survenance ou non d'une maladie"+
 " ou blessure au cours des 4 dernires semaines" 
 /CAPTION 'Dciles de population calculs pour le milieu rural seulement'.

FILTER OFF.
USE ALL.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000006 "Total" $t000003 "Total"
  /TABLE=c011q4 + $t000006  BY malade > (STATISTICS) + $t000003
  /STATISTICS
  count( c011q4( F5.0 ))
  cpct( c011q4( PCT5.1 ) 'Row %':c011q4 ) /TITLE  "Tableau 6.5 - Rpartition"+
 " de la population par sexe, selon la survenance ou non d'une maladie"+
 " ou blessure au cours des 4 dernires semaines".


GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_050.sav'.
EXECUTE .
SORT CASES BY
  idmen (A) idind (A) .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'
 /RENAME (age etatmat milieu numenage nup province sexe typville = d0 d1 d2
  d3 d4 d5 d6 d7)
 /BY idmen
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7.
EXECUTE.

WEIGHT
  BY coef_per .

USE ALL.
COMPUTE filter_$=(c050q6>0 and c050q6<4).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=milieu + $t000002  BY c050q6 > (STATISTICS) + $t000001
  /STATISTICS
  count( milieu( F5.0 ))
  cpct( milieu( PCT5.1 ) 'Row %':milieu ) /TITLE  'Tableau 6.6 - Rpartition'+
 ' des cas de maladie/blessure au cours des 4 dernires'+
 ' semaines selon la consultation ou non, par milieu de rsidence'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000001 "Total"
  /TABLE=pauv_ele + $t000003  BY c050q6 > (STATISTICS) + $t000001
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Row %':pauv_ele ) /TITLE  'Tableau 6.7 - Rpartition'+
 ' des cas de maladie/blessure au cours des 4 dernires'+
 ' semaines selon la consultation ou non et le statut de pauvret'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000001 "Total"
  /TABLE=dec_nat + $t000003  BY c050q6 > (STATISTICS) + $t000001
  /STATISTICS
  count( dec_nat( F5.0 ))
  cpct( dec_nat( PCT5.1 ) 'Row %':dec_nat ) /TITLE  'Tableau 6.8 - Rpartition'+
 ' des cas de maladie/blessure au cours des 4 dernires'+
 ' semaines selon la consultation ou non et le dcile de dpense'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000001 "Total"
  /TABLE=region14 + $t000003  BY c050q6 > (STATISTICS) + $t000001
  /STATISTICS
  count( region14( F5.0 ))
  cpct( region14( PCT5.1 ) 'Row %':region14 ) /TITLE  'Tableau 6.9 - Rpartition'+
 ' des cas de maladie/blessure au cours des 4 dernires'+
 ' semaines selon la consultation ou non et la rgion'.

USE ALL.
COMPUTE filter_$=(c050q6=1 or c050q6=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=c050q7 + $t000001  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( c050q7( F5.0 ))
  cpct( c050q7( PCT5.1 ) 'Col %':milieu )
 /TITLE  'Tableau 6.10 - Rpartition'+
 ' des consultations au cours des 4 dernires'+
 ' semaines selon le type et le milieu de rsidence'.

USE ALL.
COMPUTE filter_$=(c050q6=1 or c050q6=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=c050q7 + $t000001  BY pauv_ele > (STATISTICS) + $t000002
  /STATISTICS
  count( c050q7( F5.0 ))
  cpct( c050q7( PCT5.1 ) 'Col %':pauv_ele )
 /TITLE  'Tableau 6.11 - Rpartition'+
 ' des consultations au cours des 4 dernires'+
 ' semaines selon le type et le statut de pauvret'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=c050q8 + $t000001  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( c050q8( F5.0 ))
  cpct( c050q8( PCT5.1 ) 'Col %':milieu )
 /TITLE  'Tableau 6.12 - Rpartition'+
 ' des consultations au cours des 4 dernires'+
 ' semaines selon le lieu de consultation et le milieu de rsidence'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=c050q8 + $t000001  BY pauv_ele > (STATISTICS) + $t000002
  /STATISTICS
  count( c050q8( F5.0 ))
  cpct( c050q8( PCT5.1 ) 'Col %':pauv_ele )
 /TITLE  'Tableau 6.13 - Rpartition'+
 ' des consultations au cours des 4 dernires'+
 ' semaines selon le lieu de consultation et le statut de pauvret'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=c050q9 + $t000001  BY pauv_ele > (STATISTICS) + $t000002
  /STATISTICS
  count( c050q9( F5.0 ))
  cpct( c050q9( PCT5.1 ) 'Col %':pauv_ele )
 /TITLE  "Tableau 6.14 - Rpartition"+
 " des consultations au cours des 4 dernires"+
 " semaines selon le type d'tablissement consult et le statut de pauvret".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=c050q9 + $t000001  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( c050q9( F5.0 ))
  cpct( c050q9( PCT5.1 ) 'Col %':milieu )
 /TITLE  "Tableau 6.15 - Rpartition"+
 " des consultations au cours des 4 dernires"+
 " semaines selon le type d'tablissement consult et le milieu de rsidence".

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_051.sav'.
EXECUTE .
SORT CASES BY
  idmen (A) idind (A) .
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_011.sav'
 /RENAME (age_gr4 age_quin agequinq c011q3 c011q4 c011q51 c011q52 c011q53
  c011q6 c011q7 c011q8 c011q9 dec_nat dec_ur milieu numenage nup pauv_bas
  pauv_ele pauv_sb province quint_na quint_ur region region14 region16 typevil
  typville = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18
  d19 d20 d21 d22 d23 d24 d25 d26 d27)
 /BY idmen idind
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_051.sav'
   /COMPRESSED.
MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'
 /RENAME (milieu numenage nup province sexe typville = d0 d1 d2 d3 d4 d5)
 /BY idmen
 /DROP= d0 d1 d2 d3 d4 d5.
EXECUTE.

WEIGHT
  BY coeffin2 .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=milieu + $t000002  BY c051q2 + $t000001
  /STATISTICS
  count( c051q2( F5.0 ))
  cpct( c051q2( PCT5.1 ) 'Row %':milieu )
 /TITLE  "Tableau 6.16 - Rpartition"+
 " de la population selon la situation dans un organisme de prvoyance sociale,"+
 " et le milieu de rsidence".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=pauv_ele + $t000002  BY c051q2 + $t000001
  /STATISTICS
  count( c051q2( F5.0 ))
  cpct( c051q2( PCT5.1 ) 'Row %':pauv_ele )
 /TITLE  "Tableau 6.17 - Rpartition"+
 " de la population selon la situation dans un organisme de prvoyance sociale,"+
 " et le statut de pauvret".

