****************************************************************.
* Programme de tabulation sur l'identification des priorits   *.
****************************************************************.

GET
  FILE='S:\Databank\_Maroc\Data98\Old_Spss\qp98_171.sav'.
EXECUTE .

WEIGHT
  OFF.

SORT CASES BY
  idmen (A) .

RECODE
  c171q2  (SYSMIS=0)  (2=0)  .
EXECUTE .

MATCH FILES /FILE=*
 /TABLE='S:\Databank\_Maroc\Data98\New_Spss\Dep_cat.sav'
 /RENAME (milieu numenage nup province typville = d0 d1 d2 d3 d4)
 /BY idmen
 /DROP= d0 d1 d2 d3 d4.
EXECUTE.

USE ALL.
COMPUTE filter_$=(c171q1>0 AND c171q1<29).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY coef_pop .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=c171q1  BY milieu > ( c171q2 + $t000003  )
  /STATISTICS
  cpct( c171q2( PCT5.1 ) 'Subtable %':c171q1 milieu )
  /TITLE  'Tableau 7.1 - Identification des besoins prioritaires par la population'+
  ' selon le milieu de rsidence'.

VALUE LABELS typevil
		1  'Ville principale (>=100000 hab.)'
		2  'Ville secondaire (<100000 hab.)'
		3  'Rural'.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=c171q1  BY typevil > ( c171q2 + $t000003  )
  /STATISTICS
  cpct( c171q2( PCT5.1 ) 'Subtable %':c171q1 typevil )
  /TITLE  'Tableau 7.2 - Identification des besoins prioritaires par la population'+
  ' selon le milieu de rsidence'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=c171q1  BY pauv_ele > ( c171q2 + $t000003  )
  /STATISTICS
  cpct( c171q2( PCT5.1 ) 'Subtable %':c171q1 pauv_ele )
  /TITLE  'Tableau 7.3 - Identification des besoins prioritaires par la population'+
  ' selon le statut de pauvret'.

USE ALL.
COMPUTE filter_$=(milieu=1 AND c171q1>0 AND c171q1<29).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=c171q1  BY pauv_ele > ( c171q2 + $t000003  )
  /STATISTICS
  cpct( c171q2( PCT5.1 ) 'Subtable %':c171q1 pauv_ele )
  /TITLE  'Tableau 7.4 - Identification des besoins prioritaires par la population'+
  ' urbaine, selon le statut de pauvret' .

USE ALL.
COMPUTE filter_$=(milieu=2 and c171q1>0 AND c171q1<29).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=c171q1  BY pauv_ele > ( c171q2 + $t000003  )
  /STATISTICS
  cpct( c171q2( PCT5.1 ) 'Subtable %':c171q1 pauv_ele )
  /TITLE  'Tableau 7.5 - Identification des besoins prioritaires par la population'+
  ' rurale, selon le statut de pauvret'.


