***************************************************************.
* Programme de tabulation des variables sur l'nergie         *.
***************************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'.
EXECUTE .
WEIGHT
  OFF.

MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\New_Spss\Np98_031.sav'
 /RENAME (coef_ext milieu numenage nup province typville = d0 d1 d2 d3 d4 d5)
 /BY idmen
 /DROP= d0 d1 d2 d3 d4 d5.
EXECUTE.

WEIGHT
  BY coef_ext .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=pauv_ele + $t000002  BY c031q1 + $t000001
  /STATISTICS
  count( c031q1( F5.0 ))
  cpct( c031q1( PCT5.1 ) 'Row %':pauv_ele ) /TITLE  "Tableau 8.1a -"+
 " Rpartition des mnages disposant ou non de l'lectricit, par statut de"+
 " pauvret".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000001 "Total"
  /TABLE=dec_nat + $t000003  BY c031q1 + $t000001
  /STATISTICS
  count( c031q1( F5.0 ))
  cpct( c031q1( PCT5.1 ) 'Row %':dec_nat ) /TITLE  "Tableau 8.2a - Rpartition"+
 " des mnages disposant ou non de l'lectricit, par dcile de dpense"
 /CAPTION  "Dciles de population calculs sur l'ensemble de la population".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total" $t000001 "Total"
  /TABLE=milieu + $t000004  BY c031q1 + $t000001
  /STATISTICS
  count( c031q1( F5.0 ))
  cpct( c031q1( PCT5.1 ) 'Row %':milieu ) /TITLE  "Tableau 8.3a - Rpartition"+
 " des mnages disposant ou non de l'lectricit, par milieu de rsidence".

VALUE LABELS
   typevil  1 'Villes >= 100000 hab.'
            2 'Villes < 100000 hab.'
            3 'Rural'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000005 "Total" $t000001 "Total"
  /TABLE=typevil + $t000005  BY c031q1 + $t000001
  /STATISTICS
  count( c031q1( F5.0 ))
  cpct( c031q1( PCT5.1 ) 'Row %':typevil ) /TITLE  "Tableau 8.4a - Rpartition"+
 " des mnages disposant ou non de l'lectricit, par milieu de rsidence".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000006 "Total" $t000001 "Total"
  /TABLE=region14 + $t000006  BY c031q1 + $t000001
  /STATISTICS
  count( c031q1( F5.0 ))
  cpct( c031q1( PCT5.1 ) 'Row %':region14 ) /TITLE  "Tableau 8.5a -"+
 " Rpartition des mnages disposant ou non de l'lectricit, par rgion".

WEIGHT
  BY coef_per .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=pauv_ele + $t000002  BY c031q1 + $t000001
  /STATISTICS
  count( c031q1( F5.0 ))
  cpct( c031q1( PCT5.1 ) 'Row %':pauv_ele ) /TITLE  "Tableau 8.1b -"+
 " Rpartition de la population disposant ou non de l'lectricit, par statut de"+
 " pauvret".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000001 "Total"
  /TABLE=dec_nat + $t000003  BY c031q1 + $t000001
  /STATISTICS
  count( c031q1( F5.0 ))
  cpct( c031q1( PCT5.1 ) 'Row %':dec_nat ) /TITLE  "Tableau 8.2b - Rpartition"+
 " de la population disposant ou non de l'lectricit, par dcile de dpense"
 /CAPTION  "Dciles de population calculs sur l'ensemble de la population".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total" $t000001 "Total"
  /TABLE=milieu + $t000004  BY c031q1 + $t000001
  /STATISTICS
  count( c031q1( F5.0 ))
  cpct( c031q1( PCT5.1 ) 'Row %':milieu ) /TITLE  "Tableau 8.3b - Rpartition"+
 " de la population disposant ou non de l'lectricit, par milieu de rsidence".

VALUE LABELS
   typevil  1 'Villes >= 100000 hab.'
            2 'Villes < 100000 hab.'
            3 'Rural'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000005 "Total" $t000001 "Total"
  /TABLE=typevil + $t000005  BY c031q1 + $t000001
  /STATISTICS
  count( c031q1( F5.0 ))
  cpct( c031q1( PCT5.1 ) 'Row %':typevil ) /TITLE  "Tableau 8.4b - Rpartition"+
 " de la population disposant ou non de l'lectricit, par milieu de rsidence".

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000006 "Total" $t000001 "Total"
  /TABLE=region14 + $t000006  BY c031q1 + $t000001
  /STATISTICS
  count( c031q1( F5.0 ))
  cpct( c031q1( PCT5.1 ) 'Row %':region14 ) /TITLE  "Tableau 8.5b -"+
 " Rpartition de la population disposant ou non de l'lectricit, par rgion".


USE ALL.
COMPUTE filter_$=(c031q1=2).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .



WEIGHT
  BY coef_ext .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000008 "Total"
  /TABLE=c031q2 + $t000007  BY milieu > (STATISTICS) + $t000008
  /STATISTICS
  count( c031q2( F5.0 ))
  cpct( c031q2( PCT5.1 ) 'Col %':milieu ) /TITLE  "Tableau 8.6a - Rpartition"+
 " des mnages ne disposant pas de l'lectricit, selon la raison et le milieu"+
 " de rsidence".

WEIGHT
  BY coef_per .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000008 "Total"
  /TABLE=c031q2 + $t000007  BY milieu > (STATISTICS) + $t000008
  /STATISTICS
  count( c031q2( F5.0 ))
  cpct( c031q2( PCT5.1 ) 'Col %':milieu ) /TITLE  "Tableau 8.6b - Rpartition"+
 " de la population ne disposant pas de l'lectricit, selon la raison et le milieu"+
 " de rsidence".

WEIGHT
  BY coef_ext .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000008 "Total"
  /TABLE=c031q2 + $t000007  BY typevil > (STATISTICS) + $t000008
  /STATISTICS
  count( c031q2( F5.0 ))
  cpct( c031q2( PCT5.1 ) 'Col %':typevil ) /TITLE  "Tableau 8.7a - Rpartition"+
 " des mnages ne disposant pas de l'lectricit, selon la raison et le milieu"+
 " de rsidence".

WEIGHT
  BY coef_per .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000008 "Total"
  /TABLE=c031q2 + $t000007  BY typevil > (STATISTICS) + $t000008
  /STATISTICS
  count( c031q2( F5.0 ))
  cpct( c031q2( PCT5.1 ) 'Col %':typevil ) /TITLE  "Tableau 8.7b - Rpartition"+
 " de la population ne disposant pas de l'lectricit, selon la raison et le milieu"+
 " de rsidence".

WEIGHT
  BY coef_ext .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000008 "Total"
  /TABLE=c031q2 + $t000007  BY pauv_ele > (STATISTICS) + $t000008
  /STATISTICS
  count( c031q2( F5.0 ))
  cpct( c031q2( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  "Tableau 8.8a - Rpartition"+
 " des mnages ne disposant pas de l'lectricit, selon la raison et le statut"+
 " de pauvret".

WEIGHT
  BY coef_per .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000007 "Total" $t000008 "Total"
  /TABLE=c031q2 + $t000007  BY pauv_ele > (STATISTICS) + $t000008
  /STATISTICS
  count( c031q2( F5.0 ))
  cpct( c031q2( PCT5.1 ) 'Col %':pauv_ele ) /TITLE  "Tableau 8.8b - Rpartition"+
 " de la population ne disposant pas de l'lectricit, selon la raison et le statut"+
 " de pauvret".

USE ALL.
COMPUTE filter_$=(c031q1=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
WEIGHT
  BY coef_ext .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=c031q5 + $t000001  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( c031q5( F5.0 ))
  cpct( c031q5( PCT5.1 ) 'Col %':milieu )
  /TITLE  "Tableau 8.9a - Rpartition"+
  " des mnages ne disposant pas de l'lectricit, selon la raison et le milieu"+
  " de rsidence".

WEIGHT
  BY coef_per .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=c031q5 + $t000001  BY milieu > (STATISTICS) + $t000002
  /STATISTICS
  count( c031q5( F5.0 ))
  cpct( c031q5( PCT5.1 ) 'Col %':milieu )
  /TITLE  "Tableau 8.9b - Rpartition"+
  " de la population ne disposant pas de l'lectricit, selon la raison et le milieu"+
  " de rsidence".

FILTER OFF.
USE ALL.
EXECUTE .
WEIGHT
  BY coef_ext .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=pauv_ele + $t000002  BY c031q12 + $t000001
  /STATISTICS
  count( c031q12( F5.0 ))
  cpct( c031q12( PCT5.1 ) 'Row %':pauv_ele ) /TITLE  'Tableau 8.10 -'+
 ' Utilisation du gaz par les mnages, selon le statut de pauvret'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=milieu + $t000002  BY c031q12 + $t000001
  /STATISTICS
  count( c031q12( F5.0 ))
  cpct( c031q12( PCT5.1 ) 'Row %':milieu ) /TITLE  'Tableau 8.11 -'+
 ' Utilisation du gaz par les mnages, selon le milieu de rsidence'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=pauv_ele + $t000002  BY c031q20 + $t000001
  /STATISTICS
  count( c031q20( F5.0 ))
  cpct( c031q20( PCT5.1 ) 'Row %':pauv_ele ) /TITLE  'Tableau 8.12 -'+
 ' Utilisation du bois par les mnages, selon le statut de pauvret'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=milieu + $t000002  BY c031q20 + $t000001
  /STATISTICS
  count( c031q20( F5.0 ))
  cpct( c031q20( PCT5.1 ) 'Row %':milieu ) /TITLE  'Tableau 8.13 -'+
 ' Utilisation du bois par les mnages, selon le milieu de rsidence'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=pauv_ele + $t000002  BY c031q27 + $t000001
  /STATISTICS
  count( c031q27( F5.0 ))
  cpct( c031q27( PCT5.1 ) 'Row %':pauv_ele ) /TITLE  'Tableau 8.14 -'+
 ' Utilisation du charbon de bois par les mnages, selon le statut de pauvret'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=milieu + $t000002  BY c031q27 + $t000001
  /STATISTICS
  count( c031q27( F5.0 ))
  cpct( c031q27( PCT5.1 ) 'Row %':milieu ) /TITLE  'Tableau 8.15 -'+
 ' Utilisation du charbon de bois par les mnages, selon le milieu de rsidence'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=pauv_ele + $t000002  BY c031q32 + $t000001
  /STATISTICS
  count( c031q32( F5.0 ))
  cpct( c031q32( PCT5.1 ) 'Row %':pauv_ele ) /TITLE  'Tableau 8.16 -'+
 ' Utilisation du ptrole lampant par les mnages, selon le statut de pauvret'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=milieu + $t000002  BY c031q32 + $t000001
  /STATISTICS
  count( c031q32( F5.0 ))
  cpct( c031q32( PCT5.1 ) 'Row %':milieu ) /TITLE  'Tableau 8.17 -'+
 ' Utilisation du ptrole lampant par les mnages, selon le milieu de rsidence'.
