********************************************************************.
* Programme de tabulation des donnes sur les avoirs des mnages   *.
********************************************************************.

GET
  FILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_071.sav'.
EXECUTE .
SORT CASES BY
  idmen (A) c071q1 (A) .
SAVE OUTFILE='S:\DATABANK\_Maroc\Data98\Old_Spss\qp98_071.sav'
   /COMPRESSED.

MATCH FILES /FILE=*
 /TABLE='S:\DATABANK\_Maroc\Data98\New_Spss\Dep_cat.sav'
 /RENAME (milieu numenage nup province typville = d0 d1 d2 d3 d4)
 /BY idmen
 /DROP= d0 d1 d2 d3 d4.
EXECUTE.
SAVE OUTFILE='S:\DATABANK\_Maroc\Work\temp.sav'
   /COMPRESSED.

WEIGHT
  BY coef_ext .

COMPUTE nb = 1 .
EXECUTE .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\AGGR.SAV'
  /BREAK=c071q21
  /nb = SUM(nb).
GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .
USE ALL.
COMPUTE filter_$=( ~ MISSING(c071q21)).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
COMPUTE nbmen = 4643988 .
FORMAT nb (f7.0).
COMPUTE pcmen = (nb / nbmen)*100.
EXECUTE .
VARIABLE LABELS
   nb    'Nombre de mnages'
  /pcmen '% de mnages'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= nb pcmen
  /GBASE=CASES
  /TABLE=c071q21  BY nb > (STATISTICS) + pcmen > (STATISTICS)   /TITLE
  'Tableau 9.1 - Nombre et pourcentage des mnages possdant diffrents biens'.


GET
  FILE='S:\DATABANK\_Maroc\Work\temp.sav'.
EXECUTE .

WEIGHT
  BY coef_ext .

COMPUTE nb = 1 .
EXECUTE .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\AGGR.SAV'
  /BREAK=milieu c071q21
  /nb = SUM(nb).
GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .
USE ALL.
COMPUTE filter_$=( ~ MISSING(c071q21)).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
IF (milieu=1) nbmen = 2657413 .
IF (milieu=2) nbmen = 1986575 .
EXECUTE .
FORMAT nb (f7.0).
COMPUTE pcmen = (nb / nbmen)*100.
EXECUTE .
VARIABLE LABELS
   nb    'Nombre de mnages'
  /pcmen '% de mnages'.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= nb pcmen
  /GBASE=CASES
  /TABLE=c071q21  BY milieu > (STATISTICS) > ( nb > (STATISTICS) + pcmen >
  (STATISTICS)  )  /TITLE
  'Tableau 9.2 - Nombre et pourcentage des mnages possdant diffrents biens, ' +
  'par milieu de rsidence'.


GET
  FILE='S:\DATABANK\_Maroc\Work\temp.sav'.
EXECUTE .
WEIGHT
  BY coef_ext .
COMPUTE nb = 1 .
EXECUTE .
AGGREGATE
  /OUTFILE='S:\DATABANK\_Maroc\Work\AGGR.SAV'
  /BREAK=pauv_ele c071q21
  /nb = SUM(nb).
GET
  FILE='S:\DATABANK\_Maroc\Work\aggr.sav'.
EXECUTE .
USE ALL.
COMPUTE filter_$=( ~ MISSING(c071q21)).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
IF (pauv_ele=1) nbmen = 673810 .
IF (pauv_ele=2) nbmen = 3970178 .
EXECUTE .
FORMAT nb (f7.0).
COMPUTE pcmen = (nb / nbmen)*100.
EXECUTE .
VARIABLE LABELS
   nb    'Nombre de mnages'
  /pcmen '% de mnages'.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= nb pcmen
  /GBASE=CASES
  /TABLE=c071q21  BY pauv_ele > (STATISTICS) > ( nb > (STATISTICS) + pcmen >
  (STATISTICS)  )  /TITLE
  'Tableau 9.3 - Nombre et pourcentage des mnages possdant diffrents biens, ' +
  'par statut de pauvret'.

