* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc
  /GBASE=CASES
  /TABLE=dec_nat  BY dep_pc
  /STATISTICS
  mean( dep_pc)
  minimum( dep_pc)
  maximum( dep_pc)
  median( dep_pc) /TITLE  'Annual per capita expenditure (DH) by national'+
 ' decile'.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc
  /GBASE=CASES
  /TABLE=milieu > dec_ur   BY dep_pc
  /STATISTICS
  mean( dep_pc)
  minimum( dep_pc)
  maximum( dep_pc)
  median( dep_pc) /TITLE  'Annual per capita expenditure (DH) by urban/rural'+
 ' decile'.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc numenage
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=milieu > ( dec_ur + $t000001  )  BY dep_pc + numenage
  /STATISTICS
  sum( dep_pc)
  validn( numenage( NEQUAL5.0 )) /TITLE  'Total annual expenditure (DH) and'+
 ' population by urban/rural decile'.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= dep_pc numenage
  /GBASE=CASES
  /FTOTAL= $t000002 "Total"
  /TABLE=( dec_nat + $t000002  )  BY dep_pc + numenage
  /STATISTICS
  sum( dep_pc)
  validn( numenage( NEQUAL5.0 )) /TITLE  'Total annual expenditure (DH) and'+
 ' population by national decile'.


IF (milieu=1 and dep_pc <(3992*1.25)) pov25 = 1 .
IF (milieu=1 and dep_pc >=(3992*1.25)) pov25 = 0 .
IF (milieu=2 and dep_pc <(3037*1.25)) pov25 = 1 .
IF (milieu=2 and dep_pc >=(3037*1.25)) pov25 = 0 .
IF (milieu=1 and dep_pc <(3992*1.5)) pov50 = 1 .
IF (milieu=1 and dep_pc >=(3992*1.5)) pov50 = 0 .
IF (milieu=2 and dep_pc <(3037*1.5)) pov50 = 1 .
IF (milieu=2 and dep_pc >=(3037*1.5)) pov50 = 0 .
EXECUTE .
VARIABLE LABELS pov25 'Upper poverty line x 1.25'
               /pov50 'Upper poverty line x 1.5'.
VALUE LABELS pov25 0 'Non poor'
                   1 'Poor'
            /pov50 0 'Non poor'
                   1 'Poor'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=pauv_ele  BY milieu + $t000003
  /STATISTICS
  count( pauv_ele( F5.0 ))
  cpct( pauv_ele( PCT5.1 ) 'Col %':milieu ) /TITLE  'Poverty incidence (upper'+
 ' poverty line)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=pov25  BY milieu + $t000003
  /STATISTICS
  count( pov25( F5.0 ))
  cpct( pov25( PCT5.1 ) 'Col %':milieu ) /TITLE  'Poverty incidence (upper'+
 ' poverty line x 1.25)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000003 "Total"
  /TABLE=pov50  BY milieu + $t000003
  /STATISTICS
  count( pov50( F5.0 ))
  cpct( pov50( PCT5.1 ) 'Col %':milieu ) /TITLE  'Poverty incidence (upper'+
 ' poverty line x 1.5)'.


