*******************************************************************************
* MOROCCO LSMS 1998/99
* Date: 11 May 2001
* SECTION 1 (CARACTERISTIQUES DEMOGRAPHIQUES DES MEMBRES DU MENAGE)
*******************************************************************************

version 6.0

*******************************************************************************
* Partie A (Caracteristiques demographiques des membres du menage)
*******************************************************************************
clear
infile using sec01a
qui compress

drop baj norder2

gen  s01aq51=.
label var s01aq51  "mois"
note s01aq51: not available as of Feb 2001.  /* Mr. Abziz dropped this variable */
move s01aq51 s01aq52
move milieu dec_n
move dec_n milieu
move coef_men milieu
move region dec_n
move province dec_n
move dec_n region

* label values
label data "LSMS 1998/99 - Section 1, Partie A"

#delimit;
label define pauvre
1   "pauvre"
2   "non pauvre";
label values pauvre pauvre;

label define milieu
1   "urbain"
2   "rural";
label values milieu milieu;

label define region
 1  "Oued Ed-Dahab-Lagouira"
 2  "Laayoune-Boujdour-Sakia El Hamra"
 3  "Guelmime Es-Semara"
 4  "Souss-Massa-Daraa"
 5  "Gharb-Chrarda-Beni Hssen"
 6  "Chaouia-Ouardigha"
 7  "Tensift Al Haouz"
 8  "Oriental"
 9  "G.Casablanca"
10  "Rabat-Sal-Zemmour-Zaer"
11  "Doukala Abda"
12  "Tadla Azilal"
13  "Meknes Tafil"
14  "Fes-Boulemane"
15  "Taza-Al Hoceima-Taounate"
16  "Tanger-Tetouan";
label values region region;

label define prov
 1 "ued Eddahab"
 2 "Boujdor"
 3 "Laayoune"
 4 "Assa Zag"
 5 "ssemara"
 6 "Guelmim"
 7 "Tan-Tan"
 8 "Tata"
 9 "gadir Ida Outanan"
10 "Chtouka Ait Baha"
11 "Inezgane Ait Melloul"
12 "uarzazate"
13 "Zagora"
14 "Taroudant"
15 "Tiznit"
16 "Al Haouz"
17 "Chichaoua"
18 "l Kelaa Sraghna"
19 "Essaouira"
20 "Marrakech Medina"
21 "Marrakech Menara"
22 "Sidi Youssef Ben Ali"
23 "Azilal"
24 "Beni Mellal"
25 "l Jadida"
26 "Safi"
27 "Ben Slimane"
28 "Khouribga"
29 "Settat"
30 "Ain Chok Hay Hassani"
31 "Ain Sbaa Hay Mohamadi"
32 "l Fida Derb Sultan"
33 "Ben Msik Sidi Othmane"
34 "Casa Anfa"
35 "Machouar Casa"
36 "Mohammadia"
37 "Sidi Bernoussi Zenata"
38 "Khemisset"
39 "Rabat"
40 "Sale"
41 "Skhirat-Temara"
42 "Kenitra"
43 "Sidi Kacem"
44 "Al Asmailia"
45 "l Hajeb"
46 "Errachidia"
47 "Ifrane"
48 "Khenifra"
49 "Meknes El Menzeh"
50 "Boulemana"
51 "Fes Jdid Dar Dbigagh"
52 "Fes Medina"
53 "Sefrou"
54 "Zougha My Yaacoub"
55 "Al Hoceima"
56 "Taounate"
57 "Taza"
58 "Berkane"
59 "Tourirt"
60 "Figuig"
61 "Jerada"
62 "Nador"
63 "ujda Angad"
64 "Chefchaoun"
65 "Larache"
66 "Tanger Assilah"
67 "Fahs Bni Makada"
68 "Tetouan";
label values province prov;

label define s01aq3
 1  "Chef du mnage (C.M.)"
 2  "Epoux (se) du C.M."
 3  "Enfant du C.M."
 4  "Gendre ou belle-fille du C.M."
 5  "Petit-fils, petite-fille du C.M."
 6  "Pre ou mre du C.M."
 7  "Beau-pre ou belle-mre du C.M."
 8  "Frre ou soeur du C.M."
 9  "Autre personne avec lien avec le C.M."
10  "Enfant adopt"
11  "Personne sans lien avec le C.M."
12  "Personne travaillant pour le mnage";
label values s01aq3 s01aq3;

label define s01aq4
1   "Masculin"
2   "Fminin";
label values s01aq4 s01aq4;

label define s01aq6
1   "Clibataire"
2   "Mari(e) en situation de monogamie"
3   "Mari(e) en situation de polygamie"
4   "Divorc(e)"
5   "Veuf";
label values s01aq6 s01aq6;

label define s01aq9
1   "Chef du noyau familial (N.F.)"
2   "Epoux (se) du chef du N.F."
3   "Enfant clibataire du chef du N.F."
4   "Enfant clibataire du conjoint (e) du chef du N.F."
5   "Frre ou soeur clibataire du chef du N.F."
6   "Pre ou mre du chef du N.F."
7   "Autre lien avec le chef du N.F.";
label values s01aq9 s01aq9;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s01aq9=99 if s01aq9==0
replace   s01aq9=99 if s01aq9==9
label def s01aq9 99 "Non declar", modify

note s01aq7: "97" and "98" are special codes referring to monogamie and /*
          */ polygamie, respectively. Further explanations are to be asked to the MSO.

sort idt1 idt2 norder
save sec01a,replace

*******************************************************************************
* Partie B (Renseignements sur le pere)
*******************************************************************************
clear
infile using sec01b
qui compress

drop if idt1==. | idt2==. | norder==.     /* 6 obs. dropped */
drop qui_n qui_r qui_u milieu region province coef_men

* label values
label data "LSMS 1998/99 - Section 1, Partie B"

#delimit;
label define ouinon
1   "oui"
2   "non"
99  "non declar";
label values s01bq2 ouinon;

label values s01bq3 ouinon;

label define s01bq5
0   "Sans niveau"
1   "M-sid, ens. religieux"
2   "Primaire"
3   "Secondaire 1er cycle"
4   "Secondaire 2me cycle"
5   "Suprieur"
6   "Autre niveau"
7   "Ne sait pas";
label values s01bq5 s01bq5;

label define s01bq6
0   "Inactif"
1   "Salari"
2   "Indpendant"
3   "Employeur"
4   "Travailleur  domicile"
5   "Aide familial"
6   "Associ/membre d'une coop."
7   "Autre"
8   "Ne sait pas";
label values s01bq6 s01bq6;

label define s01bq7
1   "Primaire"
2   "Secondaire"
3   "Tertiaire"
4   "Ne sait pas";
label values s01bq7 s01bq7;
#delimit cr

*** Missing, out-of-range et sim.
replace   s01bq2=99 if s01bq2==0
replace   s01bq2=99 if s01bq2==3
replace   s01bq2=99 if s01bq2==9
replace   s01bq2=2 if  s01bq2==5

replace   s01bq3=99 if s01bq3==0
replace   s01bq3=99 if s01bq3==9

replace   s01bq5=7 if s01bq5==8
replace   s01bq5=7 if s01bq5==9

replace   s01bq6=8 if s01bq6==9

replace   s01bq7=4 if s01bq7==9

sort idt1 idt2 norder
save sec01b,replace

*******************************************************************************
* Partie C (Renseignements sur la mere)
*******************************************************************************
clear
infile using sec01c
qui compress

drop if idt1==. | idt2==. | norder==.  /* 5 obs. dropped */
drop qui_n qui_r qui_u milieu region province coef_men

* label values
label data "LSMS 1998/99 - Section 1, Partie C"

#delimit;
label define ouinon
1   "oui"
2   "non"
99  "non declar";
label values s01cq2 ouinon;
label values s01cq3 ouinon;

label define s01cq5
0   "Sans niveau"
1   "M-sid, ens. religieux"
2   "Primaire"
3   "Secondaire 1er cycle"
4   "Secondaire 2me cycle"
5   "Suprieur"
6   "Autre niveau"
7   "Ne sait pas";
label values s01cq5 s01cq5;

label define s01cq6
0   "Inactif"
1   "Salari"
2   "Indpendant"
3   "Employeur"
4   "Travailleur  domicile"
5   "Aide familial"
6   "Associ/membre d'une coop."
7   "Autre"
8   "Ne sait pas";
label values s01cq6 s01cq6;

label define s01cq7
1   "Primaire"
2   "Secondaire"
3   "Tertiaire"
4   "Ne sait pas";
label values s01cq7 s01cq7;
#delimit cr

*** Missing, out-of-range et sim.
replace   s01cq2=99 if s01cq2==4
replace   s01cq2=2  if s01cq2==5
replace   s01cq2=99 if s01cq2==7
replace   s01cq2=99 if s01cq2==8
replace   s01cq2=99 if s01cq2==9

replace   s01cq3=99 if s01cq3==3
replace   s01cq3=99 if s01cq3==9
replace   s01cq3=2  if s01cq3==5

replace   s01cq5=99 if s01cq5==9
label def s01cq5 99 "Non declar", modify

sort idt1 idt2 norder
save sec01c,replace

exit