*******************************************************************************
* MOROCCO LSMS 1998/99
* Date: 11 May 2001
* SECTION 2 (CONDITIONS D'HABITATION)
*******************************************************************************

version 6.0

clear
tempfile sec02a sec02a2 sec02b

infile using sec02b         /* questions 52 to 60 */
sort idt1 idt2
save `sec02b'

clear
infile using sec02a         /* questions 1 to 43 and 45 to 51 */
sort idt1 idt2
save `sec02a'

clear
infile using sec02a2        /* question 44 */
sort idt1 idt2
save `sec02a2'

merge idt1 idt2 using `sec02a'
assert _merge==3
drop _merge
sort idt1 idt2

merge idt1 idt2 using `sec02b'
assert _merge==3
drop _merge

move s02q44 s02q43
move coef_men s02q60
move coef_ind s02q60
move milieu s02q60
qui compress

* label values
label data "LSMS 1998/99 - Section 2"

#delimit;
label define s02q1
0   "Villa/niveau d'une villa"
1   "Appart. dans immeuble"
2   "Maison tradit. urbaine"
3   "Maison moderne urbaine"
4   "Lieu non destin habit."
5   "Baraque/habitat sommaire"
6   "Maison rurale pis/pierres"
7   "Maison rurale en dur"
8   "Autres";
label values s02q1 s02q1;

label define s02q2
1   "Oui"
2   "Non, avec 1 mnage"
3   "Non, avec 2 mnages"
4   "Non, avec > 2 mnages";
label values s02q2 s02q2;

label define ouinon
1   "oui"
2   "non"
99  "non declar";
label values s02q4 ouinon;

label define s02q5
1   "Sans objet"
2   "Moins de un 1/4"
3   "1/4  1/2"
4   "1/2  3/4"
5   " + de 3/4";
label values s02q5 s02q5;

label values s02q6 ouinon;

label define s02q7
0   "Ne sait pas"
1   "Moins de 5 ans"
2   " 5  moins de 10"
3   "10  moins de 20"
4   "20  moins de 30"
5   "30  moins de 50"
6   "50 ans et plus";
label values s02q7 s02q7;

label define s02q8
1   "Un an et moins"
2   "Plus de un an";
label values s02q8 s02q8;

label define s02q10
1   "Propritaire"
2   "Accdant  la proprit"
3   "Locataire"
4   "Locataire avec pas porte"
5   "Hypothque"
6   "Logement de fonction"
7   "Log gratuitement"
8   "Autres";
label values s02q10 s02q10;

label define s02q11
1   "Hrit"
2   "Construit fonds propres"
3   "Construit fonds propres/prt"
4   "Achet par fonds propres"
5   "Achet fonds propres/prt"
6   "Autres";
label values s02q11 s02q11;

label define s02q13
1   "Un an et moins"
2   "Plus de un an";
label values s02q13 s02q13;

label values s02q15 ouinon;

label define unitemp
1   "Jour"
2   "Semaine"
3   "Quinzaine"
4   "Mois"
5   "Deux mois"
6   "Trimestre"
7   "Semestre"
8   "Anne";
label values s02q162 unitemp;

label define s02q17
1   "Oui, une partie"
2   "Oui, la totalit"
3   "Non";
label values s02q17 s02q17;

label define s02q18
1   "Fils/fille du CM"
2   "Parent du CM"
3   "Personne avec lien"
4   "Personne sans lien"
5   "Autres";
label values s02q18 s02q18;

label values s02q20 ouinon;

label define s02q21
1   "Un seul logement"
2   "Plus d'un logement"
3   "Non";
label values s02q21 s02q21;

label define s02q22
1   "Vacant"
2   "Lou"
3   "Occup gratuitement"
4   "Autres";
label values s02q22 s02q22;

label values s02q23 ouinon;

label define s02q24
1   "Participation coopr./assoc."
2   "Achat de terrain"
3   "Logement en cours construction"
4   "En train d-pargner"
5   "Formule bancaire"
6   "Autres";
label values s02q24 s02q24;

label values s02q251 ouinon;
label values s02q252 ouinon;
label values s02q253 ouinon;
label values s02q254 ouinon;
label values s02q255 ouinon;

label define s02q26
1   "Egout"
2   "Fosse septique"
3   "Fosse aisance/latrines"
4   "Jetes dans la nature"
5   "Autres";
label values s02q26 s02q26;

label values s02q27 ouinon;

label values s02q282 unitemp;

label define s02q29
1   "Poubelle communale"
2   "Camion municipal"
3   "Jetes dans la nature"
4   "Autres";
label values s02q29 s02q29;

label values s02q30 ouinon;

label values s02q312 unitemp;

label values s02q32 ouinon;

label define s02q33
1   "Un an et moins"
2   "Plus de un an";
label values s02q33 s02q33;

label define s02q35
1   "Individuel"
2   "Collectif";
label values s02q35 s02q35;

label define s02q36
1   "Le mnage"
2   "Personne avec lien"
3   "Personne sans lien"
4   "Organisme public/semi-public"
5   "Organisme priv"
6   "Autres";
label values s02q36 s02q36;

label values s02q372 unitemp;

label define s02q38
1   "Trop cher"
2   "Pas ncessaire"
3   "Pas de rseau"
4   "Autres";
label values s02q38 s02q38;

label define s02q39
 1  "Bornes fontaines payantes"
 2  "Bornes fontaines gratuites"
 3  "Point d'eau collectif"
 4  "Mtfia collective"
 5  "Puits collectif non amnag"
 6  "Source"
 7  "Oued"
 8  "Seguia"
 9  "Puits priv"
10  "Mtfia prive"
11  "Vendeur d'eau"
12  "Camion citerne"
13  "Autres";
label values s02q39 s02q39;

label define s02q41
0   "Tous les membres"
1   "Chef du mnage (CM)"
2   "Epoux(se)du CM"
3   "Garcons/filles < 15ans"
4   "Filles  < 15 ans"
5   "Garcons < 15 ans"
6   "Adultes masculin"
7   "Adultes fminin"
8   "Personnes non membre"
9   "Autres";
label values s02q41 s02q41;

label define s02q42
1   "Oui, eau de javel"
2   "Oui, bullition"
3   "Oui, autre procd"
4   "Oui, ajout chaux"
5   "Oui, comprims"
6   "Non";
label values s02q42 s02q42;

label values s02q43 ouinon;
label values s02q45 ouinon;

label define s02q46
1   "Moins de un an"
2   "Plus de un an";
label values s02q46 s02q46;

label define s02q48
1   "Oui, fixe seule"
2   "Oui, mobile seule"
3   "Oui, fixe et mobile"
4   "Non";
label values s02q48 s02q48;

label define s02q49
1   "Un an et moins"
2   "Plus de un an";
label values s02q49 s02q49;

label values s02q522 unitemp;
label values s02q524 unitemp;
label values s02q526 unitemp;
label values s02q528 unitemp;

label values s02q53 ouinon;
label values s02q57 ouinon;
label values s02q59 ouinon;

label define s02q60
1   "Pas confortable"
2   "Petit pour taille mnage"
3   "Eloignement centre ville "
4   "Environnement"
5   "Manque de services/infrastr."
6   "Autres";
label values s02q60 s02q60;

qui label define milieu
1   "urbain"
2   "rural";
label values milieu milieu;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s02q21=99 if s02q21==9
label def s02q21 99 "Non declar", modify

replace   s02q22=99 if s02q22==9
label def s02q22 99 "Non declar", modify

replace   s02q251=99 if s02q251==9
replace   s02q252=99 if s02q252==9
replace   s02q253=99 if s02q253==9
replace   s02q254=99 if s02q254==9
replace   s02q255=99 if s02q255==9

replace   s02q26=99 if s02q26==9
label def s02q26 99 "Non declar", modify

replace   s02q29=99 if s02q29==9
label def s02q29 99 "Non declar", modify

replace   s02q38=99 if s02q38==9
label def s02q38 99 "Non declar", modify

replace   s02q39=99 if s02q39==9
label def s02q39 99 "Non declar", modify

mvdecode s02q404, mv(99)

replace   s02q42=99 if s02q42==9
label def s02q42 99 "Non declar", modify

sort idt1 idt2
save sec02,replace

exit