*******************************************************************************
* MOROCCO LSMS 1998/99
* Date: 11 May 2001
* SECTION 4 (EDUCATION)
*******************************************************************************

version 6.0

*******************************************************************************
* Partie A (Statut de frequentation des etablissements d'enseignement general)
*******************************************************************************
clear
infile using sec04a
qui compress

drop coef_fin               /* drop a wrong expanding factor */

* label values
label drop _all
label data "LSMS 1998/99 - Section 4, Partie A"

#delimit;
label define ouinon
1   "oui"
2   "non"
99  "non declar";
label values s04aq2 ouinon;

label define s04aq3
1   "Crche"
2   "Ecole maternelle"
3   "Ecole coranique"
4   "M'sid"
5   "Ecole primaire"
6   "Etablissement assimil";
label values s04aq3 s04aq3;

label define s04aq4
1   "Frquente actuellement"
2   "Dj frquent"
3   "Jamais frquent";
label values s04aq4 s04aq4;
label values s04aq5 ouinon;

label define s04aq6
 1  "Eloignement"
 2  "Manque de places"
 3  "Pas d'coles"
 4  "Aider parents"
 5  "Oblig travailler"
 6  "Pas de moyens"
 7  "Pas d'intrt"
 8  "Attitude parents"
 9  "Difficult familiale"
10  "Manque quipement"
11  "Autres";
label values s04aq6 s04aq6;
label values s04aq7 ouinon;

label define s04aq8
1   "1er CF/primaire"
2   "2me CF/1er CS"
3   "Secondaire/2me CS"
4   "Suprieur";
label values s04aq8 s04aq8;

#delimit cr

* label values for the variable "s04aq10"
qui do s04aq10

* Add 2 (useful) variables provided by the MSO (see files v290295.lst/out)
* See also the file v290295.do
sort idt1 idt2 norder
merge  idt1 idt2 norder using hdipl
assert _merge==3
drop _merge

note drop hdipl hdipl2 s04aq10
note hdipl: variable provided by the MSO
note hdipl2: variable provided by the MSO
note s04aq10: Cfr. NOMENCLATURE NATIONALE DES DIPLOMES , Royaume du Maroc, Direction de la Statistique, April 1999.

*** Missing values, out-of-range et sim.
replace   s04aq10=99 if s04aq10==   0
replace   s04aq10=99 if s04aq10==   1
replace   s04aq10=99 if s04aq10== 110
replace   s04aq10=99 if s04aq10==2159
replace   s04aq10=99 if s04aq10==2215
replace   s04aq10=99 if s04aq10==3424
replace   s04aq10=99 if s04aq10==4100
label def s04aq10 99 "Non declar", modify

sort idt1 idt2 norder
save sec04a,replace

*******************************************************************************
* Partie B (Characteristiques de l'enseignement general suivi par les personnes)
*******************************************************************************
clear
infile using sec04b
qui compress

* these 2 households are dropped from all samples by the MSO
drop if idt1==124 & idt2==121506
drop if idt1==134 & idt2==94401
drop coef_fin

* label values
label drop _all
label data "LSMS 1998/99 - Section 4, Partie B"

#delimit;
label define s04bq2
1   "Oui, obtenu CEP et suivi"
2   "Oui, obtenu CEP et quitt"
3   "Oui, dernire classe et quitt"
4   "Non, pas achev primaire"
5   "Non, en cours actuellement";
label values s04bq2 s04bq2;

label define s04bq3
 1  "Eloignement"
 2  "Manque de places"
 3  "Pas d'coles"
 4  "Aider parents"
 5  "Obligation travailler"
 6  "Pas de moyens"
 7  "Exclusion"
 8  "Echec examen de passage"
 9  "Pas d'intert"
10  "Manque d'quipement"
11  "Attitude parents"
12  "Difficults familiales"
13  "Autres";
label values s04bq3 s04bq3;

label define s04bq4
1   "Oui, obtenu CES et suivi"
2   "Oui, obtenu CES et quitt"
3   "Oui, dernire classe et quitt"
4   "Non, pas achev 2me cycle"
5   "Non, en cours actuellement";
label values s04bq4 s04bq4;

label define s04bq5
 1  "Eloignement"
 2  "Manque de places"
 3  "Pas d'coles"
 4  "Aider parents"
 5  "Obligation travailler"
 6  "Pas de moyens"
 7  "Exclusion"
 8  "Echec examen de passage"
 9  "Pas d'intrt"
10  "Manque d'quipement"
11  "Attitude parents"
12  "Difficults familiales"
13  "Autres";
label values s04bq5 s04bq5;

label define s04bq6
1   "Lettres"
2   "Sciences"
3   "Techniques"
4   "Autres";
label values s04bq6 s04bq6;

label define s04bq7
1   "Non, frqente actuellement"
2   "Non, pas achev secondaire"
3   "Non, pass bacc. et quitt"
4   "Oui, obtenu bacc. et quitt"
5   "Oui, obtenu bacc. et suivi";
label values s04bq7 s04bq7;

label define s04bq8
1   "Lettres"
2   "Sc. humaines/sociales"
3   "Sc. exactes"
4   "Mdecine"
5   "Etudes religieuses"
6   "Formation des cadres"
7   "Institut technique"
8   "Autres";
label values s04bq8 s04bq8;

label define s04bq9
1   "Oui"
2   "Non, suit actuel. sup."
3   "Non, quitt sup. sans dipl.";
label values s04bq9 s04bq9;

label define s04bq10
1   "Maroc"
2   "Etranger";
label values s04bq10 s04bq10;

label define ouinon
1   "oui"
2   "non"
99  "non declar";
label values s04bq13 ouinon;

#delimit cr

* Add 2 (useful) variables provided by the MSO (see files v290295.lst/out)
* See also the file v290295.do
sort idt1 idt2 norder
merge  idt1 idt2 norder using hdipl
assert _merge==3 | _merge==2
keep if _merge==3
drop _merge

note drop hdipl hdipl2
note hdipl: variable provided by the MSO
note hdipl2: variable provided by the MSO

*** Missing values, out-of-range et sim.
replace   s04bq3=99 if s04bq3==32
label def s04bq3 99 "Non declar", modify

replace   s04bq6=99 if s04bq6==0
replace   s04bq6=99 if s04bq6==6
label def s04bq6 99 "Non declar", modify

replace   s04bq10=99 if s04bq10==3
replace   s04bq10=99 if s04bq10==4
replace   s04bq10=99 if s04bq10==5
replace   s04bq10=99 if s04bq10==6
label def s04bq10 99 "Non declar", modify

* label values for the variable "s04bq12"
qui do s04bq12
note drop s04bq12
note s04bq12: Cfr. NOMENCLATURE NATIONALE DES DIPLOMES , Royaume du Maroc, Direction de la Statistique, April 1999.
replace   s04bq12=99 if s04bq12== 100
replace   s04bq12=99 if s04bq12== 110
replace   s04bq12=99 if s04bq12== 111
replace   s04bq12=99 if s04bq12== 112
replace   s04bq12=99 if s04bq12== 120
replace   s04bq12=99 if s04bq12==1100
replace   s04bq12=99 if s04bq12==1112
replace   s04bq12=99 if s04bq12==1140
replace   s04bq12=99 if s04bq12==1220
replace   s04bq12=99 if s04bq12==2123
replace   s04bq12=99 if s04bq12==4100
replace   s04bq12=99 if s04bq12==5829
replace   s04bq12=99 if s04bq12==7614
replace   s04bq12=99 if s04bq12==9120
label def s04bq12 99 "Non declar", modify

replace   s04bq13=99 if s04bq13==9

sort idt1 idt2 norder
save sec04b,replace

*******************************************************************************
* Partie C (Formation professionelle)
*******************************************************************************
clear
infile using sec04c
qui compress

dups,drop                   /* drop 6 duplicate obs. */
cap drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 4, Partie C"

#delimit;
label define s04cq2
1   "Oui, frquente actuellement"
2   "Oui, a dj frquent"
3   "Non";
label values s04cq2 s04cq2;

label define s04cq3
1   "Initiation"
2   "Spcialisation"
3   "Qualification"
4   "Technicien"
5   "Technicien spcialis";
label values s04cq3 s04cq3;

label define s04cq4
 1  "Agriculture"
 2  "Pche/marine marchande"
 3  "Mine/nergie"
 4  "Artisanat"
 5  "Industrie"
 6  "Batiment/travaux publics"
 7  "Transport/tlcommunication"
 8  "Commerce/service"
 9  "Administration"
10  "Sant publique"
11  "Tourisme/htellerie"
12  "Enseignement"
13  "Autres";
label values s04cq4 s04cq4;

label define pubpriv
1   "Public"
2   "Priv"
99  "Non declar";
label values s04cq6 pubpriv;

label define ouinon
1   "oui"
2   "non"
99  "non declar";
label values s04cq7 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s04cq4=99 if s04cq4==0
label def s04cq4 99 "Non declar", modify

replace   s04cq6=99 if s04cq6==0
replace   s04cq6=99 if s04cq6==3

sort idt1 idt2 norder
save sec04c,replace

*******************************************************************************
* Partie D (Depenses d'enseignement ou de formation)
*******************************************************************************
clear
tempfile sec04ds

infile using sec04ds         /* partie D (suite): p. 19 of the questionnaire */
sort idt1 idt2 norder
save `sec04ds'

clear
infile using sec04d

sort idt1 idt2 norder
merge idt1 idt2 norder using `sec04ds'
keep if _merge==3
drop _merge
qui compress

sort idt1 idt2 norder
dups,drop                    /* drop 6 duplicate obs. */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 4, Partie D"

#delimit;
label define s04dq4
 1  "A pied"
 2  "En bus"
 3  "Voiture personnelle"
 4  "Transport organis"
 5  "Taxi"
 6  "Motocyclette"
 7  "Bicyclette"
 8  "Charrette"
 9  "A cheval,ne"
10  "Transport employeur"
11  "Autres  prciser";
label values s04dq4 s04dq4;

label define pubpriv
1   "Public"
2   "Priv";
label values s04dq5 pubpriv;

label define unitemp
1   "Jour"
2   "Semaine"
3   "Quinzaine"
4   "Mois"
5   "Deux mois"
6   "Trimestre"
7   "Semestre"
8   "Anne";
label values s04dq642 unitemp;
label values s04dq652 unitemp;
label values s04dq662 unitemp;
label values s04dq672 unitemp;

label define s04dq7
1   "Bourse complte"
2   "Bourse partielle"
3   "Prise en charge Etat"
4   "Non";
label values s04dq7 s04dq7;

label define ouinon
1   "oui"
2   "non"
99  "non declar";
label values s04dq9 ouinon;

label define s04dq11
1   "Parents"
2   "Frre/soeur"
3   "Personne avec lien"
4   "Personne sans lien"
5   "Autres";
label values s04dq11 s04dq11;
#delimit cr

*** Missing values, out-of-range et sim.
note s04dq641: periode de reference = nombre de mois
note s04dq651: periode de reference = nombre de mois
note s04dq661: periode de reference = nombre de mois
note s04dq671: periode de reference = nombre de mois

replace   s04dq7=99 if s04dq7==5
replace   s04dq7=99 if s04dq7==9
label def s04dq7 99 "Non declar", modify

replace   s04dq9=99 if s04dq9==4
replace   s04dq9=99 if s04dq9==9

replace   s04dq11=99 if s04dq11==9
label def s04dq11 99 "Non declar", modify

mvdecode s04dq8 s04dq10, mv(999999)

qui compress
sort  idt1 idt2 norder
save sec04d,replace

*******************************************************************************
* Partie E (Frequentation d'un m'sid ou une institution d'enseignement religieux)
*******************************************************************************
clear
infile using sec04e
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 4, Partie E"

#delimit;
label define s04eq2
1   "Oui, frquente le m'sid"
2   "Oui, a frquent le m'sid"
3   "Oui, frquente inst. religieuse"
4   "Oui, a frquent inst. relig."
5   "Non";
label values s04eq2 s04eq2;

label define unitemp
1   "Jour"
2   "Semaine"
3   "Quinzaine"
4   "Mois"
5   "Deux mois"
6   "Trimestre"
7   "Semestre"
8   "Anne";
label values s04eq412 unitemp;
#delimit cr

*** Missing values, out-of-range et sim.
note s04eq411: periode de reference = nombre de mois

sort  idt1 idt2 norder
save sec04e,replace

*******************************************************************************
* Partie F (Activites educatives)
*******************************************************************************
clear
infile using sec04f
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 4, Partie F"

#delimit;
label define s04fq3
1   "Art"
2   "Artisanat"
3   "Informatique"
4   "Comptabilit/secrtariat"
5   "Langue trangre"
6   "Activits sportives";
label values s04fq3 s04fq3;

label define s04fq4
1   "Amliorer poss. emploi"
2   "Intrt personnel"
3   "Autres  prciser";
label values s04fq4 s04fq4;

label define s04fq5
1      "Etablissement priv"
2      "Inst. form. profess."
3      "Organisme employeur"
4      "Autre";
label values s04fq5 s04fq5;

label define s04fq6
1      "Intress/mnage"
2      "Employeur"
3      "Personne sans lien"
4      "Pas de frais"
5      "Autres  prciser";
label values s04fq6 s04fq6;

label define unitemp
1   "Jour"
2   "Semaine"
3   "Quinzaine"
4   "Mois"
5   "Deux mois"
6   "Trimestre"
7   "Semestre"
8   "Anne";
label values s04fq712 unitemp;
#delimit cr

*** Missing values, out-of-range et sim.
* The following obs. does not exist in sec01a:
drop if idt1==139 & idt2==100911 & norder==6

replace   s04fq3=99 if s04fq3==9
label def s04fq3 99 "Non declar", modify

note s04fq711: periode de reference = nombre de mois

sort  idt1 idt2 norder
save sec04f,replace

*******************************************************************************
* Partie G (Alphabetisation et conossaince des langues)
*******************************************************************************
clear
infile using sec04g
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 4, Partie G"

#delimit;
label define s04gq2
1   "Nant"
2   "M'sid,enseign. coran"
3   "EF (1er cycle)"
4   "EF (2me cycle)"
5   "Secondaire"
6   "Suprieur";
label values s04gq2 s04gq2;

label define ouinon
1   "oui"
2   "non"
99  "non declar";
label values s04gq3 ouinon;
label values s04gq4 ouinon;

label define s04gq5
1   "Min. de la jeunesse"
2   "Entraide nationale"
3   "Affaires sociale"
4   "Org. bienfaisance"
5   "Org. non gouvernementale"
6   "Autre";
label values s04gq5 s04gq5;

label values s04gq7 ouinon;
label values s04gq8 ouinon;
label values s04gq9 ouinon;

label define s04gq10
1   "Espagnol"
2   "Anglais"
3   "Allemand"
4   "Autres"
5   "Plusieurs";
label values s04gq10 s04gq10;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s04gq2=99 if s04gq2==0
replace   s04gq2=99 if s04gq2==9
label def s04gq2 99 "Non declar", modify

replace   s04gq3=99 if s04gq3==3
replace   s04gq7=99 if s04gq7==0
replace   s04gq8=99 if s04gq8==0
replace   s04gq9=99 if s04gq9==0

replace   s04gq10=99 if s04gq10==0
label def s04gq10 99 "Non declar", modify

sort  idt1 idt2 norder
save sec04g,replace

*******************************************************************************
* Partie H (Enfants ou membres qui habitent ailleurs et qui frequentent un
*           etablissement d'enseignement ou de formation)
*******************************************************************************
clear
infile using sec04h
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 4, Partie H"

#delimit;
label define s04hq3
1   "Masculin"
2   "Fminin";
label values s04hq3 s04hq3;

label define s04hq7
1   "Avec lien - urbain"
2   "Avec lien - rural"
3   "Sans lien - urbain"
4   "Sans lien - rural"
5   "Internat"
6   "Cit universitaire"
7   "Etranger"
8   "Autres";
label values s04hq7 s04hq7;

label define s04hq8
1   "M'sid, ens.coranique"
2   "EF (1er cycle)"
3   "EF (2me cycle)"
4   "Secondaire"
5   "Suprieur"
6   "Formation profess."
7   "Autres";
label values s04hq8 s04hq8;
#delimit cr

*** Missing values, out-of-range et sim.
drop if s04hq5==.
* The following obs. does not exist in sec01a
drop if idt1==139 & idt2==100803 & s04hq5==22

replace   s04hq7=99 if s04hq7==9
label def s04hq7 99 "Non declar", modify


sort  idt1 idt2
save sec04h,replace

exit