*******************************************************************************
* MOROCCO LSMS 1998/99
* Date: 11 May 2001
* SECTION 5 (SANTE)
*******************************************************************************

version 6.0

*******************************************************************************
* Partie A (Demande de soins de sante)
*******************************************************************************
clear
infile using sec05a
qui compress

drop mistake1 mistake2   /* 2 variables mistakenly included in the ascii file */

dups,drop                /* drop 6 duplicate obs. */
cap drop _expand

label drop _all
label data "LSMS 1998/99 - Section 5, Partie A"

* label values
#delimit;
label define s05aq3
1   "Passagre"
2   "Chronique"
3   "Blessure";
label values s05aq3 s05aq3;

label define s05aq6
1   "Oui, une seule personne"
2   "Oui, plusieurs personens"
3   "Non";
label values s05aq6 s05aq6;

label define s05aq7
0   "Mdecin"
1   "Dentiste"
2   "Pharmacien"
3   "Sage-femme"
4   "Infirmire"
5   "Gurisseur"
6   "Fquih/chouafa"
7   "Autres";
label values s05aq7 s05aq7;

label define s05aq8
0   "Chez le mnage"
1   "Dispensaire"
2   "Centre de sant"
3   "Hpital public"
4   "Mdecin priv"
5   "Mutualiste"
6   "Gurisseur/fquih"
7   "Pharmacie"
8   "Autre lieu";
label values s05aq8 s05aq8;

label define s05aq9
1   "Public"
2   "Semi-public"
3   "Priv";
label values s05aq9 s05aq9;

label define s05aq10
1   "A pied"
2   "Dos animal"
3   "Charrette"
4   "Vhicule"
5   "Moto/bicyclette"
6   "Autres";
label values s05aq10 s05aq10;

label define s05aq13
 0  "Ne sait pas"
 1  "Maladie des yeux"
 2  "Oreille/nez"
 3  "Poumons/respirat."
 4  "Coeur"
 5  "Appareil digestif"
 6  "Reins"
 7  "Appareil gnital"
 8  "Maladie peau"
 9  "Maladie du foie"
10  "Maladie dentaire"
11  "Maladie mentale"
12  "Maladie diabtique"
13  "Cancer"
14  "Grippe, fivre"
15  "Fracture, luxation"
16  "Blessure"
17  "Intoxication"
18  "Asthme"
19  "Maladie de la tte"
20  "Rhumatisme"
21  "Autres";
label values s05aq13 s05aq13;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s05aq6=99 if s05aq6==0
replace   s05aq6=99 if s05aq6==4
replace   s05aq6=99 if s05aq6==9
label def s05aq6 99 "Non declar", modify

replace   s05aq8=99 if s05aq8==9
label def s05aq8 99 "Non declar", modify

replace   s05aq10=99 if s05aq10==0
label def s05aq10 99 "Non declar", modify

replace   s05aq13=0 if s05aq13==32

sort idt1 idt2 norder
save sec05a,replace

*******************************************************************************
* Partie B (Couverture sociale)
*******************************************************************************
clear
infile using sec05b
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 5, Partie B"

#delimit;
label define s05bq2
1   "Affili"
2   "Bnficiaire"
3   "Non couvert";
label values s05bq2 s05bq2;

label define s05bq3
1   "C.N.O.P.S"
2   "C.N.S.S"
3   "Rgime interne"
4   "Autre  prciser";
label values s05bq3 s05bq3;

label define s05bq5
1   "Adhrent"
2   "Membre couvert"
3   "Membre non couvert";
label values s05bq5 s05bq5;

label define s05bq7
1   "Adhrent"
2   "Non adhrent";
label values s05bq7 s05bq7;
#delimit cr

sort idt1 idt2 norder
save sec05b,replace

*******************************************************************************
* Partie C (Vaccination des enfants ages de moins de 24 mois)
*******************************************************************************
clear
infile using sec05c
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 5, Partie C"

#delimit;
label define ouinon
1   "Oui"
2   "Non"
3   "Non concern";
label values s05cq21 ouinon;
label values s05cq22 ouinon;
label values s05cq23 ouinon;
label values s05cq24 ouinon;
label values s05cq25 ouinon;
label values s05cq26 ouinon;
label values s05cq27 ouinon;

label define s05cq3
1      "Public"
2      "Priv"
3      "Variable";
label values s05cq3 s05cq3;

label values s05cq4 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s05cq21=99 if s05cq21==9
replace   s05cq22=99 if s05cq22==9
replace   s05cq23=99 if s05cq23==9
replace   s05cq24=99 if s05cq24==9
replace   s05cq25=99 if s05cq25==0
replace   s05cq25=99 if s05cq25==9
replace   s05cq26=99 if s05cq26==0
replace   s05cq26=99 if s05cq26==9
replace   s05cq27=99 if s05cq27==9
label def ouinon 99 "Non declar", modify

sort  idt1 idt2 norder
save sec05c,replace

*******************************************************************************
* Partie D (Consultation des medecins)
*******************************************************************************
clear
infile using sec05d
qui compress

dups,drop                    /* drop 1 duplicate obs. */
cap drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 5, Partie D"

#delimit;
label define s05dq4
1   "Maladie dclare"
2   "Autre non dclar"
3   "Dpassant dlai";
label values s05dq4 s05dq4;

label define s05dq5
1   "Mdecin public"
2   "Mdecin mutualiste"
3   "Mdecin prive"
4   "Autres";
label values s05dq5 s05dq5;

label define s05dq6
1   "Dispensaire"
2   "Hpital public"
3   "Clinique mutualiste"
4   "Clinique prive"
5   "Cabinet mdecin"
6   "A domicile"
7   "Autres  prciser";
label values s05dq6 s05dq6;

label define ouinon
1   "Oui"
2   "Non"
3   "Non concern";
label values s05dq7 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
drop if norder==.

* drop 1 obs. which does not exist in sec01a
drop if idt1==206 & idt2==30101 & norder==11

replace   s05dq4=99 if s05dq4==9
label def s05dq4 99 "Non declar", modify

sort  idt1 idt2 norder
save sec05d,replace

*******************************************************************************
* Partie E (Acquisition des plantes officinales)
*******************************************************************************
clear
infile using sec05e
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 5, Partie E"

#delimit;
label define s05eq4
1   "Maladie dclar"
2   "Autre non dclar"
3   "Dpassant dlai";
label values s05eq4 s05eq4;

label define ouinon
1   "Oui"
2   "Non";
label values s05eq5 ouinon;
#delimit cr

sort  idt1 idt2 norder
save sec05e,replace

*******************************************************************************
* Partie F (Acquisition des medicaments)
*******************************************************************************
clear
infile using sec05f
qui compress

dups,drop                    /* drop 1 duplicate obs */
cap drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 5, Partie F"

#delimit;
label define s05fq4
1   "Maladie dclare"
2   "Autre non dclar"
3   "Dpassant dlai";
label values s05fq4 s05fq4;

label define ouinon
1   "Oui"
2   "Non";
label values s05fq5 ouinon;

label define s05fq6
1   "Gratuitement"
2   "Mdecin priv"
3   "Pays autre personne"
4   "Autres"
5   "Achets";
label values s05fq6 s05fq6;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s05fq4=99 if s05fq4==9
label def s05fq4 99 "Non declar", modify

sort  idt1 idt2 norder
merge  idt1 idt2 norder using sec01a
keep if _merge==3                   /* 6 obs. are dropped */
keep idt1-s05fq7

sort  idt1 idt2 norder
save sec05f,replace

*******************************************************************************
* Partie G (Analyses medicales et examens radiologiques)
*******************************************************************************
clear
infile using sec05g
qui compress

dups,drop                    /* drop 1 duplicate obs. */
cap drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 5, Partie G"

#delimit;
label define s05gq4
1   "Maladie dclare"
2   "Autre non dclar"
3   "Dpassant dlai";
label values s05gq4 s05gq4;

label define s05gq5
1   "Hpital public"
2   "Clinique mutualiste"
3   "Clinique labo. priv"
4   "Autres";
label values s05gq5 s05gq5;

label define ouinon
1   "Oui"
2   "Non";
label values s05gq6 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
* drop 1 obs. which does not exist in sec01a
drop if idt1==206 & idt2==30101 & norder==11

sort  idt1 idt2 norder
save sec05g,replace

*******************************************************************************
* Partie H (Hospitalization)
*******************************************************************************
clear
infile using sec05h
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 5, Partie H"

#delimit;
label define s05hq4
1   "Maladie dclare"
2   "Autre non dclar"
3   "Dpassant dlai";
label values s05hq4 s05hq4;

label define s05hq5
1   "Opration chirurg."
2   "Accouchement"
3   "Accident"
4   "Autres";
label values s05hq5 s05hq5;

label define s05hq6
1   "Hpital public"
2   "Clinique mutualiste"
3   "Clinique prive"
4   "Autres";
label values s05hq6 s05hq6;

label define ouinon
1   "Oui"
2   "Non";
label values s05hq8 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
sort  idt1 idt2 norder
merge  idt1 idt2 norder using sec01a
keep if _merge==3                   /* 3 obs. are dropped */
keep idt1-s05hq9

sort idt1 idt2 norder
save sec05h,replace

*******************************************************************************
* Partie I (Consultation du personnel paramedical)
*******************************************************************************
clear
infile using sec05i
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 5, Partie I"

#delimit;
label define s05iq4
1   "Maladie dclare"
2   "Autre non dclar"
3   "Dpassant dlai";
label values s05iq4 s05iq4;

label define s05iq5
1   "Paramdical public"
2   "Paramdical mutualiste"
3   "Paramdical priv"
4   "Autre paramdical"
5   "Org. non gouvernem.";
label values s05iq5 s05iq5;

label define s05iq6
1   "Disp./centre sant"
2   "Hpital public"
3   "Clinique mutu./assim."
4   "Clinique/cabinet priv"
5   "Autres  prciser";
label values s05iq6 s05iq6;

label define ouinon
1   "Oui"
2   "Non";
label values s05iq7 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
sort  idt1 idt2 norder
merge idt1 idt2 norder using sec01a
keep if _merge==3            /* 1 obs. is dropped */
keep idt1-s05iq8

sort idt1 idt2 norder
save sec05i,replace

*******************************************************************************
* Partie J (Consultation des guerisseurs traditionelles)
*******************************************************************************
clear
infile using sec05j
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 5, Partie J"

#delimit;
label define ouinon
1   "Oui"
2   "Non";
label values s05jq4 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
sort idt1 idt2 norder
merge idt1 idt2 norder using sec01a
keep if _merge==3            /* 2 obs. are dropped */
keep idt1-s05jq5

sort idt1 idt2 norder
save sec05j,replace

*******************************************************************************
* Partie K (Soins dentaires)
*******************************************************************************
clear
infile using sec05k
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 5, Partie K"

#delimit;
label define s05kq4
1   "Maladie dclare"
2   "Autre non dclar"
3   "Dpassant dlai";
label values s05kq4 s05kq4;

label define s05kq5
1   "Dentiste hp. public"
2   "Dentiste mutualiste"
3   "Dentiste priv"
4   "Mcanicien dentiste"
5   "Autres  prciser";
label values s05kq5 s05kq5;

label define ouinon
1   "Oui"
2   "Non";
label values s05kq6 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
sort idt1 idt2 norder
merge idt1 idt2 norder using sec01a
keep if _merge==3            /* 3 obs. are dropped */
keep idt1-s05kq7

replace   s05kq4=99 if s05kq4==9
label def s05kq4 99 "Non declar", modify

sort idt1 idt2 norder
save sec05k,replace

exit