*******************************************************************************
* MOROCCO LSMS 1998/99
* Date: 11 May 2001
* SECTION 6 (ACTIVITE)
*******************************************************************************

version 6.0

*******************************************************************************
* Partie A (Determination du type d'activite)
*******************************************************************************
clear
tempfile sec06as

infile using sec06as
sort idt1 idt2 norder
save `sec06as'

clear
infile using sec06a
qui compress

sort idt1 idt2 norder
merge idt1 idt2 norder using `sec06as'
drop _merge

* label values
label drop _all
label data "LSMS 1998/99 - Section 6, Partie A"

#delimit;
label define s06aq2
1   "Actif occup"
2   "Chmeur"
3   "Inactif";
label values s06aq2 s06aq2;

label define ouinon
1   "Oui"
2   "Non"
99  "Non declar";
label values s06aq3 ouinon;
label values s06aq4 ouinon;

label define s06aq5
0   "Absent affaire pers."
1   "Cong/vac./mal./matern."
2   "Cond. climat. dfav."
3   "Salari en formation"
4   "Attend affectation"
5   "Mauvaise cond. con."
6   "Conflit de travail"
7   "Arrt temp. travail"
8   "Autres";
label values s06aq5 s06aq5;

label define s06aq6
1   "Sans lien formel"
2   "Salari"
3   "Pour compte propre"
4   "Autre";
label values s06aq6 s06aq6;

label define s06aq8
1   "Oui,surement"
2   "Oui,probalement"
3   "Non";
label values s06aq8 s06aq8;

label values s06aq9  ouinon;
label values s06aq10 ouinon;
label values s06aq11 ouinon;
label values s06aq12 ouinon;
label values s06aq13 ouinon;

label define s06aq14
0   "Pas trouv"
1   "Dcourag"
2   "Attente rponse"
3   "Recherchera proch,"
4   "Travail  l-tr."
5   "Empch. involontaires"
6   "Ne veut pas travailler"
7   "Refus conj./membre fam."
8   "Autres cas";
label values s06aq14 s06aq14;

label values s06aq15 ouinon;
label values s06aq16 ouinon;

label define s06aq17
 1  "Actif occup"
 2  "Chmeur"
 3  "Femme au foyer"
 4  "Elve/tudiant"
 5  "Jeune enfant"
 6  "Personne ge"
 7  "Retrait"
 8  "Rentier"
 9  "Infirme,malade"
10  "Autres cas";
label values s06aq17 s06aq17;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s06aq2=99 if s06aq2==0
replace   s06aq2=99 if s06aq2==4
label def s06aq2 99 "Non declar", modify

replace   s06aq3=99 if s06aq3==3

replace   s06aq10=99 if s06aq10==3
replace   s06aq10=99 if s06aq10==4

replace   s06aq13=99 if s06aq13==0
replace   s06aq13=99 if s06aq13==6
replace   s06aq13=99 if s06aq13==8

replace   s06aq14=99 if s06aq14==9
label def s06aq14 99 "Non declar", modify

replace   s06aq15=99 if s06aq15==6
replace   s06aq15=99 if s06aq15==8

replace   s06aq16=99 if s06aq16==0
replace   s06aq16=99 if s06aq16==6

replace   s06aq17=99 if s06aq17==0
replace   s06aq17=99 if s06aq17==51
label def s06aq17 99 "Non declar", modify

sort  idt1 idt2 norder
save sec06a,replace

*******************************************************************************
* Partie B (Caracteristiques des inactifs)
*******************************************************************************
clear
infile using sec06b
qui compress

dups idt1 idt2 norder,drop                    /* drop 5 duplicate obs. */
cap drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 6, Partie B"

#delimit;
label define ouinon
1   "Oui"
2   "Non";
label values s06bq2 ouinon;

label define s06bq3
1   "Refus de l'poux"
2   "Educ. enf./trav. mn."
3   "Refus membre famille"
4   "Retraite"
5   "Vieillesse"
6   "Maladie longue dure"
7   "Licenc./cessation act."
8   "Poursuite tudes"
9   "Autres raisons";
label values s06bq3 s06bq3;

label values s06bq5 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s06bq2=99 if s06bq2==3
label def ouinon 99 "Non declar", modify

replace   s06bq3=9 if s06bq3==0

sort  idt1 idt2 norder
save sec06b,replace

*******************************************************************************
* Partie C (Caracteristiques des chomeurs)
*******************************************************************************
clear
infile using sec06c
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 6, Partie C"

#delimit;
label define ouinon
1   "Oui"
2   "Non";
label values s06cq2 ouinon;

label define s06cq4
1   "Fermeture entr./licenc."
2   "Cessation activ. indp."
3   "Cessation activ. saiso."
4   "Abandon trav. rmunr"
5   "Fin service civil"
6   "Fin tudes/diplme"
7   "Fin tudes/sans diplme"
8   "Atteinte ge de travail";
label values s06cq4 s06cq4;

label define s06cq5
1   "Contact pers. employeur"
2   "Famille/amis"
3   "Annonces/demande"
4   "Concours"
5   "Org. intermdiation"
6   "Mokef"
7   "Autres";
label values s06cq5 s06cq5;

label define s06cq6
 1  "N'importe quel secteur"
 2  "Administration publique"
 3  "Collectivit locale"
 4  "Services extrieur"
 5  "Promotion nationale"
 6  "Entreprise (semi)publique"
 7  "Entreprise prive"
 8  "Exploitation agricole"
 9  "Mnage"
10  "Autres";
label values s06cq6 s06cq6;

label define s06cq7
1   "N'importe quel trav."
2   "Salari"
3   "Propre compte";
label values s06cq7 s06cq7;

label define s06cq9
1   "N'importe quel lieu"
2   "Lieu de rsidence"
3   "Ville la plus proche"
4   "Autre ville"
5   "Autre douar"
6   "Etranger"
7   "Autre";
label values s06cq9 s06cq9;

label values s06cq10 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
mvdecode s06cq32, mv(99)
mvdecode s06cq8 , mv(999999)

replace   s06cq4=99 if s06cq4==9
label def s06cq4 99 "Non declar", modify

replace   s06cq5=99 if s06cq5==9
label def s06cq5 99 "Non declar", modify

replace   s06cq6=99 if s06cq6==0
replace   s06cq6=99 if s06cq6==32
label def s06cq6 99 "Non declar", modify

replace   s06cq7=99 if s06cq7==9
label def s06cq7 99 "Non declar", modify

replace   s06cq9=99 if s06cq9==9
label def s06cq9 99 "Non declar", modify

replace   s06cq10=99 if s06cq10==9
label def ouinon 99 "Non declar", modify

sort  idt1 idt2 norder
save sec06c,replace

*******************************************************************************
* Partie D (Caracteristiques professionelles et economiques de l'ensemble
*           des actifs)
*******************************************************************************
clear
infile using sec06d
qui compress

dups idt1 idt2 norder,drop                    /* drop 2 duplicate obs.  */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 6, Partie D"

#delimit;
label define s06dq4
0   "Jamais travaill"
1   "Salari"
2   "Indpendant"
3   "Employeur"
4   "Travail  domicile"
5   "Aide familiale"
6   "Apprenti"
7   "Associ/membre coop."
8   "Autres";
label values s06dq4 s06dq4;

label define ouinon
1   "Oui"
2   "Non";
label values s06dq5 ouinon;

label define s06dq6
 1  "Ministre ..."
 2  "Officier ..."
 3  "Directeur ..."
 4  "Ambassadeur ..."
 5  "Wali, gouverneur"
 6  "Super-caid ..."
 7  "Direct rgion ..."
 8  "Doyen, recteur ..."
 9  "Proviseur ..."
10  "Mdecin_chef ..."
11  "Dput, parlementaire ..."
12  "Dirigeant et cadre ..."
13  "Directeur d'E. publique ..."
14  "Directeur d'E. prive ...";
label values s06dq6 s06dq6;
label def    s06dq6 99 "Non declar", modify;

label define s06dq7
 1  "Jamais travaill"
 2  "Admin. pub. centrale"
 3  "Collectivit locale"
 4  "Services extrieur"
 5  "Promotion nationale"
 6  "Entrepr.(semi)publique"
 7  "Entrepr.prive non agric."
 8  "Exploitation agricole"
 9  "Mnage"
10  "Autres secteurs";
label values s06dq7 s06dq7;

label values s06dq8 ouinon;
label values s06dq9 ouinon;

ren extra1 prof10;
label define prof10
0 "Responsables/Directeurs/Cadres"
1 "Cadres suprieurs/profess. librales"
2 "Cadres moyens"
3 "Employs librales"
4 "Commercants/intermd. finanaciers"
5 "Exploitant agricoles/Pecheurs"
6 "Artisans/ouvr. qualifies non-agric."
7 "Ouvriers agric./peche"
8 "Installateurs/ouvr. assemblage"
9 "Manoeuvres non agric./petit mtiers";
label values prof10 prof10;

ren extra2 bran17;
label define bran17
 0 "Agriculture/foret/pech"
 1 "Industrie"
 2 "B.T.P"
 3 "Commerce"
 4 "Transp./Commun"
 5 "Admin. general"
 6 "Service Soci."
 7 "Autres services"
 8 "Corps Exter."
 9 "Chomeur"
10 "Femme au foyeur"
11 "Eleve/Etudiant"
12 "Jeune enfant"
13 "Vielliard"
14 "Retraite"
15 "Rentiers"
16 "Infirme/malade"
17 "Autre inactifs";
label values bran17 bran17;

ren extra3 bran11;
label define bran11
 0 "Agriculture/foret/pech"
 1 "Industrie/B.T.P"
 2 "Commerce/Transp./Commun./Admin."
 3 "Service Soci."
 4 "Autres services"
 5 "Corps Exter."
 6 "Chomeur"
 7 "Femme au foyeur/Eleve/Etudiant"
 8 "Jeune enfant"
 9 "Vielliard/Retraite/Rentiers"
10 "Infirme/malade"
11 "Autre inactifs";
label values bran11 bran11;

#delimit cr

note s06dq2: value labels are MISSING. Use prof10 created by the MSO.
note s06dq3: value labels are MISSING. Use bran17 (bran11), created by the MSO.
note prof10: variable created by the MSO. Label values should be checked.
note bran11: variable created by the MSO.
note bran17: variable created by the MSO.
#delimit cr

*** Missing values, out-of-range et sim.
replace   s06dq4=99 if s06dq4==9
label def s06dq4 99 "Non declar", modify

replace   s06dq5=99 if s06dq5==9
label def ouinon 99 "Non declar", modify

replace   s06dq7=99 if s06dq7==0
label def s06dq7 99 "Non declar", modify

replace   s06dq8=99 if s06dq8==0
replace   s06dq8=99 if s06dq8==7
replace   s06dq8=99 if s06dq8==8
replace   s06dq8=99 if s06dq8==9

replace   s06dq9=99 if s06dq9==0
replace   s06dq9=99 if s06dq9==9

sort idt1 idt2 norder
save sec06d,replace

*******************************************************************************
* Partie E (Travail au cours des 12 derniers mois)
*******************************************************************************
clear
infile using sec06e
qui compress

dups idt1 idt2 norder,drop                    /* drop 14 duplicate observations */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 6, Partie E"

#delimit;
label define s06eq2
1   "Mme emploi"
2   "Emploi diffrent"
3   "Chmeur dj trav."
4   "Inactif dj trav."
5   "Non";
label values s06eq2 s06eq2;

label define s06eq5
1   "Salari"
2   "Indpendant"
3   "Employeur"
4   "Travail  domicile"
5   "Aide familiale"
6   "Apprenti"
7   "Associ/mbre coop."
8   "Autres";
label values s06eq5 s06eq5;

label define ouinon
1   "Oui"
2   "Non";
label values s06eq8 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s06eq2=99 if s06eq2==9
label def s06eq2 99 "Non declar", modify

note s06eq3: value labels are MISSING. Cfr. NOMENCLATURE ANALYTIQUE DES PROFESSIONS, Royaume du Maroc, Direction de la Statistique, Mars 1999.
note s06eq4: value labels are MISSING. Cfr. NOMENCLATURE ANALYTIQUE DES ACTIVITES ECONOMIQUES, Royaume du Maroc, Direction de la Statistique, Mars 1999.

mvdecode s06eq61, mv(99)
mvdecode s06eq62, mv(99)
mvdecode s06eq7,  mv(98)

replace   s06eq8=99 if s06eq8==6
replace   s06eq8=99 if s06eq8==8
replace   s06eq8=99 if s06eq8==9
label def ouinon 99 "Non declar", modify

sort idt1 idt2 norder
save sec06e,replace

*******************************************************************************
* Partie F (Revenus salariaux)
*******************************************************************************
clear
tempfile sec06fs

infile using sec06fs
qui compress
dups idt1 idt2 norder,drop                    /* drop 4 duplicate obs. */
cap drop _expand
sort idt1 idt2 norder
save `sec06fs'

clear
infile using sec06f
qui compress

sort idt1 idt2 norder
merge idt1 idt2 norder using `sec06fs'
drop _merge
dups idt1 idt2 norder,drop                    /* drop 16 duplicate obs. */
cap drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 6, Partie F"

#delimit;
label define ouinon
1   "Oui"
2   "Non";
label values s06fq4 ouinon;

label define unitemp
1   "Jour"
2   "Semaine"
3   "Quinzaine"
4   "Mois"
5   "Deux mois"
6   "Trimestre"
7   "Semestre"
8   "Anne";
label values s06fq22 unitemp;

label values s06fq52 unitemp;
label values s06fq6 ouinon;

label values s06fq82  unitemp;
label values s06fq84  unitemp;
label values s06fq86  unitemp;
label values s06fq88  unitemp;
label values s06fq810 unitemp;

label values s06fq9 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s06fq22=99 if s06fq22==0
label def unitemp 99 "Non declar", modify

replace   s06fq4=99 if s06fq4==0
replace   s06fq4=99 if s06fq4==3
replace   s06fq4=99 if s06fq4==9
label def ouinon 99 "Non declar", modify

replace   s06fq52=99 if s06fq52==0

replace   s06fq6=99 if s06fq6==0
replace   s06fq6=99 if s06fq6==5
replace   s06fq6=99 if s06fq6==6
replace   s06fq6=99 if s06fq6==7
replace   s06fq6=99 if s06fq6==8
label def s06fq6 99 "Non declar", modify

replace   s06fq82=99 if s06fq82==0
replace   s06fq82=99 if s06fq82==9

replace   s06fq84 =99  if s06fq84==0
replace   s06fq84 =99  if s06fq84==9
replace   s06fq86 =99  if s06fq86==0
replace   s06fq86 =99  if s06fq86==9
replace   s06fq88 =99  if s06fq88==0
replace   s06fq88 =99  if s06fq88==9
replace   s06fq810=99  if s06fq810==0
replace   s06fq810=99  if s06fq810==9

mvdecode s06fq11 s06fq12, mv(999999)

drop if norder==.

sort idt1 idt2 norder
save sec06f,replace

exit