*******************************************************************************
* MOROCCO LSMS 1998/99
* Date: 11 May 2001
* SECTION 10 (FECONDITE)
*******************************************************************************

version 6.0

*******************************************************************************
* Partie A (Fecondite)
*******************************************************************************
clear
infile using sec10a
qui compress

drop extra1 extra2 extra3    /* variables not in the questionnaire */

* label values
label drop _all
label data "LSMS 1998/99 - Section 10, Partie A"

#delimit;
label define ouinon
1   "Oui"
2   "Non";
label values s10aq2 ouinon;
label values s10aq4 ouinon;
label values s10aq5 ouinon;

label define s10aq6
 1  "Grossesse"
 2  "Allaitement"
 3  "Contre limitation"
 4  "Refus du mari"
 5  "Effets secondaire"
 6  "Problme de sant"
 7  "Problme de cout"
 8  "Difficult procurer"
 9  "Utilisation pas commode"
10  "Problme d'information"
11  "Ne peut avoir enfants"
12  "Dsire avoir enfants"
13  "Autres raisons";
label values s10aq6 s10aq6;

label define s10aq7
 1  "Pilule"
 2  "D.I.U. (strilet)"
 3  "Injections"
 4  "Diaphragme"
 5  "Cordon"
 6  "Strilisation fm."
 7  "Strilisation masc."
 8  "Rythme"
 9  "Retrait"
10  "Autres";
label values s10aq7 s10aq7;

label values s10aq8 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s10aq5=99 if s10aq5==9
label def ouinon 99 "Non declar", modify

sort idt1 idt2 norder
save sec10a,replace

*******************************************************************************
* Partie B (Sante de la mere et de l'enfant)
*******************************************************************************
clear
infile using sec10b
qui compress

dups,drop                    /* drop 6 duplicate obs. */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 10, Partie B"

#delimit;
label define ouinon
1   "Oui"
2   "Non";
label values s10bq4 ouinon;

label define s10bq7
1   "Masculin"
2   "Fminin";
label values s10bq7 s10bq7;

label define s10bq8
1   "Oui, mdecin"
2   "Oui, infirmire"
3   "Oui, sage femme"
4   "Non";
label values s10bq8 s10bq8;

label define s10bq9
1   "A domicile"
2   "Hpital public"
3   "Clinique prive"
4   "Etabl. soins sanitaires"
5   "Autre";
label values s10bq9 s10bq9;

label define s10bq10
1   "Aucune personne"
2   "Mdecin"
3   "Sage-femme"
4   "Infirmire"
5   "Accoucheuse forme"
6   "Accoucheuse tradit."
7   "Personne proche"
8   "Autre";
label values s10bq10 s10bq10;
#delimit cr

sort idt1 idt2 norder
save sec10b,replace

*******************************************************************************
* Partie C (Nutrition des enfantes de moins de 24 mois)
*******************************************************************************
clear
infile using sec10c
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 10, Partie C"

#delimit;
label define s10cq5
1   "Oui, se nourrit au sein"
2   "Oui, il a t sevr"
3   "Non, jamais nourri au sein";
label values s10cq5 s10cq5;

label define ouinon
1   "Oui"
2   "Non";
label values s10cq6 ouinon;

label define s10cq8
1   "Progressivement"
2   "Brutalement";
label values s10cq8 s10cq8;

label define s10cq9
 1  "Enfant devenu grand"
 2  "Enfant malade"
 3  "Refuse de tter"
 4  "Mre malade"
 5  "N'a pas de lait"
 6  "Maladie des sein"
 7  "Rester bonne sant"
 8  "Mre enceinte"
 9  "Lait artificiel"
10  "Mre travaille"
11  "Autres";
label values s10cq9 s10cq9;
#delimit cr

sort idt1 idt2 norder
save sec10c,replace

exit