*******************************************************************************
* MOROCCO LSMS 1998/99
* Date: 11 May 2001
* SECTION 12 (TRANSFERTS)
*******************************************************************************

version 6.0

*******************************************************************************
* Partie A (Transferts recus en espece)
*******************************************************************************
clear
infile using sec12a
qui compress

dups,drop                    /* drop 1 duplicate obs. */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 12, Partie A"

#delimit;
label define s12aq3
0   "Evnem. exceptionnel"
1   "Fettra/Zakat"
2   "Aide espce/mandat"
3   "Pension, retraite"
4   "Allocation familiale"
5   "Mendicit"
6   "Rev. salar. except."
7   "Assurance accident"
8   "Autres";
label values s12aq3 s12aq3;

label define s12aq4
1   "Mnage au maroc"
2   "Mnage  l'tranger"
3   "Pers. rsid. tabl."
4   "Administration pub."
5   "Administration prive"
6   "Administration trang."
7   "Autres";
label values s12aq4 s12aq4;

label define s12aq5
1   "Mari/pouse"
2   "Fils/fille"
3   "Pre/re"
4   "Pers. avec lien"
5   "Pers. sans lien"
6   "Autres";
label values s12aq5 s12aq5;

label define s12aq6
1   "Urbain"
2   "Rural"
3   "Etranger";
label values s12aq6 s12aq6;

label define s12aq7
1   "Rgulier"
2   "Occasionnel";
label values s12aq7 s12aq7;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s12aq5=99 if s12aq5==9
label def s12aq5 99 "Non declar", modify

replace   s12aq6=99 if s12aq6==4
replace   s12aq6=99 if s12aq6==5
label def s12aq6 99 "Non declar", modify

sort idt1 idt2 norder
save sec12a,replace

*******************************************************************************
* Partie B (Transferts recus en nature)
*******************************************************************************
clear
infile using sec12b
qui compress

dups,drop                    /* drop 1 duplicate obs. */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 12, Partie B"

#delimit;
label define s12bq3
1   "Evnement exceptionel"
2   "Fettra/Achour"
3   "Aliments"
4   "Habillement"
5   "Mobiliers"
6   "Biens durables"
7   "Autres";
label values s12bq3 s12bq3;

label define s12bq4
1   "Mnage au maroc"
2   "Mnage  l'tranger"
3   "Pers. rsid. tabl."
4   "Administration"
5   "Institution"
6   "Autres";
label values s12bq4 s12bq4;

label define s12bq5
1   "Urbain"
2   "Rural"
3   "Etranger";
label values s12bq5 s12bq5;

label define s12bq6
1   "Mari/pouse"
2   "Fils/fille"
3   "Pre/re"
4   "Pers. avec lien"
5   "Pers. sans lien"
6   "Autres";
label values s12bq6 s12bq6;

label define s12bq7
1   "Rgulier"
2   "Occasionnel";
label values s12bq7 s12bq7;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s12bq3=99 if s12bq3==8
replace   s12bq3=99 if s12bq3==9
label def s12bq3 99 "Non declar", modify

replace   s12bq4=99 if s12bq4==9
label def s12bq4 99 "Non declar", modify
replace   s12bq5=99 if s12bq5==4
replace   s12bq5=99 if s12bq5==9
label def s12bq5 99 "Non declar", modify

replace   s12bq6=99 if s12bq6==9
label def s12bq6 99 "Non declar", modify

drop if norder==. | norder==0
drop if idt1==140 & idt2==102507 & norder==4
drop if idt1==140 & idt2==103105 & norder==4
drop if idt1==257 & idt2==151911 & norder==7

sort idt1 idt2 norder
save sec12b,replace

*******************************************************************************
* Partie C (Transferts verses en espece)
*******************************************************************************
clear
infile using sec12c
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 12, Partie C"

#delimit;
label define s12cq3
1   "Evnement exceptionel"
2   "Fettra/Achour"
3   "Aides en espces"
4   "Autres";
label values s12cq3 s12cq3;

label define s12cq4
1   "Mnage au maroc"
2   "Mnage  l'tranger"
3   "Pers. rsid. tabl."
4   "Administration"
5   "Autres";
label values s12cq4 s12cq4;

label define s12cq5
1   "Urbain"
2   "Rural"
3   "Etranger";
label values s12cq5 s12cq5;

label define s12cq6
1   "Mari/pouse"
2   "Fils/fille"
3   "Pre/re"
4   "Pers. avec lien"
5   "Pers. sans lien"
6   "Autres";
label values s12cq6 s12cq6;

label define s12cq7
1   "Rgulier"
2   "Occasionnel";
label values s12cq7 s12cq7;
#delimit cr

*** Missing values, out-of-range et sim.
drop if idt1==128 & idt2==61909 & norder==9

sort idt1 idt2 norder
save sec12c,replace

*******************************************************************************
* Partie D (Transferts verses en nature)
*******************************************************************************
clear
infile using sec12d
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 12, Partie D"

#delimit;
label define s12dq3
1   "Evnement exceptionel"
2   "Fettra/Achour"
3   "Aliments"
4   "Habillement"
5   "Mobiliers"
6   "Biens durables"
7   "Autres";
label values s12dq3 s12dq3;

label define s12dq4
1   "Mnage au maroc"
2   "Mnage  l'tranger"
3   "Pers. rsid. tabl."
4   "Administration"
5   "Autres";
label values s12dq4 s12dq4;

label define s12dq5
1   "Urbain"
2   "Rural"
3   "Etranger";
label values s12dq5 s12dq5;

label define s12dq6
1   "Mari/pouse"
2   "Fils/fille"
3   "Pre/re"
4   "Pers. avec lien"
5   "Pers. sans lien"
6   "Autres";
label values s12dq6 s12dq6;
#delimit cr

*** Missing values, out-of-range et sim.
drop if idt1==225 & idt2==110501 & norder==9

sort idt1 idt2 norder
save sec12d,replace

exit