*******************************************************************************
* MOROCCO LSMS 1998/99
* Date: 11 May 2001
* SECTION 13 (EMPLOI INDEPENDENT NON AGRICOLE)
*******************************************************************************

version 6.0

*******************************************************************************
* Partie A (Identification des entreprises non constitutees en societe)
*******************************************************************************
clear
infile using sec13a
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 13, Partie A"

#delimit;
label define s13aq5
1   "Socit anonyme"
2   "Nom collectif"
3   "Commanditaire simple"
4   "Commandit par action"
5   "Socit  resp. limite"
6   "Socit participative"
7   "Socit individuelle";
label values s13aq5 s13aq5;

label define ouinon
 1   "Oui"
 2   "Non";
label values s13aq7 ouinon;
label values s13aq8 ouinon;

label define s13aq11
1   "A domicile"
2   "Local fixe"
3   "Ambulante dans la rue"
4   "Poste fixe dans la rue"
5   "Sans objet";
label values s13aq11 s13aq11;
#delimit cr

*** Missing values, out-of-range et sim.
* drop obs. that are not contained in sec01a
drop if norder==. | norder==0 | norder==32 | norder==61 | norder==99     /* 52 obs. */
drop if idt1==124 & idt2==121506 & norder==1
drop if idt1==225 & idt2==112206 & norder==1

note s13aq4: value labels are MISSING.

replace   s13aq5=99 if s13aq5==0
replace   s13aq5=99 if s13aq5==9
label def s13aq5 99 "Non declar", modify

replace   s13aq7=99 if s13aq7==9
label def ouinon 99 "Non declar", modify

replace   s13aq8=99 if s13aq8==9

replace   s13aq11=99 if s13aq11==9
label def s13aq11 99 "Non declar", modify

rename s13aq2 nentrep

sort idt1 idt2 nentrep
save sec13a,replace

*******************************************************************************
* Partie B (Depenses des entreprises)
*******************************************************************************
clear
infile using sec13b
qui compress

dups,drop                               /* 40 duplicate obs. */
drop _expand

dups idt1 idt2 s13bq11 s13bq12,drop     /*  5 duplicate obs. */
drop _expand

drop if s13bq11==.                      /* 35 duplicate obs. */
sort idt1 idt2
save sec13b,replace

use sec01a, clear
keep if norder==1
merge  idt1 idt2 using sec13b
keep if _merge==3
drop _merge
keep idt1 idt2 s13bq11-s13bq4
rename  s13bq11 nentrep

* label values
label drop _all
label data "LSMS 1998/99 - Section 13, Partie B"

#delimit;
label define s13bq12
 1  "Salaires"
 2  "Charges sociales"
 3  "Electricit"
 4  "Eau"
 5  "Tl., tlex, fax"
 6  "Impts et taxes"
 7  "Frais d'assurance"
 8  "Intrts bancaire"
 9  "Frais de dossier"
10  "Location d'immeuble"
11  "Location de terrain"
12  "Location machine"
13  "Entretien"
14  "Transport"
15  "Combustibles"
16  "Biens finis"
17  "Matires premires";
label values s13bq12 s13bq12;

label define ouinon
 1   "Oui"
 2   "Non";
label values s13bq2 ouinon;

label define unitemp
 1   "Jour"
 2   "Semaine"
 3   "Quinzaine"
 4   "Mois"
 5   "Deux mois"
 6   "Trimestre"
 7   "Semestre"
 8   "Anne"
99   "Non declar";
label values s13bq33 unitemp;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s13bq12=99 if s13bq12==42
replace   s13bq12=99 if s13bq12==52
replace   s13bq12=99 if s13bq12==9
label def s13bq12 99 "Non declar", modify

replace   s13bq2=99 if s13bq2==0
replace   s13bq2=99 if s13bq2==3
replace   s13bq2=99 if s13bq2==6
replace   s13bq2=99 if s13bq2==8
replace   s13bq2=99 if s13bq2==9
label def ouinon 99 "Non declar", modify

mvdecode s13bq31 s13bq32, mv(99)

replace   s13bq33=99 if s13bq33==9

dups idt1 idt2 nentrep s13bq12,drop     /* 2 duplicate obs. */
drop _expand

sort idt1 idt2 nentrep
save sec13b,replace

*******************************************************************************
* Partie C (Recettes des entreprises)
*******************************************************************************
clear
infile using sec13c
qui compress

dups,drop                    /* 2 duplicate obs. */
drop _expand

sort idt1 idt2
save sec13c,replace

use sec01a, clear
keep if norder==1
merge  idt1 idt2 using sec13c
keep if _merge==3
keep idt1 idt2 s13cq1-s13cq122
rename s13cq1 nentrep

* label values
label drop _all
label data "LSMS 1998/99 - Section 13, Partie C"

#delimit;
label define ouinon
 1   "Oui"
 2   "Non";
label values s13cq2 ouinon;
label values s13cq5 ouinon;

label define unitemp
 1   "Jour"
 2   "Semaine"
 3   "Quinzaine"
 4   "Mois"
 5   "Deux mois"
 6   "Trimestre"
 7   "Semestre"
 8   "Anne"
99   "Non declar";
label values s13cq72 unitemp;
label values s13cq74 unitemp;
label values s13cq82 unitemp;

label values s13cq9 ouinon;

label values s13cq102 unitemp;

label values s13cq11 ouinon;

label values s13cq122 unitemp;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s13cq2=99 if s13cq2==9
label def ouinon 99 "Non declar", modify

mvdecode s13cq3, mv(99)

replace   s13cq5=99 if s13cq5==9

replace   s13cq72=99 if s13cq72==9
label def unitemp 99 "Non declar", modify

replace   s13cq74=99 if s13cq74==9

replace   s13cq82=99 if s13cq82==0
replace   s13cq82=99 if s13cq82==9

replace   s13cq9=99 if s13cq9==9

replace   s13cq102=99 if s13cq102==0
replace   s13cq102=99 if s13cq102==9

replace   s13cq11=99 if s13cq11==9

replace   s13cq122=99 if s13cq122==9

mvdecode s13cq81 s13cq101 s13cq121, mv(999999)

drop if nentrep==.

sort idt1 idt2 nentrep
save sec13c,replace

*******************************************************************************
* Partie D (Conditions d'emploi des salaires)
*******************************************************************************
clear
infile using sec13d
qui compress

dups,drop                    /* drop 1 duplicate obs. */
drop _expand

sort idt1 idt2
save sec13d,replace

use sec01a, clear
keep if norder==1
merge  idt1 idt2 using sec13d
keep if _merge==3
keep idt1 idt2 s13dq1-s13dq7
rename s13dq1 nentrep

* label values
label drop _all
label data "LSMS 1998/99 - Section 13, Partie D"

#delimit;
label define ouinon
1   "Oui"
2   "Non"
99  "Non declar";
label values s13dq4 ouinon;
label values s13dq5 ouinon;
label values s13dq6 ouinon;
label values s13dq7 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
drop if nentrep==.

replace   s13dq4=99 if s13dq4==9
replace   s13dq5=99 if s13dq5==9
replace   s13dq6=99 if s13dq6==9
replace   s13dq7=99 if s13dq7==9

mvdecode s13dq2 s13dq3, mv(99)

sort idt1 idt2 nentrep
save sec13d,replace

*******************************************************************************
* Partie E (Acquisitions au cours des 12 derniers mois)
*******************************************************************************
clear
infile using sec13e
qui compress

dups idt1 idt2 s13eq1 s13eq11,drop      /* 13 duplicate obs. */
drop _expand

sort idt1 idt2
save sec13e,replace

use sec01a, clear
keep if norder==1
merge  idt1 idt2 using sec13e
keep if _merge==3
ren s13eq1 nentrep
keep idt1 idt2 nentrep-s13eq3

* label values
label drop _all
label data "LSMS 1998/99 - Section 13, Partie E"

#delimit;
label define s13eq11
1   "Immeubles/locaux"
2   "Terrains"
3   "Fonds de commerce"
4   "Vhicules"
5   "Equip./outils/machines"
6   "Autres acquisititions";
label values s13eq11 s13eq11;

label define ouinon
1   "Oui"
2   "Non";
label values s13eq2 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s13eq11=99 if s13eq11==9
label def s13eq11 99 "Non declar", modify

replace   s13eq2=99 if s13eq2==0
replace   s13eq2=99 if s13eq2==3
replace   s13eq2=99 if s13eq2==6
replace   s13eq2=99 if s13eq2==9
label def ouinon 99 "Non declar", modify

sort idt1 idt2 nentrep
save sec13e,replace

exit