*******************************************************************************
* MOROCCO LSMS 1998/99
* Date: 11 May 2001
* SECTION 14 (AGRICULTURE)
*******************************************************************************

version 6.0

*******************************************************************************
* Partie A (Renseignements sur les parcelles)
*******************************************************************************
clear
infile using sec14a
qui compress

dups idt1 idt2 s14aq0,drop    /* 30 duplicate obs. */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie A"

#delimit;
label define s14aq4
0      "Non concern"
1      "Barrage"
2      "Seguia/Oued"
3      "Pompage"
4      "Autre";
label values s14aq4 s14aq4;

label define s14aq5
1      "Melk"
2      "Collectif"
3      "Habous"
4      "Domaine"
5      "Ghich"
6      "Loue";
label values s14aq5 s14aq5;

label define s14aq6
1      "Mnage lui mme"
2      "Mnage propritaire"
3      "Parcelle laisse"
4      "Donne mtayage"
5      "Loue  d'autres"
6      "Autres";
label values s14aq6 s14aq6;

label define s14aq8
1      "Loue"
2      "Cultive en mtayage"
3      "Autres";
label values s14aq8 s14aq8;

label define s14aq9
1      "Urbain"
2      "Rural"
3      "Etranger";
label values s14aq9 s14aq9;

label define s14aq11
1      "Cultive uniquement"
2      "Arbres et cultive"
3      "Arbres uniquement"
4      "Elevage"
5      "Variable"
6      "Autres";
label values s14aq11 s14aq11;
#delimit cr

*** Missing values, out-of-range et sim.
ren s14aq0 nparcel

replace   s14aq5=99 if s14aq5==9
label def s14aq5 99 "Non declar", modify

replace   s14aq6=99 if s14aq6==9
label def s14aq6 99 "Non declar", modify

sort idt1 idt2 nparcel
save sec14a,replace

*******************************************************************************
* Partie B (Cultures)
*******************************************************************************
clear
infile using sec14b
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie B"

#delimit;
label define ouinon
1   "Oui"
2   "Non";
label values s14bq12 ouinon;

label define s14bq1
 1  "Bl dur"
 2  "Bl tendre"
 3  "Orge"
 4  "Alpiste"
 5  "Avoine"
 6  "Autre cereal d'hiver"
11  "Mas"
12  "Sorgho"
13  "Riz"
14  "Mil"
15  "Sorgho  balais"
16  "Autre cereal de printemps"
20  "Fves"
21  "Pois-chiches"
22  "Petits pois"
23  "Lentilles"
24  "Orobes"
25  "Funegrec"
26  "Haricots secs"
27  "Autre legum."
30  "Betteraves"
31  "Coton"
32  "Tabac"
33  "Autre cult. industr."
40  "Tournesol"
41  "Lin"
42  "Arachide"
43  "Carthame"
44  "Autre cult oleagin."
50  "Tomate"
51  "Pomme de terre"
52  "Patate douce"
53  "Oignons"
54  "Melons"
55  "Pastques"
56  "Carottes"
57  "Courges et gourgettes"
58  "Fves vertes"
59  "Petits-pois verts"
60  "Haricots verts"
61  "Artichauts"
62  "Piment"
63  "Menthe"
64  "Autre cult. maraichere"
70  "Henn"
80  "Plantes mdicinales"
90  "Autres  prciser";
label values s14bq1 s14bq1;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14bq1=90 if s14bq1==0
replace   s14bq1=90 if s14bq1==7
replace   s14bq1=90 if s14bq1==8
replace   s14bq1=90 if s14bq1==9

replace   s14bq12=99 if s14bq12==0
label def ouinon 99 "Non declar", modify

sort idt1 idt2
save sec14b,replace

*******************************************************************************
* Partie C (Plantations)
*******************************************************************************
clear
infile using sec14c
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie C"

#delimit;
label define s14cq1
 1  "Abricotiers"
 2  "Agrumes"
 3  "Amandiers"
 4  "Cactus"
 5  "Cerisiers"
 6  "Eucalyptus"
 7  "Figuiers"
 8  "Grenadiers"
 9  "Noyers"
10  "Oliviers"
11  "Palmiers, dattiers"
12  "Pchiers"
13  "Poiriers"
14  "Pommiers"
15  "Pruniers"
16  "Vignes"
17  "Autres arbres fruitiers"
18  "Plantation forestire"
19  "Autres arbres";
label values s14cq1 s14cq1;

label define s14cq2
1   "moins de 50"
2   "  50   100"
3   " 100   200"
4   " 200   300"
5   " 300   400"
6   " 400   500"
7   " 500 et  + ";
label values s14cq2 s14cq2;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14cq1=19 if s14cq1==0
replace   s14cq1=19 if s14cq1==33

replace   s14cq2=99 if s14cq2==0
label def s14cq2 99 "Non declar", modify

sort idt1 idt2
save sec14c,replace

*******************************************************************************
* Partie D (Le moyens de production agricule)
* Partie D1 (Amenagements fonciers et hydro-agricoles)
*******************************************************************************
clear
infile using sec14d1
qui compress

dups,drop                    /* 1 duplicate obs. */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie D1"

#delimit;
label define s14d1q1
 1  "Dfrichement"
 2  "Sous-solage"
 3  "Epierrage"
 4  "Dfoncement"
 5  "Correction ravin"
 6  "Nivellement"
 7  "Assainissement"
 8  "Drainage"
 9  "Creusement"
10  "Equip. lectrification"
11  "Captage de source"
12  "Drivation d'eau"
13  "Adduction distribution"
14  "Irrigation par aspersion"
15  "Irrigation localise"
16  "Autres frais";
label values s14d1q1 s14d1q1;

label define ouinon
1   "oui"
2   "non";
label values s14d1q2 ouinon;
label values s14d1q3 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14d1q2=99 if s14d1q2==3
replace   s14d1q2=99 if s14d1q2==6
label def ouinon 99 "Non declar", modify

replace   s14d1q3=99 if s14d1q3==6

sort idt1 idt2
save sec14d1,replace

*******************************************************************************
* Partie D2 (Autres intrants agricole)
*******************************************************************************
clear
infile using sec14d2
qui compress

dups,drop                    /* 1 duplicate obs. */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie D2"

#delimit;
label define s14d2q1
 1  "Engrais chimiques"
 2  "Insecticides"
 3  "Fumure organique"
 4  "Semences/plantes"
 5  "Location tracteur"
 6  "Location moissonneuse"
 7  "Sacs, ficelles"
 8  "Transport cultures"
 9  "Stockage culture"
10  "Gasoil/huile"
11  "Entretien"
12  "Autres intrants";
label values s14d2q1 s14d2q1;

label define s14d2q3
1   "Priv"
2   "Cooprative"
3   "SCAM/CMA/CT"
4   "Autre";
label values s14d2q3 s14d2q3;

label define s14d2q4
1   "Oui, totalement"
2   "Oui, partiellement"
3   "Non";
label values s14d2q4 s14d2q4;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14d2q3=99 if s14d2q3==0
label def s14d2q3 99 "Non declar", modify

replace   s14d2q4=99 if s14d2q4==0
replace   s14d2q4=99 if s14d2q4==4
label def s14d2q4 99 "Non declar", modify

sort idt1 idt2
save sec14d2,replace

*******************************************************************************
* Partie D3 (Emploi agricole)
*******************************************************************************
clear
infile using sec14d3
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie D3"

#delimit;
label define ouinon
1   "oui"
2   "non";
label values s14d3q1 ouinon;
label values s14d3q3 ouinon;

label define unitemp
1   "Jour"
2   "Semaine"
3   "Quinzaine"
4   "Mois"
5   "Deux mois"
6   "Trimestre"
7   "Semestre"
8   "Anne";
label values s14d3432 unitemp;

label values s14d3q7 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14d3q1=99 if s14d3q1==3
label def ouinon 99 "Non declar", modify

replace   s14d3q3=99 if s14d3q3==6
replace   s14d3q3=99 if s14d3q3==7

mvdecode s14d3q41, mv(99)
mvdecode s14d3q62, mv(9999)

replace   s14d3q7=99 if s14d3q7==0

sort idt1 idt2
save sec14d3,replace

*******************************************************************************
* Partie E (Le produits derives des cultures et plantations)
*******************************************************************************
clear
infile using sec14e
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie E"

#delimit;
label define s14eq1
1   "Couscous"
2   "Farine bl tendre"
3   "Farine bl dur"
4   "Farine d-orge"
5   "Autres farines"
6   "Huile olive/argane"
7   "Fruit/lgume sec"
8   "Autres drivs";
label values s14eq1 s14eq1;

label define unitemp
1   "Jour"
2   "Semaine"
3   "Quinzaine"
4   "Mois"
5   "Deux mois"
6   "Trimestre"
7   "Semestre"
8   "Anne";
label values s14eq32 unitemp;

label define ouinon
1   "oui"
2   "non";
label values s14eq5 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14eq5=99 if s14eq5==0
label def ouinon 99 "Non declar", modify

sort idt1 idt2
save sec14e,replace

*******************************************************************************
* Partie F  (Betail)
* Partie F1 (Betail eleve par le menage)
*******************************************************************************
clear
infile using sec14f1
qui compress

dups,drop                    /* 22 obs. */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie F1"

#delimit;
label define s14f1q1
 1  "Boeufs/vaches"
 2  "Moutons"
 3  "Chvres/cabris"
 4  "Chameaux"
 5  "Chevaux"
 6  "Mulets"
 7  "Anes"
 8  "Poulets/canards"
 9  "Autres volailles"
10  "Autres animaux";
label values s14f1q1 s14f1q1;

label define s14f1q2
1   "Oui, totalement"
2   "Oui, partiellement"
3   "Non";
label values s14f1q2 s14f1q2;

label define ouinon
1   "oui"
2   "non";
label values s14f1q4 ouinon;

label define s14f1q7
1   "Urbain"
2   "Rural"
3   "Etranger"
4   "Associs milieux";
label values s14f1q7 s14f1q7;

label define s14f1q8
1   "Oui, totalement"
2   "Oui, partiellement"
3   "Non";
label values s14f1q8 s14f1q8;

label values s14f1q9 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14f1q1=99 if s14f1q1==14
replace   s14f1q1=99 if s14f1q1==35
label def s14f1q1 99 "Non declar", modify

replace   s14f1q2=99 if s14f1q2==4
replace   s14f1q2=99 if s14f1q2==5
replace   s14f1q2=99 if s14f1q2==6
replace   s14f1q2=99 if s14f1q2==7
replace   s14f1q2=99 if s14f1q2==8
replace   s14f1q2=99 if s14f1q2==9
label def s14f1q2 99 "Non declar", modify

replace   s14f1q4=99 if s14f1q4==3
replace   s14f1q4=99 if s14f1q4==4
replace   s14f1q4=99 if s14f1q4==5
replace   s14f1q4=99 if s14f1q4==6
replace   s14f1q4=99 if s14f1q4==7
replace   s14f1q4=99 if s14f1q4==8

replace   s14f1q7=99 if s14f1q7==5
label def s14f1q7 99 "Non declar", modify

replace   s14f1q9=99 if s14f1q9==0
replace   s14f1q9=99 if s14f1q9==3
label def ouinon  99 "Non declar", modify

sort idt1 idt2
save sec14f1,replace

*******************************************************************************
* Partie F2 (Betail possede par le menage et eleve par d'autres menage)
*******************************************************************************
clear
infile using sec14f2
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie F2"

#delimit;
label define s14f2q1
 1  "Boeufs/vaches"
 2  "Moutons"
 3  "Chvres/cabris"
 4  "Chameaux"
 5  "Chevaux"
 6  "Mulets"
 7  "Anes"
 8  "Poulets/canards"
 9  "Autres volailles"
10  "Autres animaux";
label values s14f2q1 s14f2q1;

label define s14f2q2
1   "Oui,pour garde"
2   "Oui,association"
3   "Non";
label values s14f2q2 s14f2q2;
#delimit cr

sort idt1 idt2
save sec14f2,replace

*******************************************************************************
* Partie F3 (Recettes du betail pour les 12 derniers mois)
*******************************************************************************
clear
infile using sec14f3
qui compress

dups,drop                    /* 41 duplicate obs. */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie F3"

#delimit;
label define s14f3q1
 1  "Boeufs/vaches"
 2  "Moutons"
 3  "Chvres/cabris"
 4  "Chameaux"
 5  "Chevaux"
 6  "Mulets"
 7  "Anes"
 8  "Poulets/canards"
 9  "Autres volailles"
10  "Autres animaux";
label values s14f3q1 s14f3q1;

label define ouinon
1   "oui"
2   "non";
label values s14f3q2 ouinon;
label values s14f3q4 ouinon;
label values s14f3q6 ouinon;
label values s14f3q9 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14f3q1=99 if s14f3q1==12
replace   s14f3q1=99 if s14f3q1==35
label def s14f3q1 99 "Non declar", modify

replace   s14f3q2=99 if s14f3q2==3
replace   s14f3q2=99 if s14f3q2==4
replace   s14f3q2=99 if s14f3q2==7
replace   s14f3q2=99 if s14f3q2==8
replace   s14f3q2=99 if s14f3q2==9
label def ouinon 99 "Non declar", modify

replace   s14f3q4=99 if s14f3q4==0
replace   s14f3q4=99 if s14f3q4==6
replace   s14f3q6=99 if s14f3q6==6
replace   s14f3q9=99 if s14f3q9==0
replace   s14f3q9=99 if s14f3q9==9

sort idt1 idt2
save sec14f3,replace

*******************************************************************************
* Partie G (Produits d'origine animale)
*******************************************************************************
clear
infile using sec14g
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie G"

#delimit;
label define s14gq1
1   "Lait/petit lait"
2   "Beurre"
3   "Miel"
4   "Laine"
5   "Peaux tannes"
6   "Oeufs"
7   "Autres produits";
label values s14gq1 s14gq1;

label define unitemp
1   "Jour"
2   "Semaine"
3   "Quinzaine"
4   "Mois"
5   "Deux mois"
6   "Trimestre"
7   "Semestre"
8   "Anne";
label values s14gq32 unitemp;

label define ouinon
1   "Oui"
2   "Non";
label values s14gq5 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14gq32=99 if s14gq32==0
label def unitemp 99 "Non declar", modify

replace   s14gq5=99 if s14gq5==0
label def ouinon 99 "Non declar", modify

sort idt1 idt2
save sec14g,replace

*******************************************************************************
* Partie H (Entraide pastorale)
*******************************************************************************
clear
infile using sec14h
qui compress

dups,drop                    /* drop 2 duplicate obs. */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie H"

#delimit;
label define ouinon
1   "oui"
2   "non";
label values s14hq1 ouinon;
label values s14hq3 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14hq1=99 if s14hq1==6
label def ouinon 99 "Non declar", modify
replace   s14hq3=99 if s14hq3==6

sort idt1 idt2
save sec14h,replace

*******************************************************************************
* Partie I (Depenses pastorales)
*******************************************************************************
clear
infile using sec14i
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie I"

#delimit;
label define s14iq1
 1  "Main d'oeuvre"
 2  "Parcs"
 3  "Fourrage"
 4  "Services vtrinaires"
 5  "Transport"
 6  "Commissions"
 7  "Ddommagement"
 8  "Emballage"
 9  "Amlioration"
10  "Autres dpenses";
label values s14iq1 s14iq1;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14iq1=99 if s14iq1==15
replace   s14iq1=99 if s14iq1==17
replace   s14iq1=99 if s14iq1==32
label def s14iq1 99 "Non declar", modify

sort idt1 idt2
save sec14i,replace

*******************************************************************************
* Partie J (Equipements agricoles)
*******************************************************************************
clear
infile using sec14j
qui compress

dups,drop                    /* 3 duplicate obs. */
drop _expand

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie J"

#delimit;
label define s14jq1
1   "Distributeur/pandeur d'engrais"
2   "Tracteur"
3   "Charrue  traction animale"
4   "Charrue  disque/chizel fraises/perses rotatives"
5   "Cover-crop"
6   "Semoir"
7   "Rcolteurs de canne  sucre/betterave"
8   "Matriel de traitement"
9   "Moissonneuse/lieuse/faucheuse"
10  "Faucheuse"
11  "Charrette-chariot"
12  "Jeeps-camion et camionnettes"
13  "Autre quipement ou outil";
label values s14jq1 s14jq1;

label define ouinon
1   "oui"
2   "non";
label values s14jq2 ouinon;
label values s14jq4 ouinon;

label define s14jq6
1   "Au comptant"
2   "A crdit";
label values s14jq6 s14jq6;

label values s14jq9 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14jq1=99 if s14jq1==14
label def s14jq1 99 "Non declar", modify

replace   s14jq2=99 if s14jq2==6
replace   s14jq2=99 if s14jq2==8
label def ouinon 99 "Non declar", modify

replace   s14jq4=99 if s14jq4==3
replace   s14jq4=99 if s14jq4==5
replace   s14jq4=99 if s14jq4==7
replace   s14jq4=99 if s14jq4==9
label def ouinon 99 "Non declar", modify

replace   s14jq9=99 if s14jq9==0
replace   s14jq9=99 if s14jq9==9

sort idt1 idt2
save sec14j,replace

*******************************************************************************
* Partie K (Emprunts a usage agricole)
*******************************************************************************
clear
infile using sec14k
qui compress

* label values
label drop _all
label data "LSMS 1998/99 - Section 14, Partie K"

#delimit;
label define s14kq3
1   "C.N.C.A."
2   "Banque"
3   "Famille/amis"
4   "Autre";
label values s14kq3 s14kq3;

label define s14kq4
1   "Elevage"
2   "Culture/plantation"
3   "Equipements"
4   "Autre";
label values s14kq4 s14kq4;

label define ouinon
1   "oui"
2   "non";
label values s14kq6 ouinon;
label values s14kq8 ouinon;
label values s14kq9 ouinon;
label values s14kq10 ouinon;

label define unitemp
1   "Jour"
2   "Semaine"
3   "Quinzaine"
4   "Mois"
5   "Deux mois"
6   "Trimestre"
7   "Semestre"
8   "Anne";
label values s14kq112 unitemp;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s14kq112=99 if s14kq112==0
label def unitemp 99 "Non declar", modify

sort idt1 idt2 norder
save sec14k,replace

exit