*******************************************************************************
* MOROCCO LSMS 1998/99
* Date: 11 May 2001
* SECTION 17 (IDENTIFICATION DES PRIORITES DE LA POPULATION)
*******************************************************************************

version 6.0

clear
infile using sec17
drop extra1
qui compress

sort idt1 idt2
save sec17,replace

use sec01a, clear
keep if norder==1
merge  idt1 idt2 using sec17
keep if _merge==3             /* 116 obs. dropped */
drop _merge
keep idt1 idt2 s17q1-s17q2

* label values
label drop _all
label data "LSMS 1998/99 - Section 17"

#delimit;
label define s17q1
 1  "Lieux commerciaux"
 2  "Souk hebdomadaire"
 3  "Super march"
 4  "Habitat conomique"
 5  "Terrains quipes"
 6  "Eau potable"
 7  "Egout assainissement"
 8  "Electricit"
 9  "Tlphone"
10  "Dispensaire"
11  "Hpital spcialis"
12  "Pharmacie"
13  "Garderie d-enfant"
14  "Ecole,collge"
15  "Etabl. universitaire"
16  "Centre f.profess."
17  "Centre lutte analph."
18  "Centre initiation"
19  "Routes"
20  "Goudronnement"
21  "Transport"
22  "Bibliothque"
23  "Complexe sportif"
24  "Espaces verts"
25  "Mosque"
26  "Maison de jeunes"
27  "Thtre,cinma"
28  "Hospice";
label values s17q1 s17q1;

label define ouinon
1   "oui"
0   "non";
label values s17q2 ouinon;
#delimit cr

*** Missing values, out-of-range et sim.
replace   s17q1=99 if s17q1==29
replace   s17q1=99 if s17q1==30
label def s17q1 99 "Non declar", modify

dups,drop                    /* 7 duplicate obs. */
drop _expand

sort idt1 idt2
save sec17,replace

exit